<?xml version="1.0" encoding="utf-8"?>
<Dsl dslVersion="1.0.0.0" Id="28d60a3d-4026-419e-9785-f11800e50737" Description="" Name="DataFlow" DisplayName="DataFlow" Namespace="BenjaminSchroeter.Flow.DataFlow" ProductName="DataFlow" CompanyName="Benjamin Schroeter" PackageGuid="9662f1ed-18fe-49e9-a4cd-ebf6f559106d" PackageNamespace="BenjaminSchroeter.Flow.DataFlow" xmlns="http://schemas.microsoft.com/VisualStudio/2005/DslTools/DslDefinitionModel">
  <Classes>
    <DomainClass Id="0a913dd9-bbc5-4c05-a24f-412a819a0207" Description="The root in which all other elements are embedded. Appears as a diagram." Name="DataFlowModel" DisplayName="Data Flow Model" Namespace="BenjaminSchroeter.Flow.DataFlow">
      <Properties>
        <DomainProperty Id="6bbd62f7-35a5-4098-a2f5-51cfd3f8e6af" Description="" Name="Priority" DisplayName="Priority" DefaultValue="1">
          <Type>
            <ExternalTypeMoniker Name="/System/Int32" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="c1fd2ad6-1cfb-4d59-886a-6de74a6e71ed" Description="" Name="Description" DisplayName="Description" Category="Definition">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
      <ElementMergeDirectives>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="TriggerFlow" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>DataFlowModelHasTriggerFlow.TriggerFlow</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="ProgramFlow" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>DataFlowModelHasProgramFlow.ProgramFlow</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="Comment" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>DataFlowModelHasComments.Comments</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
      </ElementMergeDirectives>
    </DomainClass>
    <DomainClass Id="7275e539-9485-416f-9726-3bc1c6b9cc4a" Description="" Name="FlowElement" DisplayName="Flow Element" InheritanceModifier="Abstract" Namespace="BenjaminSchroeter.Flow.DataFlow" />
    <DomainClass Id="bb4e53bd-7d1a-4cbf-bc88-788275450e28" Description="" Name="TriggerFlow" DisplayName="Trigger Flow" Namespace="BenjaminSchroeter.Flow.DataFlow">
      <BaseClass>
        <DomainClassMoniker Name="FlowBase" />
      </BaseClass>
      <CustomTypeDescriptor>
        <DomainTypeDescriptor>
          <PathsOfCustomPropertyDescriptors>
            <CustomPropertyDescriptor GeneratesCustomPropertyDescriptor="false">
              <PropertyPath>
                <DomainPropertyMoniker Name="DataFlowModel/Priority" />
                <DomainPath>DataFlowModelHasTriggerFlow.DataFlowModel/!DataFlowModel</DomainPath>
              </PropertyPath>
            </CustomPropertyDescriptor>
            <CustomPropertyDescriptor GeneratesCustomPropertyDescriptor="false">
              <PropertyPath>
                <DomainPropertyMoniker Name="DataFlowModel/Description" />
                <DomainPath>DataFlowModelHasTriggerFlow.DataFlowModel/!DataFlowModel</DomainPath>
              </PropertyPath>
            </CustomPropertyDescriptor>
          </PathsOfCustomPropertyDescriptors>
        </DomainTypeDescriptor>
      </CustomTypeDescriptor>
      <ElementMergeDirectives>
        <ElementMergeDirective UsesCustomAccept="true">
          <Index>
            <DomainClassMoniker Name="MasterTrigger" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>FlowBaseHasFlowElements.FlowElements</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="Comment" />
          </Index>
          <ForwardingPath>
            <DomainPath>DataFlowModelHasTriggerFlow.DataFlowModel/!DataFlowModel</DomainPath>
          </ForwardingPath>
        </ElementMergeDirective>
      </ElementMergeDirectives>
    </DomainClass>
    <DomainClass Id="e4e86d5b-12d5-462a-a511-d715d9416475" Description="" Name="ProgramFlow" DisplayName="Program Flow" Namespace="BenjaminSchroeter.Flow.DataFlow">
      <BaseClass>
        <DomainClassMoniker Name="FlowBase" />
      </BaseClass>
      <CustomTypeDescriptor>
        <DomainTypeDescriptor>
          <PathsOfCustomPropertyDescriptors>
            <CustomPropertyDescriptor GeneratesCustomPropertyDescriptor="false">
              <PropertyPath>
                <DomainPropertyMoniker Name="DataFlowModel/Priority" />
                <DomainPath>DataFlowModelHasProgramFlow.DataFlowModel/!DataFlowModel</DomainPath>
              </PropertyPath>
            </CustomPropertyDescriptor>
            <CustomPropertyDescriptor GeneratesCustomPropertyDescriptor="false">
              <PropertyPath>
                <DomainPropertyMoniker Name="DataFlowModel/Description" />
                <DomainPath>DataFlowModelHasProgramFlow.DataFlowModel/!DataFlowModel</DomainPath>
              </PropertyPath>
            </CustomPropertyDescriptor>
          </PathsOfCustomPropertyDescriptors>
        </DomainTypeDescriptor>
      </CustomTypeDescriptor>
      <ElementMergeDirectives>
        <ElementMergeDirective UsesCustomAccept="true">
          <Index>
            <DomainClassMoniker Name="OutputEvent" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>FlowBaseHasFlowElements.FlowElements</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
        <ElementMergeDirective UsesCustomAccept="true">
          <Index>
            <DomainClassMoniker Name="Output" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>FlowBaseHasFlowElements.FlowElements</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="Comment" />
          </Index>
          <ForwardingPath>
            <DomainPath>DataFlowModelHasProgramFlow.DataFlowModel/!DataFlowModel</DomainPath>
          </ForwardingPath>
        </ElementMergeDirective>
      </ElementMergeDirectives>
    </DomainClass>
    <DomainClass Id="a774d69d-a078-4db6-bf4d-9e4886633a99" Description="" Name="MasterTrigger" DisplayName="Master Trigger" Namespace="BenjaminSchroeter.Flow.DataFlow">
      <BaseClass>
        <DomainClassMoniker Name="FlowElement" />
      </BaseClass>
    </DomainClass>
    <DomainClass Id="0477578c-d5a3-43f0-af87-6c1f3c97f407" Description="" Name="Input" DisplayName="Input" Namespace="BenjaminSchroeter.Flow.DataFlow">
      <BaseClass>
        <DomainClassMoniker Name="FieldedDefinitionBase" />
      </BaseClass>
    </DomainClass>
    <DomainClass Id="73a69a93-495a-44c4-a2ec-9f9c7a056cc1" Description="" Name="Output" DisplayName="Output" Namespace="BenjaminSchroeter.Flow.DataFlow">
      <BaseClass>
        <DomainClassMoniker Name="FieldedDefinitionBase" />
      </BaseClass>
    </DomainClass>
    <DomainClass Id="0629a3f2-db6c-45ce-afc1-f402d821c1a5" Description="" Name="InputEvent" DisplayName="Input Event" Namespace="BenjaminSchroeter.Flow.DataFlow">
      <BaseClass>
        <DomainClassMoniker Name="FieldedDefinitionBase" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="39e49d19-ec97-4bec-b2d2-a3dcbd40b454" Description="" Name="Parameter" DisplayName="Parameter" IsUIReadOnly="true">
          <Type>
            <ExternalTypeMoniker Name="/BenjaminSchroeter.Dsl.DynamicProperties/DynamicPropertyCollection" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="cd1e94dc-469d-47c2-9d26-b61309fc6674" Description="" Name="OutputEvent" DisplayName="Output Event" Namespace="BenjaminSchroeter.Flow.DataFlow">
      <BaseClass>
        <DomainClassMoniker Name="FieldedDefinitionBase" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="877d6526-b3e0-4991-9f3e-1b30686e2638" Description="" Name="ExternalVisible" DisplayName="External Visible" Category="Code" IsUIReadOnly="true">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="199f0579-d6e4-45b2-993a-e2f33bbe6f25" Description="" Name="InternalRecordId" DisplayName="Internal Record Id" Category="Code" IsUIReadOnly="true">
          <Type>
            <ExternalTypeMoniker Name="/System/Byte" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="dfafcfba-e280-4385-94e5-7bdfcd6146b9" Description="" Name="Variable" DisplayName="Variable" Namespace="BenjaminSchroeter.Flow.DataFlow">
      <BaseClass>
        <DomainClassMoniker Name="DefinitionBase" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="47aad990-6a31-48ba-8df0-9a1ea010db05" Description="" Name="Type" DisplayName="Type" DefaultValue=" " Category="Definition" IsUIReadOnly="true">
          <Type>
            <ExternalTypeMoniker Name="/BenjaminSchroeter.Flow.DataTypes/DataTypeString" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="ad4a93c0-7041-409e-bc58-d6a6b1dff176" Description="" Name="ExternalVisible" DisplayName="External Visible" Category="Code" IsUIReadOnly="true">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="bc30f5de-6b70-40f3-a21c-2b64a3fbc80c" Description="" Name="ExternalWritable" DisplayName="External Writable" Category="Code" IsUIReadOnly="true">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="b986fd83-bec5-4c34-9936-0c9ca6bd9c6c" Description="" Name="FromHardwareDescription" DisplayName="From Hardware Description" Category="Hardware Description" IsUIReadOnly="true">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="122f9caf-d1c9-4c66-82ba-ca2e7ae61831" Description="" Name="Readable" DisplayName="Readable" Category="Definition" IsUIReadOnly="true">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="8bead6d4-c2b8-44c1-b45b-425f082c0b79" Description="" Name="Writable" DisplayName="Writable" Category="Definition" IsUIReadOnly="true">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="0b3a8780-9bae-458b-bae4-d4a6b7f8a694" Description="" Name="Record" DisplayName="Record" Namespace="BenjaminSchroeter.Flow.DataFlow">
      <BaseClass>
        <DomainClassMoniker Name="FieldedDefinitionBase" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="2e7c7ec6-62bc-4b7c-99d6-c1d1cda0d67f" Description="" Name="RecordId" DisplayName="Record Id" Category="Code" IsUIReadOnly="true">
          <Type>
            <ExternalTypeMoniker Name="/System/Byte" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="461194e4-c20e-4f35-86b6-eab178ac9f2a" Description="" Name="FunctionCall" DisplayName="Function Call" Namespace="BenjaminSchroeter.Flow.DataFlow">
      <BaseClass>
        <DomainClassMoniker Name="FieldedDefinitionBase" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="76f4449f-3819-4291-b32c-4468fe161e69" Description="" Name="ExternalVisible" DisplayName="External Visible" Category="Code" IsUIReadOnly="true">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="955f9d87-2088-4dba-9c9d-de7ee4d6b194" Description="" Name="InternalRecordId" DisplayName="Internal Record Id" Category="Code" IsUIReadOnly="true">
          <Type>
            <ExternalTypeMoniker Name="/System/Byte" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="23d82e00-87b7-49b6-8da4-2ecd7775e432" Description="" Name="FunctionReturn" DisplayName="Function Return" Namespace="BenjaminSchroeter.Flow.DataFlow">
      <BaseClass>
        <DomainClassMoniker Name="FieldedDefinitionBase" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="1c0dacf0-e982-4ede-9bdd-2bb2f6b6a604" Description="" Name="ExternalVisible" DisplayName="External Visible" Category="Code" IsUIReadOnly="true">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="ddec71d2-ff57-4aef-b9c4-d2b6eea4f07c" Description="" Name="InternalRecordId" DisplayName="Internal Record Id" Category="Code" IsUIReadOnly="true">
          <Type>
            <ExternalTypeMoniker Name="/System/Byte" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="548c7d59-b24e-4171-afac-9beb8603a0ee" Description="" Name="DefinitionBase" DisplayName="Definition Base" InheritanceModifier="Abstract" Namespace="BenjaminSchroeter.Flow.DataFlow">
      <BaseClass>
        <DomainClassMoniker Name="FlowElement" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="e038686e-a16c-4b84-8096-cffd47c0d41c" Description="" Name="Name" DisplayName="Name" Category="Definition" IsElementName="true" IsUIReadOnly="true">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
          <ElementNameProvider>
            <ExternalTypeMoniker Name="NonUniqueElementNameProvider" />
          </ElementNameProvider>
        </DomainProperty>
        <DomainProperty Id="6013e15f-2dbd-458c-a1fc-900f1059164d" Description="" Name="Description" DisplayName="Description" Category="Definition" IsUIReadOnly="true">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="0770f6f1-3de5-4eca-a8b4-137ef8425585" Description="" Name="Guid" DisplayName="Guid" Category="Definition" IsBrowsable="false">
          <Type>
            <ExternalTypeMoniker Name="/System/Guid" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="5cf58d4b-91ae-4b6e-8876-48c1821eb8eb" Description="" Name="Field" DisplayName="Field" Namespace="BenjaminSchroeter.Flow.DataFlow">
      <BaseClass>
        <DomainClassMoniker Name="FieldBase" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="2498735d-00f3-4155-84f2-89be55160c82" Description="" Name="Type" DisplayName="Type" DefaultValue=" " Category="Definition" IsUIReadOnly="true">
          <Type>
            <ExternalTypeMoniker Name="/BenjaminSchroeter.Flow.DataTypes/DataTypeString" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="9a97da42-8e5f-4e25-99cd-15bd905f87e3" Description="" Name="Name" DisplayName="Name" Category="Definition" IsElementName="true" IsUIReadOnly="true">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="04ef3101-ce0b-4c1d-85f3-0e0d11cd16c1" Description="" Name="Description" DisplayName="Description" Category="Definition" IsUIReadOnly="true">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="57250215-6f51-4f6d-8b71-134809eac930" Description="Description for BenjaminSchroeter.Flow.DataFlow.Field.String Length" Name="StringLength" DisplayName="String Length" IsBrowsable="false">
          <Type>
            <ExternalTypeMoniker Name="/System/UInt16" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="d7720eb0-7f2a-4bbd-8372-aefdcc2aba4d" Description="" Name="FieldedDefinitionBase" DisplayName="Fielded Definition Base" InheritanceModifier="Abstract" Namespace="BenjaminSchroeter.Flow.DataFlow">
      <BaseClass>
        <DomainClassMoniker Name="DefinitionBase" />
      </BaseClass>
    </DomainClass>
    <DomainClass Id="a8ce5c5e-4977-4bf6-84e2-9d8df0a2d652" Description="" Name="TransformationBase" DisplayName="Transformation Base" InheritanceModifier="Abstract" Namespace="BenjaminSchroeter.Flow.DataFlow">
      <BaseClass>
        <DomainClassMoniker Name="FlowElement" />
      </BaseClass>
    </DomainClass>
    <DomainClass Id="b4e2df1a-8e66-42bf-9274-0988b763bdfb" Description="" Name="Operation" DisplayName="Operation" Namespace="BenjaminSchroeter.Flow.DataFlow">
      <BaseClass>
        <DomainClassMoniker Name="TransformationBase" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="71177800-fe17-42f9-84fb-9639bf72b42d" Description="" Name="Kind" DisplayName="Kind" Category="Definition" IsBrowsable="false" IsUIReadOnly="true">
          <Type>
            <ExternalTypeMoniker Name="OperationKind" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="c482b8ba-e920-4f4a-8845-f5d598bc530c" Description="" Name="Text" DisplayName="Text" Kind="Calculated" Category="Definition" IsElementName="true" IsBrowsable="false" IsUIReadOnly="true">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
          <ElementNameProvider>
            <ExternalTypeMoniker Name="NonUniqueElementNameProvider" />
          </ElementNameProvider>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="281ca36a-b344-476b-9d9e-a903b935fdde" Description="" Name="FlowBase" DisplayName="Flow Base" InheritanceModifier="Abstract" Namespace="BenjaminSchroeter.Flow.DataFlow">
      <ElementMergeDirectives>
        <ElementMergeDirective UsesCustomAccept="true">
          <Index>
            <DomainClassMoniker Name="Input" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>FlowBaseHasFlowElements.FlowElements</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
        <ElementMergeDirective UsesCustomAccept="true" UsesCustomMerge="true">
          <Index>
            <DomainClassMoniker Name="FunctionCall" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>FlowBaseHasFlowElements.FlowElements</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
        <ElementMergeDirective UsesCustomAccept="true" UsesCustomMerge="true">
          <Index>
            <DomainClassMoniker Name="InputEvent" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>FlowBaseHasFlowElements.FlowElements</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
        <ElementMergeDirective UsesCustomAccept="true">
          <Index>
            <DomainClassMoniker Name="Variable" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>FlowBaseHasFlowElements.FlowElements</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
        <ElementMergeDirective UsesCustomAccept="true">
          <Index>
            <DomainClassMoniker Name="Operation" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>FlowBaseHasFlowElements.FlowElements</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
        <ElementMergeDirective UsesCustomAccept="true">
          <Index>
            <DomainClassMoniker Name="Record" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>FlowBaseHasFlowElements.FlowElements</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
        <ElementMergeDirective UsesCustomAccept="true">
          <Index>
            <DomainClassMoniker Name="Formula" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>FlowBaseHasFlowElements.FlowElements</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
        <ElementMergeDirective UsesCustomAccept="true">
          <Index>
            <DomainClassMoniker Name="CodeBlock" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>FlowBaseHasFlowElements.FlowElements</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
      </ElementMergeDirectives>
    </DomainClass>
    <DomainClass Id="1522efa0-441b-4931-b4ab-ad4ca6f5f4e9" Description="" Name="OptionalbleField" DisplayName="Optionalble Field" Namespace="BenjaminSchroeter.Flow.DataFlow">
      <BaseClass>
        <DomainClassMoniker Name="Field" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="8c624e9d-278d-4fc4-8ba6-1e5b5ff12128" Description="" Name="Optional" DisplayName="Optional" Category="Definition" IsUIReadOnly="true">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="d8124fcf-0f5b-4bb5-95cf-2beae0f0e5c6" Description="" Name="Formula" DisplayName="Formula" Namespace="BenjaminSchroeter.Flow.DataFlow">
      <BaseClass>
        <DomainClassMoniker Name="TransformationBase" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="d08c87d7-a53f-4237-914c-9cad2938c2bf" Description="" Name="FormulaText" DisplayName="Formula Text" Category="Definition" IsElementName="true">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="4b9a7bc0-f7e8-4009-9560-4824ae48de54" Description="" Name="Type" DisplayName="Type" DefaultValue=" " Kind="Calculated" Category="Definition" IsUIReadOnly="true">
          <Type>
            <ExternalTypeMoniker Name="/BenjaminSchroeter.Flow.DataTypes/DataTypeString" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="aaf5da05-15c6-44ac-9521-117b3f82133b" Description="" Name="CodeBlock" DisplayName="Code Block" Namespace="BenjaminSchroeter.Flow.DataFlow">
      <BaseClass>
        <DomainClassMoniker Name="TransformationBase" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="f2c0c91d-77b6-4eef-bb8c-4071c90a87e7" Description="" Name="Name" DisplayName="Name" Category="Definition" IsElementName="true">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="e8094bcb-6139-4856-acea-6816a14cfbc1" Description="" Name="Description" DisplayName="Description" Category="Definition">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
      <ElementMergeDirectives>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="CodeBlockInputField" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>CodeBlockHasInputs.Inputs</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="CodeBlockOutputField" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>CodeBlockHasOutputs.Outputs</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
      </ElementMergeDirectives>
    </DomainClass>
    <DomainClass Id="8732470d-b062-4b62-a2a8-c5ec537a1cbf" Description="" Name="CodeBlockFieldBase" DisplayName="Code Block Field Base" InheritanceModifier="Abstract" Namespace="BenjaminSchroeter.Flow.DataFlow" HasCustomConstructor="true">
      <BaseClass>
        <DomainClassMoniker Name="FieldBase" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="2e1df45c-bc1e-4362-8a9f-3c665a00ca20" Description="" Name="Name" DisplayName="Name" Category="Definition" IsElementName="true">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
          <ElementNameProvider>
            <ExternalTypeMoniker Name="CodeBlockFieldNameProvider" />
          </ElementNameProvider>
        </DomainProperty>
        <DomainProperty Id="b85736a7-2a0a-4ef4-bf28-867fa82375ae" Description="" Name="Description" DisplayName="Description" Category="Definition">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="353229cc-b0ba-4cc5-ae59-765f047c7d5e" Description="" Name="Type" DisplayName="Type" DefaultValue=" " Category="Definition">
          <Type>
            <ExternalTypeMoniker Name="/BenjaminSchroeter.Flow.DataTypes/DataTypeString" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="dc21c5ca-274b-4cd9-be14-5bfbcbb2414e" Description="" Name="CodeBlockInputField" DisplayName="Input" Namespace="BenjaminSchroeter.Flow.DataFlow">
      <BaseClass>
        <DomainClassMoniker Name="CodeBlockFieldBase" />
      </BaseClass>
    </DomainClass>
    <DomainClass Id="f65ce28e-60d2-4c9d-9c42-cfda06a6f6a7" Description="" Name="CodeBlockOutputField" DisplayName="Output" Namespace="BenjaminSchroeter.Flow.DataFlow">
      <BaseClass>
        <DomainClassMoniker Name="CodeBlockFieldBase" />
      </BaseClass>
    </DomainClass>
    <DomainClass Id="e9f84266-da65-4171-bd60-1510006fe732" Description="" Name="FieldBase" DisplayName="Field Base" InheritanceModifier="Abstract" Namespace="BenjaminSchroeter.Flow.DataFlow">
      <Properties>
        <DomainProperty Id="f7afb82b-0784-434f-8a13-9982e71ffe2e" Description="" Name="Guid" DisplayName="Guid" Category="Definition" IsBrowsable="false">
          <Type>
            <ExternalTypeMoniker Name="/System/Guid" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="2b9c50ce-439b-4f63-baac-55c293f52c68" Description="" Name="Comment" DisplayName="Comment" Namespace="BenjaminSchroeter.Flow.DataFlow">
      <Properties>
        <DomainProperty Id="56fdcfa7-5da8-4d15-b027-32da7fdda187" Description="" Name="Text" DisplayName="Text" IsElementName="true">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="17f10de5-d919-40ad-a71c-fbd353c1e016" Description="" Name="OptionalbleFieldWithDefault" DisplayName="Optionalble Field With Default" Namespace="BenjaminSchroeter.Flow.DataFlow">
      <BaseClass>
        <DomainClassMoniker Name="OptionalbleField" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="6d15a854-322a-4ab8-9179-4112d8dccbaf" Description="" Name="DefaultValue" DisplayName="Default Value" Category="Data" IsUIReadOnly="true">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
  </Classes>
  <Relationships>
    <DomainRelationship Id="b707c258-024d-40c3-b969-6f45227015da" Description="" Name="DataFlowModelHasTriggerFlow" DisplayName="Data Flow Model Has Trigger Flow" Namespace="BenjaminSchroeter.Flow.DataFlow" IsEmbedding="true">
      <Source>
        <DomainRole Id="ef777e05-5ba2-4592-ada0-564f15a81b5a" Description="" Name="DataFlowModel" DisplayName="Data Flow Model" PropertyName="TriggerFlow" Multiplicity="One" PropertyDisplayName="Trigger Flow">
          <RolePlayer>
            <DomainClassMoniker Name="DataFlowModel" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="d57e4122-e56e-4b68-977f-1fc8453c279e" Description="" Name="TriggerFlow" DisplayName="Trigger Flow" PropertyName="DataFlowModel" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Data Flow Model">
          <RolePlayer>
            <DomainClassMoniker Name="TriggerFlow" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="e603e4c6-c233-4b56-bbf9-f8697e5bd2fa" Description="" Name="DataFlowModelHasProgramFlow" DisplayName="Data Flow Model Has Program Flow" Namespace="BenjaminSchroeter.Flow.DataFlow" IsEmbedding="true">
      <Source>
        <DomainRole Id="15389bd3-2b9d-4cab-a2fc-366cd200645a" Description="" Name="DataFlowModel" DisplayName="Data Flow Model" PropertyName="ProgramFlow" Multiplicity="One" PropertyDisplayName="Program Flow">
          <RolePlayer>
            <DomainClassMoniker Name="DataFlowModel" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="c029a855-06ff-401c-a96e-89a687f78aeb" Description="" Name="ProgramFlow" DisplayName="Program Flow" PropertyName="DataFlowModel" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Data Flow Model">
          <RolePlayer>
            <DomainClassMoniker Name="ProgramFlow" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="3a3eea3a-4b7e-4257-8d7b-153e171dd0da" Description="" Name="FieldedDefinitionBaseHasFields" DisplayName="Fielded Definition Base Has Fields" Namespace="BenjaminSchroeter.Flow.DataFlow" IsEmbedding="true">
      <Source>
        <DomainRole Id="7d8bd97b-c591-4df2-927c-6951326ce570" Description="" Name="FieldedDefinitionBase" DisplayName="Fielded Definition Base" PropertyName="Fields" PropertyDisplayName="Fields">
          <RolePlayer>
            <DomainClassMoniker Name="FieldedDefinitionBase" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="e0f7bde5-2e9f-4cc0-bc14-43d5633197e6" Description="" Name="Field" DisplayName="Field" PropertyName="FieldedDefinitionBase" Multiplicity="ZeroOne" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Fielded Definition Base">
          <RolePlayer>
            <DomainClassMoniker Name="Field" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="11db63ce-3093-4073-982a-dae6a12cdf78" Description="" Name="FlowElementReferencesTargetFlowElements" DisplayName="Flow Element References Target Flow Elements" Namespace="BenjaminSchroeter.Flow.DataFlow" AllowsDuplicates="true">
      <Properties>
        <DomainProperty Id="266cda75-5a36-4649-ac7f-3c90961a49b8" Description="" Name="SourceEntry" DisplayName="Source Entry" IsBrowsable="false">
          <Type>
            <ExternalTypeMoniker Name="/System/Guid" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="af32e5ef-fb67-431d-866b-c0678670878a" Description="" Name="TargetEntry" DisplayName="Target Entry" IsBrowsable="false">
          <Type>
            <ExternalTypeMoniker Name="/System/Guid" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="148e6967-3c87-4cdd-982d-291219136e52" Description="" Name="TargetAnnotation" DisplayName="Target Annotation" Category="Definition">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="7cff64fc-87d4-413b-bbce-14f5fcea6193" Description="" Name="Type" DisplayName="Type" DefaultValue=" " Kind="Calculated" Category="Definition" IsUIReadOnly="true">
          <Type>
            <ExternalTypeMoniker Name="/BenjaminSchroeter.Flow.DataTypes/DataTypeString" />
          </Type>
        </DomainProperty>
      </Properties>
      <Source>
        <DomainRole Id="06801185-539c-471c-975e-b20cbd9e57c9" Description="" Name="SourceFlowElement" DisplayName="Source Flow Element" PropertyName="TargetFlowElements" PropertyDisplayName="Target Flow Elements">
          <RolePlayer>
            <DomainClassMoniker Name="FlowElement" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="5e1edc89-0a1f-43d6-8d0a-e0f21ffe3670" Description="" Name="TargetFlowElement" DisplayName="Target Flow Element" PropertyName="SourceFlowElements" PropertyDisplayName="Source Flow Elements">
          <RolePlayer>
            <DomainClassMoniker Name="FlowElement" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="5f802aa1-385c-41f3-8e36-7f2e104d493e" Description="" Name="FlowBaseHasFlowElements" DisplayName="Flow Base Has Flow Elements" Namespace="BenjaminSchroeter.Flow.DataFlow" IsEmbedding="true">
      <Source>
        <DomainRole Id="f2cbaa42-d7f5-41f6-aca8-1b77b172db1e" Description="" Name="FlowBase" DisplayName="Flow Base" PropertyName="FlowElements" PropertyDisplayName="Flow Elements">
          <RolePlayer>
            <DomainClassMoniker Name="FlowBase" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="ce4c04ba-3568-49f7-b4ea-d08b744e8276" Description="" Name="FlowElement" DisplayName="Flow Element" PropertyName="FlowBase" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Flow Base">
          <RolePlayer>
            <DomainClassMoniker Name="FlowElement" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="1e7bc523-7073-490f-adf7-04f309789823" Description="" Name="FunctionCallReferencesFunctionReturn" DisplayName="Function Call References Function Return" Namespace="BenjaminSchroeter.Flow.DataFlow">
      <Source>
        <DomainRole Id="a7266643-fdd4-49c8-89c9-51ff7e38e976" Description="" Name="FunctionCall" DisplayName="Function Call" PropertyName="FunctionReturn" Multiplicity="ZeroOne" PropertyDisplayName="Function Return">
          <RolePlayer>
            <DomainClassMoniker Name="FunctionCall" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="0c6d2ff9-e793-48d2-be48-37fce5aae8d5" Description="" Name="FunctionReturn" DisplayName="Function Return" PropertyName="FunctionCall" Multiplicity="ZeroOne" PropertyDisplayName="Function Call">
          <RolePlayer>
            <DomainClassMoniker Name="FunctionReturn" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="a85e9fec-ff70-4e50-900f-8676e41535ae" Description="" Name="CodeBlockHasInputs" DisplayName="Code Block Has Inputs" Namespace="BenjaminSchroeter.Flow.DataFlow" IsEmbedding="true">
      <Source>
        <DomainRole Id="70b3b1e2-fe0c-4e2d-a26f-22dc8d297a37" Description="" Name="CodeBlock" DisplayName="Code Block" PropertyName="Inputs" PropertyDisplayName="Inputs">
          <RolePlayer>
            <DomainClassMoniker Name="CodeBlock" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="5a989198-5baf-4fdd-8243-a8b8c4d1bde3" Description="" Name="CodeBlockInputField" DisplayName="Code Block Input Field" PropertyName="CodeBlock" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Code Block">
          <RolePlayer>
            <DomainClassMoniker Name="CodeBlockInputField" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="d4b7c3e2-5d74-4367-9508-73440e8092ec" Description="" Name="CodeBlockHasOutputs" DisplayName="Code Block Has Outputs" Namespace="BenjaminSchroeter.Flow.DataFlow" IsEmbedding="true">
      <Source>
        <DomainRole Id="e7855956-cf65-4903-a27f-51f240f02d0d" Description="" Name="CodeBlock" DisplayName="Code Block" PropertyName="Outputs" PropertyDisplayName="Outputs">
          <RolePlayer>
            <DomainClassMoniker Name="CodeBlock" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="080667c2-7176-4634-8e94-552b143a74c2" Description="" Name="CodeBlockOutputField" DisplayName="Code Block Output Field" PropertyName="CodeBlock" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Code Block">
          <RolePlayer>
            <DomainClassMoniker Name="CodeBlockOutputField" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="7d7e1188-68ab-4c3d-9b8b-60fdd9236d17" Description="" Name="DataFlowModelHasComments" DisplayName="Data Flow Model Has Comments" Namespace="BenjaminSchroeter.Flow.DataFlow" IsEmbedding="true">
      <Source>
        <DomainRole Id="a35c529f-c300-4116-a65f-e210661c49df" Description="" Name="DataFlowModel" DisplayName="Data Flow Model" PropertyName="Comments" PropertyDisplayName="Comments">
          <RolePlayer>
            <DomainClassMoniker Name="DataFlowModel" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="f670bff7-e570-41ce-b74b-d112d0870772" Description="" Name="Comment" DisplayName="Comment" PropertyName="DataFlowModel" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Data Flow Model">
          <RolePlayer>
            <DomainClassMoniker Name="Comment" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="3f0e6411-4784-4455-9a7b-705cd8872ae6" Description="" Name="CommentReferencesFlowElements" DisplayName="Comment References Flow Elements" Namespace="BenjaminSchroeter.Flow.DataFlow">
      <Source>
        <DomainRole Id="5870bfdb-dfe3-4e65-b16e-363c7cb5a7be" Description="" Name="Comment" DisplayName="Comment" PropertyName="FlowElements" PropertyDisplayName="Flow Elements">
          <RolePlayer>
            <DomainClassMoniker Name="Comment" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="36898e7b-51b7-4538-8780-a193785aaf4a" Description="" Name="FlowElement" DisplayName="Flow Element" PropertyName="Comments" PropertyDisplayName="Comments">
          <RolePlayer>
            <DomainClassMoniker Name="FlowElement" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
  </Relationships>
  <Types>
    <ExternalType Name="DateTime" Namespace="System" />
    <ExternalType Name="String" Namespace="System" />
    <ExternalType Name="Int16" Namespace="System" />
    <ExternalType Name="Int32" Namespace="System" />
    <ExternalType Name="Int64" Namespace="System" />
    <ExternalType Name="UInt16" Namespace="System" />
    <ExternalType Name="UInt32" Namespace="System" />
    <ExternalType Name="UInt64" Namespace="System" />
    <ExternalType Name="SByte" Namespace="System" />
    <ExternalType Name="Byte" Namespace="System" />
    <ExternalType Name="Double" Namespace="System" />
    <ExternalType Name="Single" Namespace="System" />
    <ExternalType Name="Guid" Namespace="System" />
    <ExternalType Name="Boolean" Namespace="System" />
    <ExternalType Name="Char" Namespace="System" />
    <ExternalType Name="OperationKind" Namespace="BenjaminSchroeter.Flow.DataFlow" />
    <ExternalType Name="CodeBlockFieldNameProvider" Namespace="BenjaminSchroeter.Flow.DataFlow" />
    <ExternalType Name="DynamicPropertyCollection" Namespace="BenjaminSchroeter.Dsl.DynamicProperties" />
    <ExternalType Name="DataTypeString" Namespace="BenjaminSchroeter.Flow.DataTypes" />
    <ExternalType Name="NonUniqueElementNameProvider" Namespace="BenjaminSchroeter.Flow.DataFlow" />
  </Types>
  <Shapes>
    <SwimLane Id="0da84a45-3f25-4482-b9df-671c072baf8f" Description="" Name="TriggerSwimLane" DisplayName="Trigger Swim Lane" Namespace="BenjaminSchroeter.Flow.DataFlow" FixedTooltipText="Trigger Swim Lane" SeparatorLineStyle="Solid" BodyFillColor="LightGray" InitialWidth="0" InitialHeight="0" Alignment="Horizontal" SeparatorThickness="0.03">
      <Decorators>
        <SwimLaneHasDecorators Position="InnerTopLeft" HorizontalOffset="0" VerticalOffset="0">
          <TextDecorator Name="CaptionDecorator" DisplayName="Caption Decorator" DefaultText="Trigger" FontStyle="Bold" FontSize="10" />
        </SwimLaneHasDecorators>
      </Decorators>
    </SwimLane>
    <SwimLane Id="ad096fb9-acc2-4fde-8734-bc32e3569369" Description="" Name="ProgramSwimLane" DisplayName="Program Swim Lane" Namespace="BenjaminSchroeter.Flow.DataFlow" FixedTooltipText="Program Swim Lane" SeparatorLineStyle="Solid" InitialWidth="0" InitialHeight="0" Alignment="Horizontal" SeparatorThickness="0">
      <Decorators>
        <SwimLaneHasDecorators Position="InnerTopLeft" HorizontalOffset="0" VerticalOffset="0">
          <TextDecorator Name="CaptionDecorator" DisplayName="Caption Decorator" DefaultText="Dataflow" FontStyle="Bold" FontSize="10" />
        </SwimLaneHasDecorators>
      </Decorators>
    </SwimLane>
    <ImageShape Id="dcaca313-852c-4687-83ef-666582b86883" Description="" Name="MasterTriggerShape" DisplayName="Master Trigger Shape" Namespace="BenjaminSchroeter.Flow.DataFlow" FixedTooltipText="Master Trigger Shape" InitialWidth="0.4" InitialHeight="0.4" Image="..\..\Misc\Images\EventBig.png" />
    <CompartmentShape Id="8884951b-4af7-45ff-9d8f-c3a1a1c9dd24" Description="" Name="BaseCompartmentShape" DisplayName="Base Compartment Shape" Namespace="BenjaminSchroeter.Flow.DataFlow" FixedTooltipText="Base Compartment Shape" InitialHeight="0.4" Geometry="RoundedRectangle" IsSingleCompartmentHeaderVisible="false">
      <ShapeHasDecorators Position="InnerTopLeft" HorizontalOffset="0.2" VerticalOffset="0">
        <TextDecorator Name="NameDecorator" DisplayName="Name Decorator" DefaultText="NameDecorator" FontStyle="Bold" />
      </ShapeHasDecorators>
      <ShapeHasDecorators Position="InnerTopLeft" HorizontalOffset="0.2" VerticalOffset="0.15">
        <TextDecorator Name="DescriptionDecorator" DisplayName="Description Decorator" DefaultText="DescriptionDecorator" />
      </ShapeHasDecorators>
      <ShapeHasDecorators Position="InnerTopRight" HorizontalOffset="0" VerticalOffset="0">
        <ExpandCollapseDecorator Name="ExpandCollapseDecorator" DisplayName="Expand Collapse Decorator" />
      </ShapeHasDecorators>
      <Compartment Name="Fields" Title="Fields" />
    </CompartmentShape>
    <CompartmentShape Id="87ab7c94-d4b5-4fb5-b617-1a2c5bc113d1" Description="" Name="FunctionReturnShape" DisplayName="Function Return Shape" Namespace="BenjaminSchroeter.Flow.DataFlow" GeneratesDoubleDerived="true" FixedTooltipText="Function Return Shape" FillColor="192, 192, 0" InitialHeight="1" Geometry="Rectangle">
      <BaseCompartmentShape>
        <CompartmentShapeMoniker Name="BaseCompartmentShape" />
      </BaseCompartmentShape>
      <ShapeHasDecorators Position="InnerTopLeft" HorizontalOffset="0" VerticalOffset="0">
        <IconDecorator Name="IconDecorator1" DisplayName="Icon Decorator1" DefaultIcon="..\..\Misc\Images\FunctionSmall.bmp" />
      </ShapeHasDecorators>
    </CompartmentShape>
    <CompartmentShape Id="5e1b00c8-0a28-4146-a343-80050083b274" Description="" Name="FunctionCallShape" DisplayName="Function Call Shape" Namespace="BenjaminSchroeter.Flow.DataFlow" GeneratesDoubleDerived="true" FixedTooltipText="Function Call Shape" FillColor="192, 192, 0" InitialHeight="1" Geometry="Rectangle">
      <BaseCompartmentShape>
        <CompartmentShapeMoniker Name="BaseCompartmentShape" />
      </BaseCompartmentShape>
      <ShapeHasDecorators Position="InnerTopLeft" HorizontalOffset="0" VerticalOffset="0">
        <IconDecorator Name="IconDecorator1" DisplayName="Icon Decorator1" DefaultIcon="..\..\Misc\Images\FunctionSmall.bmp" />
      </ShapeHasDecorators>
    </CompartmentShape>
    <CompartmentShape Id="a0316691-024a-4cd6-89a8-d4763a410ae8" Description="" Name="RecordShape" DisplayName="Record Shape" Namespace="BenjaminSchroeter.Flow.DataFlow" FixedTooltipText="Record Shape" FillColor="Gainsboro" InitialHeight="1" Geometry="Rectangle" IsSingleCompartmentHeaderVisible="false">
      <BaseCompartmentShape>
        <CompartmentShapeMoniker Name="BaseCompartmentShape" />
      </BaseCompartmentShape>
      <ShapeHasDecorators Position="InnerTopLeft" HorizontalOffset="0" VerticalOffset="0">
        <IconDecorator Name="IconDecorator1" DisplayName="Icon Decorator1" DefaultIcon="..\..\Misc\Images\RecordSmall.bmp" />
      </ShapeHasDecorators>
    </CompartmentShape>
    <CompartmentShape Id="7881267c-c430-4b0f-9eb2-502d0e7c9357" Description="" Name="OutputEventShape" DisplayName="Output Event Shape" Namespace="BenjaminSchroeter.Flow.DataFlow" FixedTooltipText="Output Event Shape" FillColor="128, 128, 255" InitialHeight="1" Geometry="Rectangle" IsSingleCompartmentHeaderVisible="false">
      <BaseCompartmentShape>
        <CompartmentShapeMoniker Name="BaseCompartmentShape" />
      </BaseCompartmentShape>
      <ShapeHasDecorators Position="InnerTopLeft" HorizontalOffset="0" VerticalOffset="0">
        <IconDecorator Name="IconDecorator1" DisplayName="Icon Decorator1" DefaultIcon="..\..\Misc\Images\EventSmall.bmp" />
      </ShapeHasDecorators>
    </CompartmentShape>
    <CompartmentShape Id="32e66031-e061-4fb9-8ec3-cc4f58b5626c" Description="" Name="InputEventShape" DisplayName="Input Event Shape" Namespace="BenjaminSchroeter.Flow.DataFlow" FixedTooltipText="Input Event Shape" FillColor="153, 180, 209" InitialHeight="1" Geometry="Rectangle" IsSingleCompartmentHeaderVisible="false">
      <BaseCompartmentShape>
        <CompartmentShapeMoniker Name="BaseCompartmentShape" />
      </BaseCompartmentShape>
      <ShapeHasDecorators Position="InnerTopLeft" HorizontalOffset="0" VerticalOffset="0">
        <IconDecorator Name="IconDecorator1" DisplayName="Icon Decorator1" DefaultIcon="..\..\Misc\Images\EventSmall.bmp" />
      </ShapeHasDecorators>
    </CompartmentShape>
    <CompartmentShape Id="9b6b357c-efb7-4322-8c35-dd6a4e5d0950" Description="" Name="InputShape" DisplayName="Input Shape" Namespace="BenjaminSchroeter.Flow.DataFlow" FixedTooltipText="Input Shape" FillColor="255, 255, 192" InitialHeight="1" Geometry="Rectangle" IsSingleCompartmentHeaderVisible="false">
      <BaseCompartmentShape>
        <CompartmentShapeMoniker Name="BaseCompartmentShape" />
      </BaseCompartmentShape>
      <ShapeHasDecorators Position="InnerTopLeft" HorizontalOffset="0" VerticalOffset="0">
        <IconDecorator Name="IconDecorator1" DisplayName="Icon Decorator1" DefaultIcon="..\..\Misc\Images\InputSmall.bmp" />
      </ShapeHasDecorators>
    </CompartmentShape>
    <CompartmentShape Id="eb274981-4c45-489a-932d-c5d9ff1ce2f4" Description="" Name="OutputShape" DisplayName="Output Shape" Namespace="BenjaminSchroeter.Flow.DataFlow" FixedTooltipText="Output Shape" FillColor="255, 224, 192" InitialHeight="1" Geometry="Rectangle" IsSingleCompartmentHeaderVisible="false">
      <BaseCompartmentShape>
        <CompartmentShapeMoniker Name="BaseCompartmentShape" />
      </BaseCompartmentShape>
      <ShapeHasDecorators Position="InnerTopLeft" HorizontalOffset="0" VerticalOffset="0">
        <IconDecorator Name="IconDecorator1" DisplayName="Icon Decorator1" DefaultIcon="..\..\Misc\Images\OutputSmall.bmp" />
      </ShapeHasDecorators>
    </CompartmentShape>
    <GeometryShape Id="0d1fdc0e-85dc-40cd-8936-fd9d3637b9f6" Description="" Name="VariableShape" DisplayName="Variable Shape" Namespace="BenjaminSchroeter.Flow.DataFlow" FixedTooltipText="Variable Shape" FillColor="192, 255, 192" InitialWidth="0.8" InitialHeight="0.5" Geometry="Ellipse">
      <ShapeHasDecorators Position="Center" HorizontalOffset="0" VerticalOffset="0">
        <TextDecorator Name="NameDecorator" DisplayName="Name Decorator" DefaultText="NameDecorator" />
      </ShapeHasDecorators>
    </GeometryShape>
    <GeometryShape Id="0ba73312-d985-40d5-8180-704f2fdf6152" Description="" Name="OperatorShape" DisplayName="Operator Shape" Namespace="BenjaminSchroeter.Flow.DataFlow" FixedTooltipText="Operator Shape" InitialWidth="0.4" InitialHeight="0.4" Geometry="Rectangle">
      <ShapeHasDecorators Position="Center" HorizontalOffset="0" VerticalOffset="0">
        <TextDecorator Name="TextDecorator" DisplayName="Text Decorator" DefaultText="TextDecorator" FontStyle="Bold" />
      </ShapeHasDecorators>
    </GeometryShape>
    <GeometryShape Id="819f21a6-6c34-43b6-88ae-7474a8753a95" Description="" Name="FormulaShape" DisplayName="Formula Shape" Namespace="BenjaminSchroeter.Flow.DataFlow" GeneratesDoubleDerived="true" FixedTooltipText="Formula Shape" InitialWidth="1" InitialHeight="0.4" Geometry="Rectangle">
      <ShapeHasDecorators Position="Center" HorizontalOffset="0" VerticalOffset="0">
        <TextDecorator Name="TextDecorator" DisplayName="Text Decorator" DefaultText="TextDecorator" FontStyle="Bold" />
      </ShapeHasDecorators>
    </GeometryShape>
    <CompartmentShape Id="948ce250-0feb-42ec-ab7f-a4daffdcf170" Description="" Name="CodeBlockShape" DisplayName="Code Block Shape" Namespace="BenjaminSchroeter.Flow.DataFlow" FixedTooltipText="Code Block Shape" InitialHeight="0.25" Geometry="Rectangle">
      <ShapeHasDecorators Position="InnerTopLeft" HorizontalOffset="0" VerticalOffset="0">
        <TextDecorator Name="NameDecorator" DisplayName="Name Decorator" DefaultText="NameDecorator" FontStyle="Bold" />
      </ShapeHasDecorators>
      <ShapeHasDecorators Position="InnerTopRight" HorizontalOffset="0" VerticalOffset="0">
        <ExpandCollapseDecorator Name="ExpandCollapseDecorator1" DisplayName="Expand Collapse Decorator1" />
      </ShapeHasDecorators>
      <Compartment Name="InputCompartment" Title="Inputs" />
      <Compartment Name="OutputCompartment" Title="Outputs" />
    </CompartmentShape>
    <GeometryShape Id="a8e4774c-839d-4f86-ae1c-7a71991dbadc" Description="" Name="CommentShape" DisplayName="Comment Shape" Namespace="BenjaminSchroeter.Flow.DataFlow" GeneratesDoubleDerived="true" FixedTooltipText="Comment Shape" FillColor="255, 255, 222" InitialHeight="1" FillGradientMode="None" Geometry="Rectangle">
      <ShapeHasDecorators Position="Center" HorizontalOffset="0" VerticalOffset="0">
        <TextDecorator Name="TextDecorator" DisplayName="Text Decorator" DefaultText="TextDecorator" />
      </ShapeHasDecorators>
    </GeometryShape>
  </Shapes>
  <Connectors>
    <Connector Id="7ab8fb9b-830c-4436-acda-c6d307868d61" Description="" Name="Connector" DisplayName="Connector" Namespace="BenjaminSchroeter.Flow.DataFlow" GeneratesDoubleDerived="true" FixedTooltipText="Connector" TargetEndStyle="FilledArrow">
      <Properties>
        <DomainProperty Id="5880df76-d9f3-486c-9a99-3f97cbe3cac5" Description="" Name="TargetAnnotationVisible" DisplayName="Target Annotation Visible" Kind="Calculated" IsBrowsable="false">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
      </Properties>
      <ConnectorHasDecorators Position="TargetTop" OffsetFromShape="0" OffsetFromLine="0">
        <TextDecorator Name="TargetAnnotationDecorator" DisplayName="Target Annotation Decorator" DefaultText="TargetAnnotationDecorator" />
      </ConnectorHasDecorators>
    </Connector>
    <Connector Id="c731d5be-0d14-4149-8286-dc266719adbe" Description="" Name="CommentConnector" DisplayName="Comment Connector" Namespace="BenjaminSchroeter.Flow.DataFlow" FixedTooltipText="Comment Connector" Color="255, 224, 192" Thickness="0.025" RoutingStyle="Straight" />
  </Connectors>
  <XmlSerializationBehavior Name="DataFlowSerializationBehavior" Namespace="BenjaminSchroeter.Flow.DataFlow">
    <ClassData>
      <XmlClassData TypeName="DataFlowModel" MonikerAttributeName="" SerializeId="true" MonikerElementName="dataFlowModelMoniker" ElementName="dataFlowModel" MonikerTypeName="DataFlowModelMoniker">
        <DomainClassMoniker Name="DataFlowModel" />
        <ElementData>
          <XmlRelationshipData RoleElementName="triggerFlow">
            <DomainRelationshipMoniker Name="DataFlowModelHasTriggerFlow" />
          </XmlRelationshipData>
          <XmlRelationshipData RoleElementName="programFlow">
            <DomainRelationshipMoniker Name="DataFlowModelHasProgramFlow" />
          </XmlRelationshipData>
          <XmlPropertyData XmlName="priority">
            <DomainPropertyMoniker Name="DataFlowModel/Priority" />
          </XmlPropertyData>
          <XmlRelationshipData RoleElementName="comments">
            <DomainRelationshipMoniker Name="DataFlowModelHasComments" />
          </XmlRelationshipData>
          <XmlPropertyData XmlName="description">
            <DomainPropertyMoniker Name="DataFlowModel/Description" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="DataFlowDiagram" MonikerAttributeName="" MonikerElementName="minimalLanguageDiagramMoniker" ElementName="minimalLanguageDiagram" MonikerTypeName="DataFlowDiagramMoniker">
        <DiagramMoniker Name="DataFlowDiagram" />
      </XmlClassData>
      <XmlClassData TypeName="FlowElement" MonikerAttributeName="" MonikerElementName="flowElementMoniker" ElementName="flowElement" MonikerTypeName="FlowElementMoniker">
        <DomainClassMoniker Name="FlowElement" />
        <ElementData>
          <XmlRelationshipData UseFullForm="true" RoleElementName="targetFlowElements">
            <DomainRelationshipMoniker Name="FlowElementReferencesTargetFlowElements" />
          </XmlRelationshipData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="TriggerFlow" MonikerAttributeName="" SerializeId="true" MonikerElementName="triggerFlowMoniker" ElementName="triggerFlow" MonikerTypeName="TriggerFlowMoniker">
        <DomainClassMoniker Name="TriggerFlow" />
      </XmlClassData>
      <XmlClassData TypeName="ProgramFlow" MonikerAttributeName="" SerializeId="true" MonikerElementName="programFlowMoniker" ElementName="programFlow" MonikerTypeName="ProgramFlowMoniker">
        <DomainClassMoniker Name="ProgramFlow" />
      </XmlClassData>
      <XmlClassData TypeName="DataFlowModelHasTriggerFlow" MonikerAttributeName="" MonikerElementName="dataFlowModelHasTriggerFlowMoniker" ElementName="dataFlowModelHasTriggerFlow" MonikerTypeName="DataFlowModelHasTriggerFlowMoniker">
        <DomainRelationshipMoniker Name="DataFlowModelHasTriggerFlow" />
      </XmlClassData>
      <XmlClassData TypeName="DataFlowModelHasProgramFlow" MonikerAttributeName="" MonikerElementName="dataFlowModelHasProgramFlowMoniker" ElementName="dataFlowModelHasProgramFlow" MonikerTypeName="DataFlowModelHasProgramFlowMoniker">
        <DomainRelationshipMoniker Name="DataFlowModelHasProgramFlow" />
      </XmlClassData>
      <XmlClassData TypeName="TriggerSwimLane" MonikerAttributeName="" MonikerElementName="triggerSwimLaneMoniker" ElementName="triggerSwimLane" MonikerTypeName="TriggerSwimLaneMoniker">
        <SwimLaneMoniker Name="TriggerSwimLane" />
      </XmlClassData>
      <XmlClassData TypeName="ProgramSwimLane" MonikerAttributeName="" MonikerElementName="programSwimLaneMoniker" ElementName="programSwimLane" MonikerTypeName="ProgramSwimLaneMoniker">
        <SwimLaneMoniker Name="ProgramSwimLane" />
      </XmlClassData>
      <XmlClassData TypeName="MasterTrigger" MonikerAttributeName="" SerializeId="true" MonikerElementName="masterTriggerMoniker" ElementName="masterTrigger" MonikerTypeName="MasterTriggerMoniker">
        <DomainClassMoniker Name="MasterTrigger" />
      </XmlClassData>
      <XmlClassData TypeName="MasterTriggerShape" MonikerAttributeName="" MonikerElementName="masterTriggerShapeMoniker" ElementName="masterTriggerShape" MonikerTypeName="MasterTriggerShapeMoniker">
        <ImageShapeMoniker Name="MasterTriggerShape" />
      </XmlClassData>
      <XmlClassData TypeName="Input" MonikerAttributeName="" SerializeId="true" MonikerElementName="inputMoniker" ElementName="input" MonikerTypeName="InputMoniker">
        <DomainClassMoniker Name="Input" />
      </XmlClassData>
      <XmlClassData TypeName="Output" MonikerAttributeName="" SerializeId="true" MonikerElementName="outputMoniker" ElementName="output" MonikerTypeName="OutputMoniker">
        <DomainClassMoniker Name="Output" />
      </XmlClassData>
      <XmlClassData TypeName="InputEvent" MonikerAttributeName="" SerializeId="true" MonikerElementName="inputEventMoniker" ElementName="inputEvent" MonikerTypeName="InputEventMoniker">
        <DomainClassMoniker Name="InputEvent" />
        <ElementData>
          <XmlPropertyData XmlName="parameter" Representation="Element">
            <DomainPropertyMoniker Name="InputEvent/Parameter" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="OutputEvent" MonikerAttributeName="" SerializeId="true" MonikerElementName="outputEventMoniker" ElementName="outputEvent" MonikerTypeName="OutputEventMoniker">
        <DomainClassMoniker Name="OutputEvent" />
        <ElementData>
          <XmlPropertyData XmlName="externalVisible">
            <DomainPropertyMoniker Name="OutputEvent/ExternalVisible" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="internalRecordId">
            <DomainPropertyMoniker Name="OutputEvent/InternalRecordId" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="Variable" MonikerAttributeName="" SerializeId="true" MonikerElementName="variableMoniker" ElementName="variable" MonikerTypeName="VariableMoniker">
        <DomainClassMoniker Name="Variable" />
        <ElementData>
          <XmlPropertyData XmlName="type">
            <DomainPropertyMoniker Name="Variable/Type" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="externalVisible">
            <DomainPropertyMoniker Name="Variable/ExternalVisible" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="externalWritable">
            <DomainPropertyMoniker Name="Variable/ExternalWritable" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="fromHardwareDescription">
            <DomainPropertyMoniker Name="Variable/FromHardwareDescription" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="readable">
            <DomainPropertyMoniker Name="Variable/Readable" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="writable">
            <DomainPropertyMoniker Name="Variable/Writable" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="Record" MonikerAttributeName="" SerializeId="true" MonikerElementName="recordMoniker" ElementName="record" MonikerTypeName="RecordMoniker">
        <DomainClassMoniker Name="Record" />
        <ElementData>
          <XmlPropertyData XmlName="recordId">
            <DomainPropertyMoniker Name="Record/RecordId" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="FunctionCall" MonikerAttributeName="" SerializeId="true" MonikerElementName="functionCallMoniker" ElementName="functionCall" MonikerTypeName="FunctionCallMoniker">
        <DomainClassMoniker Name="FunctionCall" />
        <ElementData>
          <XmlPropertyData XmlName="externalVisible">
            <DomainPropertyMoniker Name="FunctionCall/ExternalVisible" />
          </XmlPropertyData>
          <XmlRelationshipData RoleElementName="functionReturn">
            <DomainRelationshipMoniker Name="FunctionCallReferencesFunctionReturn" />
          </XmlRelationshipData>
          <XmlPropertyData XmlName="internalRecordId">
            <DomainPropertyMoniker Name="FunctionCall/InternalRecordId" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="FunctionReturn" MonikerAttributeName="" SerializeId="true" MonikerElementName="functionReturnMoniker" ElementName="functionReturn" MonikerTypeName="FunctionReturnMoniker">
        <DomainClassMoniker Name="FunctionReturn" />
        <ElementData>
          <XmlPropertyData XmlName="externalVisible">
            <DomainPropertyMoniker Name="FunctionReturn/ExternalVisible" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="internalRecordId">
            <DomainPropertyMoniker Name="FunctionReturn/InternalRecordId" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="DefinitionBase" MonikerAttributeName="" MonikerElementName="definitionBaseMoniker" ElementName="definitionBase" MonikerTypeName="DefinitionBaseMoniker">
        <DomainClassMoniker Name="DefinitionBase" />
        <ElementData>
          <XmlPropertyData XmlName="name">
            <DomainPropertyMoniker Name="DefinitionBase/Name" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="description">
            <DomainPropertyMoniker Name="DefinitionBase/Description" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="guid">
            <DomainPropertyMoniker Name="DefinitionBase/Guid" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="Field" MonikerAttributeName="" MonikerElementName="fieldMoniker" ElementName="field" MonikerTypeName="FieldMoniker">
        <DomainClassMoniker Name="Field" />
        <ElementData>
          <XmlPropertyData XmlName="type">
            <DomainPropertyMoniker Name="Field/Type" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="name">
            <DomainPropertyMoniker Name="Field/Name" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="description">
            <DomainPropertyMoniker Name="Field/Description" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="stringLength">
            <DomainPropertyMoniker Name="Field/StringLength" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="BaseCompartmentShape" MonikerAttributeName="" MonikerElementName="baseCompartmentShapeMoniker" ElementName="baseCompartmentShape" MonikerTypeName="BaseCompartmentShapeMoniker">
        <CompartmentShapeMoniker Name="BaseCompartmentShape" />
      </XmlClassData>
      <XmlClassData TypeName="FunctionReturnShape" MonikerAttributeName="" MonikerElementName="functionReturnShapeMoniker" ElementName="functionReturnShape" MonikerTypeName="FunctionReturnShapeMoniker">
        <CompartmentShapeMoniker Name="FunctionReturnShape" />
      </XmlClassData>
      <XmlClassData TypeName="FunctionCallShape" MonikerAttributeName="" MonikerElementName="functionCallShapeMoniker" ElementName="functionCallShape" MonikerTypeName="FunctionCallShapeMoniker">
        <CompartmentShapeMoniker Name="FunctionCallShape" />
      </XmlClassData>
      <XmlClassData TypeName="RecordShape" MonikerAttributeName="" MonikerElementName="recordShapeMoniker" ElementName="recordShape" MonikerTypeName="RecordShapeMoniker">
        <CompartmentShapeMoniker Name="RecordShape" />
      </XmlClassData>
      <XmlClassData TypeName="OutputEventShape" MonikerAttributeName="" MonikerElementName="outputEventShapeMoniker" ElementName="outputEventShape" MonikerTypeName="OutputEventShapeMoniker">
        <CompartmentShapeMoniker Name="OutputEventShape" />
      </XmlClassData>
      <XmlClassData TypeName="InputEventShape" MonikerAttributeName="" MonikerElementName="inputEventShapeMoniker" ElementName="inputEventShape" MonikerTypeName="InputEventShapeMoniker">
        <CompartmentShapeMoniker Name="InputEventShape" />
      </XmlClassData>
      <XmlClassData TypeName="InputShape" MonikerAttributeName="" MonikerElementName="inputShapeMoniker" ElementName="inputShape" MonikerTypeName="InputShapeMoniker">
        <CompartmentShapeMoniker Name="InputShape" />
      </XmlClassData>
      <XmlClassData TypeName="OutputShape" MonikerAttributeName="" MonikerElementName="outputShapeMoniker" ElementName="outputShape" MonikerTypeName="OutputShapeMoniker">
        <CompartmentShapeMoniker Name="OutputShape" />
      </XmlClassData>
      <XmlClassData TypeName="FieldedDefinitionBase" MonikerAttributeName="" MonikerElementName="fieldedDefinitionBaseMoniker" ElementName="fieldedDefinitionBase" MonikerTypeName="FieldedDefinitionBaseMoniker">
        <DomainClassMoniker Name="FieldedDefinitionBase" />
        <ElementData>
          <XmlRelationshipData RoleElementName="fields">
            <DomainRelationshipMoniker Name="FieldedDefinitionBaseHasFields" />
          </XmlRelationshipData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="FieldedDefinitionBaseHasFields" MonikerAttributeName="" MonikerElementName="fieldedDefinitionBaseHasFieldsMoniker" ElementName="fieldedDefinitionBaseHasFields" MonikerTypeName="FieldedDefinitionBaseHasFieldsMoniker">
        <DomainRelationshipMoniker Name="FieldedDefinitionBaseHasFields" />
      </XmlClassData>
      <XmlClassData TypeName="VariableShape" MonikerAttributeName="" MonikerElementName="variableShapeMoniker" ElementName="variableShape" MonikerTypeName="VariableShapeMoniker">
        <GeometryShapeMoniker Name="VariableShape" />
      </XmlClassData>
      <XmlClassData TypeName="TransformationBase" MonikerAttributeName="" MonikerElementName="transformationBaseMoniker" ElementName="transformationBase" MonikerTypeName="TransformationBaseMoniker">
        <DomainClassMoniker Name="TransformationBase" />
      </XmlClassData>
      <XmlClassData TypeName="Operation" MonikerAttributeName="" SerializeId="true" MonikerElementName="operationMoniker" ElementName="operation" MonikerTypeName="OperationMoniker">
        <DomainClassMoniker Name="Operation" />
        <ElementData>
          <XmlPropertyData XmlName="kind">
            <DomainPropertyMoniker Name="Operation/Kind" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="text" Representation="Ignore">
            <DomainPropertyMoniker Name="Operation/Text" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="OperatorShape" MonikerAttributeName="" MonikerElementName="operatorShapeMoniker" ElementName="operatorShape" MonikerTypeName="OperatorShapeMoniker">
        <GeometryShapeMoniker Name="OperatorShape" />
      </XmlClassData>
      <XmlClassData TypeName="FlowElementReferencesTargetFlowElements" MonikerAttributeName="" SerializeId="true" MonikerElementName="flowElementReferencesTargetFlowElementsMoniker" ElementName="flowElementReferencesTargetFlowElements" MonikerTypeName="FlowElementReferencesTargetFlowElementsMoniker">
        <DomainRelationshipMoniker Name="FlowElementReferencesTargetFlowElements" />
        <ElementData>
          <XmlPropertyData XmlName="sourceEntry">
            <DomainPropertyMoniker Name="FlowElementReferencesTargetFlowElements/SourceEntry" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="targetEntry">
            <DomainPropertyMoniker Name="FlowElementReferencesTargetFlowElements/TargetEntry" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="targetAnnotation">
            <DomainPropertyMoniker Name="FlowElementReferencesTargetFlowElements/TargetAnnotation" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="type" Representation="Ignore">
            <DomainPropertyMoniker Name="FlowElementReferencesTargetFlowElements/Type" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="Connector" MonikerAttributeName="" MonikerElementName="connectorMoniker" ElementName="connector" MonikerTypeName="ConnectorMoniker">
        <ConnectorMoniker Name="Connector" />
        <ElementData>
          <XmlPropertyData XmlName="targetAnnotationVisible" Representation="Ignore">
            <DomainPropertyMoniker Name="Connector/TargetAnnotationVisible" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="FlowBase" MonikerAttributeName="" MonikerElementName="flowBaseMoniker" ElementName="flowBase" MonikerTypeName="FlowBaseMoniker">
        <DomainClassMoniker Name="FlowBase" />
        <ElementData>
          <XmlRelationshipData RoleElementName="flowElements">
            <DomainRelationshipMoniker Name="FlowBaseHasFlowElements" />
          </XmlRelationshipData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="FlowBaseHasFlowElements" MonikerAttributeName="" MonikerElementName="flowBaseHasFlowElementsMoniker" ElementName="flowBaseHasFlowElements" MonikerTypeName="FlowBaseHasFlowElementsMoniker">
        <DomainRelationshipMoniker Name="FlowBaseHasFlowElements" />
      </XmlClassData>
      <XmlClassData TypeName="FunctionCallReferencesFunctionReturn" MonikerAttributeName="" MonikerElementName="functionCallReferencesFunctionReturnMoniker" ElementName="functionCallReferencesFunctionReturn" MonikerTypeName="FunctionCallReferencesFunctionReturnMoniker">
        <DomainRelationshipMoniker Name="FunctionCallReferencesFunctionReturn" />
      </XmlClassData>
      <XmlClassData TypeName="OptionalbleField" MonikerAttributeName="" MonikerElementName="optionalbleFieldMoniker" ElementName="optionalbleField" MonikerTypeName="OptionalbleFieldMoniker">
        <DomainClassMoniker Name="OptionalbleField" />
        <ElementData>
          <XmlPropertyData XmlName="optional">
            <DomainPropertyMoniker Name="OptionalbleField/Optional" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="Formula" MonikerAttributeName="" SerializeId="true" MonikerElementName="formulaMoniker" ElementName="formula" MonikerTypeName="FormulaMoniker">
        <DomainClassMoniker Name="Formula" />
        <ElementData>
          <XmlPropertyData XmlName="formulaText">
            <DomainPropertyMoniker Name="Formula/FormulaText" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="type" Representation="Ignore">
            <DomainPropertyMoniker Name="Formula/Type" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="FormulaShape" MonikerAttributeName="" MonikerElementName="formulaShapeMoniker" ElementName="formulaShape" MonikerTypeName="FormulaShapeMoniker">
        <GeometryShapeMoniker Name="FormulaShape" />
      </XmlClassData>
      <XmlClassData TypeName="CodeBlock" MonikerAttributeName="" SerializeId="true" MonikerElementName="codeBlockMoniker" ElementName="codeBlock" MonikerTypeName="CodeBlockMoniker">
        <DomainClassMoniker Name="CodeBlock" />
        <ElementData>
          <XmlPropertyData XmlName="name">
            <DomainPropertyMoniker Name="CodeBlock/Name" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="description">
            <DomainPropertyMoniker Name="CodeBlock/Description" />
          </XmlPropertyData>
          <XmlRelationshipData RoleElementName="inputs">
            <DomainRelationshipMoniker Name="CodeBlockHasInputs" />
          </XmlRelationshipData>
          <XmlRelationshipData RoleElementName="outputs">
            <DomainRelationshipMoniker Name="CodeBlockHasOutputs" />
          </XmlRelationshipData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="CodeBlockShape" MonikerAttributeName="" MonikerElementName="codeBlockShapeMoniker" ElementName="codeBlockShape" MonikerTypeName="CodeBlockShapeMoniker">
        <CompartmentShapeMoniker Name="CodeBlockShape" />
      </XmlClassData>
      <XmlClassData TypeName="CodeBlockFieldBase" MonikerAttributeName="name" MonikerElementName="codeBlockFieldBaseMoniker" ElementName="codeBlockFieldBase" MonikerTypeName="CodeBlockFieldBaseMoniker">
        <DomainClassMoniker Name="CodeBlockFieldBase" />
        <ElementData>
          <XmlPropertyData XmlName="name" IsMonikerKey="true">
            <DomainPropertyMoniker Name="CodeBlockFieldBase/Name" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="description">
            <DomainPropertyMoniker Name="CodeBlockFieldBase/Description" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="type">
            <DomainPropertyMoniker Name="CodeBlockFieldBase/Type" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="CodeBlockInputField" MonikerAttributeName="" MonikerElementName="codeBlockInputFieldMoniker" ElementName="codeBlockInputField" MonikerTypeName="CodeBlockInputFieldMoniker">
        <DomainClassMoniker Name="CodeBlockInputField" />
      </XmlClassData>
      <XmlClassData TypeName="CodeBlockOutputField" MonikerAttributeName="" MonikerElementName="codeBlockOutputFieldMoniker" ElementName="codeBlockOutputField" MonikerTypeName="CodeBlockOutputFieldMoniker">
        <DomainClassMoniker Name="CodeBlockOutputField" />
      </XmlClassData>
      <XmlClassData TypeName="CodeBlockHasInputs" MonikerAttributeName="" MonikerElementName="codeBlockHasInputsMoniker" ElementName="codeBlockHasInputs" MonikerTypeName="CodeBlockHasInputsMoniker">
        <DomainRelationshipMoniker Name="CodeBlockHasInputs" />
      </XmlClassData>
      <XmlClassData TypeName="CodeBlockHasOutputs" MonikerAttributeName="" MonikerElementName="codeBlockHasOutputsMoniker" ElementName="codeBlockHasOutputs" MonikerTypeName="CodeBlockHasOutputsMoniker">
        <DomainRelationshipMoniker Name="CodeBlockHasOutputs" />
      </XmlClassData>
      <XmlClassData TypeName="FieldBase" MonikerAttributeName="" MonikerElementName="fieldBaseMoniker" ElementName="fieldBase" MonikerTypeName="FieldBaseMoniker">
        <DomainClassMoniker Name="FieldBase" />
        <ElementData>
          <XmlPropertyData XmlName="guid">
            <DomainPropertyMoniker Name="FieldBase/Guid" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="Comment" MonikerAttributeName="text" MonikerElementName="commentMoniker" ElementName="comment" MonikerTypeName="CommentMoniker">
        <DomainClassMoniker Name="Comment" />
        <ElementData>
          <XmlPropertyData XmlName="text" IsMonikerKey="true">
            <DomainPropertyMoniker Name="Comment/Text" />
          </XmlPropertyData>
          <XmlRelationshipData RoleElementName="flowElements">
            <DomainRelationshipMoniker Name="CommentReferencesFlowElements" />
          </XmlRelationshipData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="DataFlowModelHasComments" MonikerAttributeName="" MonikerElementName="dataFlowModelHasCommentsMoniker" ElementName="dataFlowModelHasComments" MonikerTypeName="DataFlowModelHasCommentsMoniker">
        <DomainRelationshipMoniker Name="DataFlowModelHasComments" />
      </XmlClassData>
      <XmlClassData TypeName="CommentReferencesFlowElements" MonikerAttributeName="" MonikerElementName="commentReferencesFlowElementsMoniker" ElementName="commentReferencesFlowElements" MonikerTypeName="CommentReferencesFlowElementsMoniker">
        <DomainRelationshipMoniker Name="CommentReferencesFlowElements" />
      </XmlClassData>
      <XmlClassData TypeName="CommentShape" MonikerAttributeName="" MonikerElementName="commentShapeMoniker" ElementName="commentShape" MonikerTypeName="CommentShapeMoniker">
        <GeometryShapeMoniker Name="CommentShape" />
      </XmlClassData>
      <XmlClassData TypeName="CommentConnector" MonikerAttributeName="" MonikerElementName="commentConnectorMoniker" ElementName="commentConnector" MonikerTypeName="CommentConnectorMoniker">
        <ConnectorMoniker Name="CommentConnector" />
      </XmlClassData>
      <XmlClassData TypeName="OptionalbleFieldWithDefault" MonikerAttributeName="" MonikerElementName="optionalbleFieldWithDefaultMoniker" ElementName="optionalbleFieldWithDefault" MonikerTypeName="OptionalbleFieldWithDefaultMoniker">
        <DomainClassMoniker Name="OptionalbleFieldWithDefault" />
        <ElementData>
          <XmlPropertyData XmlName="defaultValue">
            <DomainPropertyMoniker Name="OptionalbleFieldWithDefault/DefaultValue" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
    </ClassData>
  </XmlSerializationBehavior>
  <ExplorerBehavior Name="DataFlowExplorer">
    <CustomNodeSettings>
      <ExplorerNodeSettings ShowsDomainClass="true">
        <Class>
          <DomainClassMoniker Name="DefinitionBase" />
        </Class>
        <PropertyDisplayed>
          <PropertyPath>
            <DomainPropertyMoniker Name="DefinitionBase/Name" />
          </PropertyPath>
        </PropertyDisplayed>
      </ExplorerNodeSettings>
      <ExplorerNodeSettings ShowsDomainClass="true">
        <Class>
          <DomainClassMoniker Name="Field" />
        </Class>
        <PropertyDisplayed>
          <PropertyPath>
            <DomainPropertyMoniker Name="Field/Name" />
          </PropertyPath>
        </PropertyDisplayed>
      </ExplorerNodeSettings>
      <ExplorerNodeSettings ShowsDomainClass="true">
        <Class>
          <DomainClassMoniker Name="Operation" />
        </Class>
        <PropertyDisplayed>
          <PropertyPath>
            <DomainPropertyMoniker Name="Operation/Text" />
          </PropertyPath>
        </PropertyDisplayed>
      </ExplorerNodeSettings>
      <ExplorerNodeSettings>
        <Class>
          <DomainClassMoniker Name="Comment" />
        </Class>
      </ExplorerNodeSettings>
    </CustomNodeSettings>
  </ExplorerBehavior>
  <ConnectionBuilders>
    <ConnectionBuilder Name="FlowElementReferencesTargetFlowElementsBuilder" IsCustom="true">
      <LinkConnectDirective>
        <DomainRelationshipMoniker Name="FlowElementReferencesTargetFlowElements" />
        <SourceDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="FlowElement" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </SourceDirectives>
        <TargetDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="FlowElement" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </TargetDirectives>
      </LinkConnectDirective>
    </ConnectionBuilder>
    <ConnectionBuilder Name="FunctionCallReferencesFunctionReturnBuilder">
      <LinkConnectDirective>
        <DomainRelationshipMoniker Name="FunctionCallReferencesFunctionReturn" />
        <SourceDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="FunctionCall" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </SourceDirectives>
        <TargetDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="FunctionReturn" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </TargetDirectives>
      </LinkConnectDirective>
    </ConnectionBuilder>
    <ConnectionBuilder Name="CommentReferencesFlowElementsBuilder">
      <LinkConnectDirective>
        <DomainRelationshipMoniker Name="CommentReferencesFlowElements" />
        <SourceDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="Comment" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </SourceDirectives>
        <TargetDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="FlowElement" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </TargetDirectives>
      </LinkConnectDirective>
    </ConnectionBuilder>
  </ConnectionBuilders>
  <Diagram Id="8a8069e8-38cf-4faf-92be-315723493bc4" Description="" Name="DataFlowDiagram" DisplayName="Minimal Language Diagram" Namespace="BenjaminSchroeter.Flow.DataFlow">
    <Class>
      <DomainClassMoniker Name="DataFlowModel" />
    </Class>
    <ShapeMaps>
      <SwimLaneMap>
        <DomainClassMoniker Name="TriggerFlow" />
        <ParentElementPath>
          <DomainPath>DataFlowModelHasTriggerFlow.DataFlowModel/!DataFlowModel</DomainPath>
        </ParentElementPath>
        <SwimLane>
          <SwimLaneMoniker Name="TriggerSwimLane" />
        </SwimLane>
      </SwimLaneMap>
      <SwimLaneMap>
        <DomainClassMoniker Name="ProgramFlow" />
        <ParentElementPath>
          <DomainPath>DataFlowModelHasProgramFlow.DataFlowModel/!DataFlowModel</DomainPath>
        </ParentElementPath>
        <SwimLane>
          <SwimLaneMoniker Name="ProgramSwimLane" />
        </SwimLane>
      </SwimLaneMap>
      <ShapeMap>
        <DomainClassMoniker Name="MasterTrigger" />
        <ParentElementPath>
          <DomainPath>FlowBaseHasFlowElements.FlowBase/!FlowBase</DomainPath>
        </ParentElementPath>
        <ImageShapeMoniker Name="MasterTriggerShape" />
      </ShapeMap>
      <CompartmentShapeMap>
        <DomainClassMoniker Name="FieldedDefinitionBase" />
        <ParentElementPath>
          <DomainPath>FlowBaseHasFlowElements.FlowBase/!FlowBase</DomainPath>
        </ParentElementPath>
        <DecoratorMap>
          <TextDecoratorMoniker Name="BaseCompartmentShape/DescriptionDecorator" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="DefinitionBase/Description" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <DecoratorMap>
          <TextDecoratorMoniker Name="BaseCompartmentShape/NameDecorator" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="DefinitionBase/Name" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <CompartmentShapeMoniker Name="BaseCompartmentShape" />
        <CompartmentMap>
          <CompartmentMoniker Name="BaseCompartmentShape/Fields" />
          <ElementsDisplayed>
            <DomainPath>FieldedDefinitionBaseHasFields.Fields/!Field</DomainPath>
          </ElementsDisplayed>
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="Field/Name" />
            </PropertyPath>
          </PropertyDisplayed>
        </CompartmentMap>
      </CompartmentShapeMap>
      <CompartmentShapeMap>
        <DomainClassMoniker Name="FunctionReturn" />
        <ParentElementPath>
          <DomainPath>FlowBaseHasFlowElements.FlowBase/!FlowBase</DomainPath>
        </ParentElementPath>
        <CompartmentShapeMoniker Name="FunctionReturnShape" />
      </CompartmentShapeMap>
      <CompartmentShapeMap>
        <DomainClassMoniker Name="Output" />
        <ParentElementPath>
          <DomainPath>FlowBaseHasFlowElements.FlowBase/!FlowBase</DomainPath>
        </ParentElementPath>
        <CompartmentShapeMoniker Name="OutputShape" />
      </CompartmentShapeMap>
      <CompartmentShapeMap>
        <DomainClassMoniker Name="FunctionCall" />
        <ParentElementPath>
          <DomainPath>FlowBaseHasFlowElements.FlowBase/!FlowBase</DomainPath>
        </ParentElementPath>
        <CompartmentShapeMoniker Name="FunctionCallShape" />
      </CompartmentShapeMap>
      <CompartmentShapeMap>
        <DomainClassMoniker Name="Record" />
        <ParentElementPath>
          <DomainPath>FlowBaseHasFlowElements.FlowBase/!FlowBase</DomainPath>
        </ParentElementPath>
        <CompartmentShapeMoniker Name="RecordShape" />
      </CompartmentShapeMap>
      <CompartmentShapeMap>
        <DomainClassMoniker Name="OutputEvent" />
        <ParentElementPath>
          <DomainPath>FlowBaseHasFlowElements.FlowBase/!FlowBase</DomainPath>
        </ParentElementPath>
        <CompartmentShapeMoniker Name="OutputEventShape" />
      </CompartmentShapeMap>
      <ShapeMap>
        <DomainClassMoniker Name="Variable" />
        <ParentElementPath>
          <DomainPath>FlowBaseHasFlowElements.FlowBase/!FlowBase</DomainPath>
        </ParentElementPath>
        <DecoratorMap>
          <TextDecoratorMoniker Name="VariableShape/NameDecorator" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="DefinitionBase/Name" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <GeometryShapeMoniker Name="VariableShape" />
      </ShapeMap>
      <ShapeMap>
        <DomainClassMoniker Name="Operation" />
        <ParentElementPath>
          <DomainPath>FlowBaseHasFlowElements.FlowBase/!FlowBase</DomainPath>
        </ParentElementPath>
        <DecoratorMap>
          <TextDecoratorMoniker Name="OperatorShape/TextDecorator" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="Operation/Text" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <GeometryShapeMoniker Name="OperatorShape" />
      </ShapeMap>
      <CompartmentShapeMap>
        <DomainClassMoniker Name="InputEvent" />
        <ParentElementPath>
          <DomainPath>FlowBaseHasFlowElements.FlowBase/!FlowBase</DomainPath>
        </ParentElementPath>
        <CompartmentShapeMoniker Name="InputEventShape" />
      </CompartmentShapeMap>
      <CompartmentShapeMap>
        <DomainClassMoniker Name="Input" />
        <ParentElementPath>
          <DomainPath>FlowBaseHasFlowElements.FlowBase/!FlowBase</DomainPath>
        </ParentElementPath>
        <CompartmentShapeMoniker Name="InputShape" />
      </CompartmentShapeMap>
      <ShapeMap>
        <DomainClassMoniker Name="Formula" />
        <ParentElementPath>
          <DomainPath>FlowBaseHasFlowElements.FlowBase/!FlowBase</DomainPath>
        </ParentElementPath>
        <DecoratorMap>
          <TextDecoratorMoniker Name="FormulaShape/TextDecorator" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="Formula/FormulaText" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <GeometryShapeMoniker Name="FormulaShape" />
      </ShapeMap>
      <CompartmentShapeMap>
        <DomainClassMoniker Name="CodeBlock" />
        <ParentElementPath>
          <DomainPath>FlowBaseHasFlowElements.FlowBase/!FlowBase</DomainPath>
        </ParentElementPath>
        <DecoratorMap>
          <TextDecoratorMoniker Name="CodeBlockShape/NameDecorator" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="CodeBlock/Name" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <CompartmentShapeMoniker Name="CodeBlockShape" />
        <CompartmentMap>
          <CompartmentMoniker Name="CodeBlockShape/InputCompartment" />
          <ElementsDisplayed>
            <DomainPath>CodeBlockHasInputs.Inputs/!CodeBlockInputField</DomainPath>
          </ElementsDisplayed>
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="CodeBlockFieldBase/Name" />
            </PropertyPath>
          </PropertyDisplayed>
        </CompartmentMap>
        <CompartmentMap>
          <CompartmentMoniker Name="CodeBlockShape/OutputCompartment" />
          <ElementsDisplayed>
            <DomainPath>CodeBlockHasOutputs.Outputs/!CodeBlockOutputField</DomainPath>
          </ElementsDisplayed>
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="CodeBlockFieldBase/Name" />
            </PropertyPath>
          </PropertyDisplayed>
        </CompartmentMap>
      </CompartmentShapeMap>
      <ShapeMap>
        <DomainClassMoniker Name="Comment" />
        <ParentElementPath>
          <DomainPath>DataFlowModelHasComments.DataFlowModel/!DataFlowModel</DomainPath>
        </ParentElementPath>
        <DecoratorMap>
          <TextDecoratorMoniker Name="CommentShape/TextDecorator" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="Comment/Text" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <GeometryShapeMoniker Name="CommentShape" />
      </ShapeMap>
    </ShapeMaps>
    <ConnectorMaps>
      <ConnectorMap>
        <ConnectorMoniker Name="Connector" />
        <DomainRelationshipMoniker Name="FlowElementReferencesTargetFlowElements" />
        <DecoratorMap>
          <TextDecoratorMoniker Name="Connector/TargetAnnotationDecorator" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="FlowElementReferencesTargetFlowElements/TargetAnnotation" />
            </PropertyPath>
          </PropertyDisplayed>
          <VisibilityPropertyPath>
            <DomainPropertyMoniker Name="Connector/TargetAnnotationVisible" />
            <PropertyFilters>
              <PropertyFilter FilteringValue="True" />
            </PropertyFilters>
          </VisibilityPropertyPath>
        </DecoratorMap>
      </ConnectorMap>
      <ConnectorMap>
        <ConnectorMoniker Name="CommentConnector" />
        <DomainRelationshipMoniker Name="CommentReferencesFlowElements" />
      </ConnectorMap>
    </ConnectorMaps>
  </Diagram>
  <Designer FileExtension="dataflow" EditorGuid="29bba8ff-8f30-4464-b6b1-0484e3f27bbc">
    <RootClass>
      <DomainClassMoniker Name="DataFlowModel" />
    </RootClass>
    <XmlSerializationDefinition CustomPostLoad="false">
      <XmlSerializationBehaviorMoniker Name="DataFlowSerializationBehavior" />
    </XmlSerializationDefinition>
    <ToolboxTab TabText="DataFlow">
      <ConnectionTool Name="Connection" ToolboxIcon="..\..\Misc\Images\ConnectorToolBitmap.bmp" Caption="Connection" Tooltip="Connection" HelpKeyword="Connection">
        <ConnectionBuilderMoniker Name="DataFlow/FlowElementReferencesTargetFlowElementsBuilder" />
      </ConnectionTool>
      <ElementTool Name="Formula" ToolboxIcon="..\..\Misc\Images\ShapeToolBitmap.bmp" Caption="Formula" Tooltip="Formula" HelpKeyword="Formula">
        <DomainClassMoniker Name="Formula" />
      </ElementTool>
      <ElementTool Name="Codeblock" ToolboxIcon="..\..\Misc\Images\ShapeToolBitmap.bmp" Caption="Codeblock" Tooltip="Codeblock" HelpKeyword="Codeblock">
        <DomainClassMoniker Name="CodeBlock" />
      </ElementTool>
      <ElementTool Name="Comment" ToolboxIcon="..\..\Misc\Images\CommentToolBitmap.bmp" Caption="Comment" Tooltip="Comment" HelpKeyword="Comment">
        <DomainClassMoniker Name="Comment" />
      </ElementTool>
      <ConnectionTool Name="CommentConnection" ToolboxIcon="..\..\Misc\Images\CommentConnectorToolBitmap.bmp" Caption="Comment Connection" Tooltip="Comment Connection" HelpKeyword="CommentConnection">
        <ConnectionBuilderMoniker Name="DataFlow/CommentReferencesFlowElementsBuilder" />
      </ConnectionTool>
    </ToolboxTab>
    <Validation UsesMenu="true" UsesOpen="true" UsesSave="true" UsesLoad="false" />
    <DiagramMoniker Name="DataFlowDiagram" />
  </Designer>
</Dsl>