using BenjaminSchroeter.DslTools;

namespace BenjaminSchroeter.Flow.DataFlow
{
    partial class FunctionReturn : IDynamicCanDelete
    {
        public bool CanDelete()
        {
            // as long a the corresponding function call exists in the trigger flow
            // this function return must stay in the program flow and cannot be deleted
            return !FunctionCall.ExistFunctionCallInTriggerFlow(this);
        }
    }
}
