using Microsoft.VisualStudio.Modeling.Validation;

namespace BenjaminSchroeter.Flow.DataFlow
{
    [ValidationState(ValidationState.Enabled)]
    partial class FunctionReturn
    {        
        [ValidationMethod(ValidationCategories.Menu | ValidationCategories.Save | ValidationCategories.Open)]
        private void ValidatePosition(ValidationContext context)
        {
            FunctionCall.ValidateExistenceInTriggerFlow(context, this);
        }

        [ValidationMethod(ValidationCategories.Menu | ValidationCategories.Save | ValidationCategories.Open)]
        private void ValidateMissingInputs(ValidationContext context)
        {
            this.ValidateMissingInputsBase(context);            
        }
    }
}
