<?xml version="1.0" encoding="utf-8"?>
<Dsl dslVersion="1.0.0.0" Id="8a0db6aa-a672-4683-adb0-dbbc700dd59c" Description="" Name="Datastructures" DisplayName="Datastructures" Namespace="BenjaminSchroeter.Flow.Datastructures" ProductName="Datastructures" CompanyName="Benjamin Schroeter" PackageGuid="d63231b2-77f2-4cae-9eb5-a5864523ce7a" PackageNamespace="BenjaminSchroeter.Flow.Datastructures" xmlns="http://schemas.microsoft.com/VisualStudio/2005/DslTools/DslDefinitionModel">
  <Classes>
    <DomainClass Id="102b5250-88c6-4e3e-85e9-bdac6f13c7c7" Description="The root in which all other elements are embedded. Appears as a diagram." Name="BaseDomainClass" DisplayName="Base Domain Class" InheritanceModifier="Abstract" Namespace="BenjaminSchroeter.Flow.Datastructures" HasCustomConstructor="true">
      <Properties>
        <DomainProperty Id="7839d12e-c476-4143-94e5-96e3dc562c6b" Description="" Name="Guid" DisplayName="Guid" Category="Definition" IsBrowsable="false" IsUIReadOnly="true">
          <Type>
            <ExternalTypeMoniker Name="/System/Guid" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="c004aa98-1ad1-4311-90fc-9730ebf28416" Description="" Name="Name" DisplayName="Name" Category="Definition" IsElementName="true">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="190a98a4-feaa-4362-962c-c063623c5124" Description="" Name="Description" DisplayName="Description" Category="Definition">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="ff0d0579-9207-4370-a343-f9121cd4bf63" Description="" Name="DatastructureModel" DisplayName="Datastructure Model" Namespace="BenjaminSchroeter.Flow.Datastructures" HasCustomConstructor="true">
      <Properties>
        <DomainProperty Id="0fcd8d68-c3ce-4764-b31d-7ce3f996cfe3" Description="" Name="Version" DisplayName="Version" DefaultValue="1" IsBrowsable="false" IsUIReadOnly="true">
          <Type>
            <ExternalTypeMoniker Name="/System/Int32" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="e7380732-9e60-4165-a3f6-1632f001178d" Description="" Name="Description" DisplayName="Description" Category="Definition">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="0b3f9090-0865-42cf-a5ea-84c447b55fa4" Description="" Name="Guid" DisplayName="Guid" Category="Definition" IsBrowsable="false">
          <Type>
            <ExternalTypeMoniker Name="/System/Guid" />
          </Type>
        </DomainProperty>
      </Properties>
      <ElementMergeDirectives>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="Variable" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>DatastructureModelHasVariables.Variables</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="OutputEvent" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>DatastructureModelHasOutputEvents.OutputEvents</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="Function" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>DatastructureModelHasFunctions.Functions</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="Record" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>DatastructureModelHasRecords.Records</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="Comment" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>DatastructureModelHasComments.Comments</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
      </ElementMergeDirectives>
    </DomainClass>
    <DomainClass Id="56a2009d-9d61-44b7-8e42-2eeb8e237ad8" Description="" Name="ExternalVisibleDomainClass" DisplayName="External Visible Domain Class" InheritanceModifier="Abstract" Namespace="BenjaminSchroeter.Flow.Datastructures">
      <BaseClass>
        <DomainClassMoniker Name="BaseDomainClass" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="e9549cec-215c-461f-b46b-7a93e10dc6fe" Description="" Name="ExternalVisible" DisplayName="External Visible" DefaultValue="true" Category="Code Generation">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="6cca4f2d-bc54-4180-a2fd-44500fc09450" Description="" Name="InternalRecordId" DisplayName="Internal Record Id" Category="Code Generation">
          <Type>
            <ExternalTypeMoniker Name="/System/Byte" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="0514aa43-de11-41b8-bbd3-2bb4d81d7e74" Description="" Name="Variable" DisplayName="Variable" Namespace="BenjaminSchroeter.Flow.Datastructures">
      <BaseClass>
        <DomainClassMoniker Name="ExternalVisibleDomainClass" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="305890ed-4f35-41a3-9f12-915d691352bc" Description="" Name="ExternalWritable" DisplayName="External Writable" DefaultValue="false" Category="Code Generation">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="19fb9611-00cb-476b-8d52-44844610c4c6" Description="" Name="Type" DisplayName="Type" DefaultValue="" Category="Data">
          <Type>
            <ExternalTypeMoniker Name="/BenjaminSchroeter.Flow.DataTypes/DataTypeString" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="9f00026f-f9f3-4e43-8fb4-00a64964c0ed" Description="" Name="InitialValue" DisplayName="Initial Value" Category="Data">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="f47c48d1-bf78-4e41-8e92-9e0bc5b2c94f" Description="" Name="Record" DisplayName="Record" Namespace="BenjaminSchroeter.Flow.Datastructures">
      <BaseClass>
        <DomainClassMoniker Name="BaseDomainClass" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="86b701ee-82f4-4818-9842-c6af05435ed0" Description="" Name="RecordId" DisplayName="Record Id" Category="Code Generation">
          <Type>
            <ExternalTypeMoniker Name="/System/Byte" />
          </Type>
        </DomainProperty>
      </Properties>
      <ElementMergeDirectives>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="RecordField" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>RecordHasFields.Fields</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
      </ElementMergeDirectives>
    </DomainClass>
    <DomainClass Id="9d35c9ca-cdeb-4440-8053-6681208f689c" Description="" Name="OutputEvent" DisplayName="Output Event" Namespace="BenjaminSchroeter.Flow.Datastructures">
      <BaseClass>
        <DomainClassMoniker Name="ExternalVisibleDomainClass" />
      </BaseClass>
      <ElementMergeDirectives>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="OutputEventField" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>OutputEventHasFields.Fields</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
      </ElementMergeDirectives>
    </DomainClass>
    <DomainClass Id="a48f2dc3-ab1c-41c7-bff0-d7bf0bdb19fc" Description="" Name="Function" DisplayName="Function" Namespace="BenjaminSchroeter.Flow.Datastructures">
      <BaseClass>
        <DomainClassMoniker Name="ExternalVisibleDomainClass" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="9cf3a6f5-a5ae-479b-8d22-e9634a7a16c9" Description="" Name="InternalRecordIdForReturn" DisplayName="Internal Record Id For Return" Category="Code Generation">
          <Type>
            <ExternalTypeMoniker Name="/System/Byte" />
          </Type>
        </DomainProperty>
      </Properties>
      <ElementMergeDirectives>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="Parameter" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>FunctionHasParameters.Parameters</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="ReturnValue" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>FunctionHasReturnValues.ReturnValues</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
      </ElementMergeDirectives>
    </DomainClass>
    <DomainClass Id="1df2ee4c-8f62-4c02-9071-97c78d11a32d" Description="" Name="OptionalField" DisplayName="Optional Field" InheritanceModifier="Abstract" Namespace="BenjaminSchroeter.Flow.Datastructures">
      <BaseClass>
        <DomainClassMoniker Name="FieldBase" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="293132d9-2b2a-477d-8dae-eb572b316510" Description="" Name="Optional" DisplayName="Optional" Category="Data">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="9d23424b-a4fa-45ea-a38e-152306bc86b2" Description="" Name="DefaultValue" DisplayName="Default Value" Category="Data">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="f54d05c7-2ef6-4751-b5f9-583b8c1e1440" Description="" Name="Parameter" DisplayName="Parameter" Namespace="BenjaminSchroeter.Flow.Datastructures">
      <BaseClass>
        <DomainClassMoniker Name="FieldBase" />
      </BaseClass>
    </DomainClass>
    <DomainClass Id="02864068-9640-4f0f-bf07-383d55d00b62" Description="" Name="ReturnValue" DisplayName="Return Value" Namespace="BenjaminSchroeter.Flow.Datastructures">
      <BaseClass>
        <DomainClassMoniker Name="OptionalField" />
      </BaseClass>
    </DomainClass>
    <DomainClass Id="68db8b2c-5502-45bf-929c-6ff684a61d06" Description="" Name="FieldBase" DisplayName="Field Base" InheritanceModifier="Abstract" Namespace="BenjaminSchroeter.Flow.Datastructures">
      <BaseClass>
        <DomainClassMoniker Name="BaseDomainClass" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="e41d0f0f-ff4b-4e45-8d73-bbc8dafbf20c" Description="" Name="Type" DisplayName="Type" DefaultValue=" " Category="Data">
          <Type>
            <ExternalTypeMoniker Name="/BenjaminSchroeter.Flow.DataTypes/DataTypeString" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="298ca973-33b9-47cb-9bf4-120f8e167473" Description="This property is only used if the Record Field is of a string type." Name="StringLength" DisplayName="String Length" DefaultValue="20" Category="Data">
          <Type>
            <ExternalTypeMoniker Name="/System/UInt16" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="9da4bef2-1c9e-46af-91ba-133969349885" Description="" Name="Comment" DisplayName="Comment" Namespace="BenjaminSchroeter.Flow.Datastructures">
      <Properties>
        <DomainProperty Id="8cf6d812-a13a-40a5-9d24-39061a5a3e32" Description="" Name="Text" DisplayName="Text" IsElementName="true">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="9d315bae-88c2-452b-8b43-a2154c907677" Description="" Name="RecordField" DisplayName="Record Field" Namespace="BenjaminSchroeter.Flow.Datastructures">
      <BaseClass>
        <DomainClassMoniker Name="OptionalField" />
      </BaseClass>
    </DomainClass>
    <DomainClass Id="b2da6792-63f4-4fc0-b353-f07ceb6d5a09" Description="Description for BenjaminSchroeter.Flow.Datastructures.OutputEventField" Name="OutputEventField" DisplayName="Output Event Field" Namespace="BenjaminSchroeter.Flow.Datastructures">
      <BaseClass>
        <DomainClassMoniker Name="OptionalField" />
      </BaseClass>
    </DomainClass>
  </Classes>
  <Relationships>
    <DomainRelationship Id="749412e2-531e-43d5-af66-478be7119c85" Description="" Name="FunctionHasParameters" DisplayName="Function Has Parameters" Namespace="BenjaminSchroeter.Flow.Datastructures" IsEmbedding="true">
      <Source>
        <DomainRole Id="98876c29-d02c-4949-95ee-731fc12ea6a7" Description="" Name="Function" DisplayName="Function" PropertyName="Parameters" PropertyDisplayName="Parameters">
          <RolePlayer>
            <DomainClassMoniker Name="Function" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="f84cd556-d94b-4866-91b3-f36332f08f90" Description="" Name="Parameter" DisplayName="Parameter" PropertyName="Function" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Function">
          <RolePlayer>
            <DomainClassMoniker Name="Parameter" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="b5b9e621-7e60-437c-b58c-87d401cdc624" Description="" Name="FunctionHasReturnValues" DisplayName="Function Has Return Values" Namespace="BenjaminSchroeter.Flow.Datastructures" IsEmbedding="true">
      <Source>
        <DomainRole Id="b6b1b68e-3435-4a44-8d7e-3075573fdef1" Description="" Name="Function" DisplayName="Function" PropertyName="ReturnValues" PropertyDisplayName="Return Values">
          <RolePlayer>
            <DomainClassMoniker Name="Function" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="f1b53c50-a9a2-4dc3-8403-1220da339726" Description="" Name="ReturnValue" DisplayName="Return Value" PropertyName="Function" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Function">
          <RolePlayer>
            <DomainClassMoniker Name="ReturnValue" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="3b7ed4b3-074d-4aca-b196-2de4343d6aed" Description="" Name="DatastructureModelHasVariables" DisplayName="Datastructure Model Has Variables" Namespace="BenjaminSchroeter.Flow.Datastructures" IsEmbedding="true">
      <Source>
        <DomainRole Id="ba659101-1add-4a75-b2df-384a37cf9bc2" Description="" Name="DatastructureModel" DisplayName="Datastructure Model" PropertyName="Variables" PropertyDisplayName="Variables">
          <RolePlayer>
            <DomainClassMoniker Name="DatastructureModel" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="06b1782d-4896-4039-a97d-8d1f40543589" Description="" Name="Variable" DisplayName="Variable" PropertyName="DatastructureModel" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Datastructure Model">
          <RolePlayer>
            <DomainClassMoniker Name="Variable" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="3567366e-199c-448b-945a-69de66c2a99d" Description="" Name="DatastructureModelHasOutputEvents" DisplayName="Datastructure Model Has Output Events" Namespace="BenjaminSchroeter.Flow.Datastructures" IsEmbedding="true">
      <Source>
        <DomainRole Id="ae98759b-7bac-46d2-a7d7-39af7000821b" Description="" Name="DatastructureModel" DisplayName="Datastructure Model" PropertyName="OutputEvents" PropertyDisplayName="Output Events">
          <RolePlayer>
            <DomainClassMoniker Name="DatastructureModel" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="92cb3c40-f649-4a0c-b938-6f505ab37d66" Description="" Name="OutputEvent" DisplayName="Output Event" PropertyName="DatastructureModel" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Datastructure Model">
          <RolePlayer>
            <DomainClassMoniker Name="OutputEvent" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="bfb1bb4a-8c51-4bb2-b9d5-f29948857b1a" Description="" Name="DatastructureModelHasFunctions" DisplayName="Datastructure Model Has Functions" Namespace="BenjaminSchroeter.Flow.Datastructures" IsEmbedding="true">
      <Source>
        <DomainRole Id="08672bf4-aee8-43b3-8753-5277c1d40465" Description="" Name="DatastructureModel" DisplayName="Datastructure Model" PropertyName="Functions" PropertyDisplayName="Functions">
          <RolePlayer>
            <DomainClassMoniker Name="DatastructureModel" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="28304131-2a60-4911-9a8d-77ed2f25ef01" Description="" Name="Function" DisplayName="Function" PropertyName="DatastructureModel" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Datastructure Model">
          <RolePlayer>
            <DomainClassMoniker Name="Function" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="7ac0af3d-b425-47c1-8ff4-731f225334a7" Description="" Name="DatastructureModelHasRecords" DisplayName="Datastructure Model Has Records" Namespace="BenjaminSchroeter.Flow.Datastructures" IsEmbedding="true">
      <Source>
        <DomainRole Id="e191779c-1403-4e83-96a1-d192ba043044" Description="" Name="DatastructureModel" DisplayName="Datastructure Model" PropertyName="Records" PropertyDisplayName="Records">
          <RolePlayer>
            <DomainClassMoniker Name="DatastructureModel" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="35ee185d-3f3f-4e6c-baaf-92431e6c76da" Description="" Name="Record" DisplayName="Record" PropertyName="DatastructureModel" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Datastructure Model">
          <RolePlayer>
            <DomainClassMoniker Name="Record" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="388e6a7a-2621-4e9a-bf9b-44f90cc7f4a8" Description="" Name="DatastructureModelHasComments" DisplayName="Datastructure Model Has Comments" Namespace="BenjaminSchroeter.Flow.Datastructures" IsEmbedding="true">
      <Source>
        <DomainRole Id="fd8692b4-fbe9-4c7f-b167-8f00e808f90a" Description="" Name="DatastructureModel" DisplayName="Datastructure Model" PropertyName="Comments" PropertyDisplayName="Comments">
          <RolePlayer>
            <DomainClassMoniker Name="DatastructureModel" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="f6bcdb0d-124e-445b-8fe2-3ce454b5908f" Description="" Name="Comment" DisplayName="Comment" PropertyName="DatastructureModel" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Datastructure Model">
          <RolePlayer>
            <DomainClassMoniker Name="Comment" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="31ab3aeb-d39f-443d-bff4-d0340ba21b38" Description="" Name="CommentReferencesBaseDomainClasses" DisplayName="Comment References Base Domain Classes" Namespace="BenjaminSchroeter.Flow.Datastructures">
      <Source>
        <DomainRole Id="95d46dd3-3c77-4893-89c4-6f58bd944e22" Description="" Name="Comment" DisplayName="Comment" PropertyName="BaseDomainClasses" PropertyDisplayName="Base Domain Classes">
          <RolePlayer>
            <DomainClassMoniker Name="Comment" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="848931a6-1657-42a1-b8e1-8fd79c33088d" Description="" Name="BaseDomainClass" DisplayName="Base Domain Class" PropertyName="RefComments" PropertyDisplayName="Ref Comments">
          <RolePlayer>
            <DomainClassMoniker Name="BaseDomainClass" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="04b3743b-7dcb-47ab-a653-e7d98b360f8a" Description="" Name="RecordHasFields" DisplayName="Record Has Fields" Namespace="BenjaminSchroeter.Flow.Datastructures" IsEmbedding="true">
      <Source>
        <DomainRole Id="d2bb904d-c0f7-4ba1-bae8-24d345cc9ebc" Description="" Name="Record" DisplayName="Record" PropertyName="Fields" PropertyDisplayName="Fields">
          <RolePlayer>
            <DomainClassMoniker Name="Record" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="1dfc0c28-9258-4ac4-9cd9-e0f050c7e2c6" Description="" Name="RecordField" DisplayName="Record Field" PropertyName="Record" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Record">
          <RolePlayer>
            <DomainClassMoniker Name="RecordField" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="237a4f3e-3802-4004-8a07-ba470b24f1e3" Description="Description for BenjaminSchroeter.Flow.Datastructures.OutputEventHasFields" Name="OutputEventHasFields" DisplayName="Output Event Has Fields" Namespace="BenjaminSchroeter.Flow.Datastructures" IsEmbedding="true">
      <Source>
        <DomainRole Id="96678b7e-2174-43e3-8831-4808d7e0ee4b" Description="Description for BenjaminSchroeter.Flow.Datastructures.OutputEventHasFields.OutputEvent" Name="OutputEvent" DisplayName="Output Event" PropertyName="Fields" PropertyDisplayName="Fields">
          <RolePlayer>
            <DomainClassMoniker Name="OutputEvent" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="010ecd59-4ee1-4889-9308-0c98fc4da88b" Description="Description for BenjaminSchroeter.Flow.Datastructures.OutputEventHasFields.OutputEventField" Name="OutputEventField" DisplayName="Output Event Field" PropertyName="OutputEvent" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Output Event">
          <RolePlayer>
            <DomainClassMoniker Name="OutputEventField" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
  </Relationships>
  <Types>
    <ExternalType Name="DateTime" Namespace="System" />
    <ExternalType Name="String" Namespace="System" />
    <ExternalType Name="Int16" Namespace="System" />
    <ExternalType Name="Int32" Namespace="System" />
    <ExternalType Name="Int64" Namespace="System" />
    <ExternalType Name="UInt16" Namespace="System" />
    <ExternalType Name="UInt32" Namespace="System" />
    <ExternalType Name="UInt64" Namespace="System" />
    <ExternalType Name="SByte" Namespace="System" />
    <ExternalType Name="Byte" Namespace="System" />
    <ExternalType Name="Double" Namespace="System" />
    <ExternalType Name="Single" Namespace="System" />
    <ExternalType Name="Guid" Namespace="System" />
    <ExternalType Name="Boolean" Namespace="System" />
    <ExternalType Name="Char" Namespace="System" />
    <ExternalType Name="Color" Namespace="System.Drawing" />
    <ExternalType Name="LinearGradientMode" Namespace="System.Drawing.Drawing2D" />
    <ExternalType Name="DataTypeString" Namespace="BenjaminSchroeter.Flow.DataTypes" />
  </Types>
  <Shapes>
    <GeometryShape Id="a07582ab-1616-418f-bdaa-f46b297b559d" Description="" Name="VariableShape" DisplayName="Variable Shape" Namespace="BenjaminSchroeter.Flow.Datastructures" FixedTooltipText="Variable Shape" FillColor="192, 255, 192" InitialWidth="0.8" InitialHeight="0.5" FillGradientMode="ForwardDiagonal" Geometry="Ellipse">
      <ShapeHasDecorators Position="Center" HorizontalOffset="0" VerticalOffset="0">
        <TextDecorator Name="NameDecorator" DisplayName="Name Decorator" DefaultText="NameDecorator" FontStyle="Bold" />
      </ShapeHasDecorators>
    </GeometryShape>
    <CompartmentShape Id="4520f342-9878-400d-b967-7a558215402b" Description="" Name="PortShape" DisplayName="Port Shape" InheritanceModifier="Abstract" Namespace="BenjaminSchroeter.Flow.Datastructures" FixedTooltipText="Port Shape" InitialHeight="0.4" Geometry="RoundedRectangle" IsSingleCompartmentHeaderVisible="false">
      <ShapeHasDecorators Position="InnerTopLeft" HorizontalOffset="0.2" VerticalOffset="0">
        <TextDecorator Name="NameDecorator" DisplayName="Name Decorator" DefaultText="NameDecorator" FontStyle="Bold" />
      </ShapeHasDecorators>
      <ShapeHasDecorators Position="InnerTopLeft" HorizontalOffset="0.2" VerticalOffset="0.15">
        <TextDecorator Name="DescriptionDecorator" DisplayName="Description Decorator" DefaultText="DescriptionDecorator" />
      </ShapeHasDecorators>
      <ShapeHasDecorators Position="InnerTopRight" HorizontalOffset="0" VerticalOffset="0">
        <ExpandCollapseDecorator Name="ExpandCollapseDecorator" DisplayName="Expand Collapse Decorator" />
      </ShapeHasDecorators>
    </CompartmentShape>
    <CompartmentShape Id="1535cf62-676c-41e5-abea-76187c2664bc" Description="" Name="RecordShape" DisplayName="Record Shape" Namespace="BenjaminSchroeter.Flow.Datastructures" FixedTooltipText="Record Shape" FillColor="Gainsboro" InitialHeight="1" Geometry="Rectangle" IsSingleCompartmentHeaderVisible="false">
      <BaseCompartmentShape>
        <CompartmentShapeMoniker Name="PortShape" />
      </BaseCompartmentShape>
      <ShapeHasDecorators Position="InnerTopLeft" HorizontalOffset="0" VerticalOffset="0">
        <IconDecorator Name="IconDecorator1" DisplayName="Icon Decorator1" DefaultIcon="..\..\Misc\Images\RecordSmall.bmp" />
      </ShapeHasDecorators>
      <Compartment Name="FieldCompartment" Title="Fields" />
    </CompartmentShape>
    <CompartmentShape Id="5fcda984-bdc6-469c-8001-c252b173635e" Description="" Name="OutputEventShape" DisplayName="Output Event Shape" Namespace="BenjaminSchroeter.Flow.Datastructures" FixedTooltipText="Output Event Shape" FillColor="128, 128, 255" InitialHeight="1" Geometry="Rectangle" IsSingleCompartmentHeaderVisible="false">
      <BaseCompartmentShape>
        <CompartmentShapeMoniker Name="PortShape" />
      </BaseCompartmentShape>
      <ShapeHasDecorators Position="InnerTopLeft" HorizontalOffset="0" VerticalOffset="0">
        <IconDecorator Name="IconDecorator1" DisplayName="Icon Decorator1" DefaultIcon="..\..\Misc\Images\EventSmall.bmp" />
      </ShapeHasDecorators>
      <Compartment Name="FieldCompartment" Title="Fields" />
    </CompartmentShape>
    <CompartmentShape Id="326a098b-e96c-4a17-be33-061047532bb8" Description="" Name="FunctionShape" DisplayName="Function Shape" Namespace="BenjaminSchroeter.Flow.Datastructures" FixedTooltipText="Function Shape" FillColor="192, 192, 0" InitialHeight="1" Geometry="Rectangle">
      <BaseCompartmentShape>
        <CompartmentShapeMoniker Name="PortShape" />
      </BaseCompartmentShape>
      <ShapeHasDecorators Position="InnerTopLeft" HorizontalOffset="0" VerticalOffset="0">
        <IconDecorator Name="IconDecorator1" DisplayName="Icon Decorator1" DefaultIcon="..\..\Misc\Images\FunctionSmall.bmp" />
      </ShapeHasDecorators>
      <Compartment Name="ParameterCompartment" Title="Parameters" />
      <Compartment Name="ReturnValueCompartment" Title="Return Values" />
    </CompartmentShape>
    <GeometryShape Id="a1d73b3f-cdbe-4700-9577-b2b643205acc" Description="" Name="CommentShape" DisplayName="Comment Shape" Namespace="BenjaminSchroeter.Flow.Datastructures" GeneratesDoubleDerived="true" FixedTooltipText="Comment Shape" FillColor="255, 255, 222" InitialHeight="1" FillGradientMode="None" Geometry="Rectangle">
      <ShapeHasDecorators Position="Center" HorizontalOffset="0" VerticalOffset="0">
        <TextDecorator Name="TextDecorator" DisplayName="Text Decorator" DefaultText="TextDecorator" />
      </ShapeHasDecorators>
    </GeometryShape>
  </Shapes>
  <Connectors>
    <Connector Id="60d7e970-19e7-46a1-86f6-cb586022a1b3" Description="" Name="CommentConnector" DisplayName="Comment Connector" Namespace="BenjaminSchroeter.Flow.Datastructures" FixedTooltipText="Comment Connector" Color="255, 224, 192" Thickness="0.025" RoutingStyle="Straight" />
  </Connectors>
  <XmlSerializationBehavior Name="DatastructuresSerializationBehavior" Namespace="BenjaminSchroeter.Flow.Datastructures">
    <ClassData>
      <XmlClassData TypeName="BaseDomainClass" MonikerAttributeName="guid" MonikerElementName="baseDomainClassMoniker" ElementName="baseDomainClass" MonikerTypeName="BaseDomainClassMoniker">
        <DomainClassMoniker Name="BaseDomainClass" />
        <ElementData>
          <XmlPropertyData XmlName="guid" IsMonikerKey="true">
            <DomainPropertyMoniker Name="BaseDomainClass/Guid" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="name">
            <DomainPropertyMoniker Name="BaseDomainClass/Name" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="description">
            <DomainPropertyMoniker Name="BaseDomainClass/Description" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="DatastructuresDiagram" MonikerAttributeName="" MonikerElementName="minimalLanguageDiagramMoniker" ElementName="minimalLanguageDiagram" MonikerTypeName="DatastructuresDiagramMoniker">
        <DiagramMoniker Name="DatastructuresDiagram" />
      </XmlClassData>
      <XmlClassData TypeName="DatastructureModel" MonikerAttributeName="" SerializeId="true" MonikerElementName="datastructureModelMoniker" ElementName="datastructureModel" MonikerTypeName="DatastructureModelMoniker">
        <DomainClassMoniker Name="DatastructureModel" />
        <ElementData>
          <XmlRelationshipData RoleElementName="variables">
            <DomainRelationshipMoniker Name="DatastructureModelHasVariables" />
          </XmlRelationshipData>
          <XmlRelationshipData RoleElementName="outputEvents">
            <DomainRelationshipMoniker Name="DatastructureModelHasOutputEvents" />
          </XmlRelationshipData>
          <XmlRelationshipData RoleElementName="functions">
            <DomainRelationshipMoniker Name="DatastructureModelHasFunctions" />
          </XmlRelationshipData>
          <XmlRelationshipData RoleElementName="records">
            <DomainRelationshipMoniker Name="DatastructureModelHasRecords" />
          </XmlRelationshipData>
          <XmlPropertyData XmlName="version">
            <DomainPropertyMoniker Name="DatastructureModel/Version" />
          </XmlPropertyData>
          <XmlRelationshipData RoleElementName="comments">
            <DomainRelationshipMoniker Name="DatastructureModelHasComments" />
          </XmlRelationshipData>
          <XmlPropertyData XmlName="description">
            <DomainPropertyMoniker Name="DatastructureModel/Description" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="guid">
            <DomainPropertyMoniker Name="DatastructureModel/Guid" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="ExternalVisibleDomainClass" MonikerAttributeName="" MonikerElementName="externalVisibleDomainClassMoniker" ElementName="externalVisibleDomainClass" MonikerTypeName="ExternalVisibleDomainClassMoniker">
        <DomainClassMoniker Name="ExternalVisibleDomainClass" />
        <ElementData>
          <XmlPropertyData XmlName="externalVisible">
            <DomainPropertyMoniker Name="ExternalVisibleDomainClass/ExternalVisible" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="internalRecordId">
            <DomainPropertyMoniker Name="ExternalVisibleDomainClass/InternalRecordId" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="Variable" MonikerAttributeName="Guid" MonikerElementName="variableMoniker" ElementName="variable" MonikerTypeName="VariableMoniker">
        <DomainClassMoniker Name="Variable" />
        <ElementData>
          <XmlPropertyData XmlName="externalWritable">
            <DomainPropertyMoniker Name="Variable/ExternalWritable" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="type">
            <DomainPropertyMoniker Name="Variable/Type" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="initialValue">
            <DomainPropertyMoniker Name="Variable/InitialValue" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="Record" MonikerAttributeName="Guid" MonikerElementName="recordMoniker" ElementName="record" MonikerTypeName="RecordMoniker">
        <DomainClassMoniker Name="Record" />
        <ElementData>
          <XmlPropertyData XmlName="recordId">
            <DomainPropertyMoniker Name="Record/RecordId" />
          </XmlPropertyData>
          <XmlRelationshipData RoleElementName="fields">
            <DomainRelationshipMoniker Name="RecordHasFields" />
          </XmlRelationshipData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="OutputEvent" MonikerAttributeName="Guid" MonikerElementName="outputEventMoniker" ElementName="outputEvent" MonikerTypeName="OutputEventMoniker">
        <DomainClassMoniker Name="OutputEvent" />
        <ElementData>
          <XmlRelationshipData RoleElementName="fields">
            <DomainRelationshipMoniker Name="OutputEventHasFields" />
          </XmlRelationshipData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="Function" MonikerAttributeName="Guid" MonikerElementName="functionMoniker" ElementName="function" MonikerTypeName="FunctionMoniker">
        <DomainClassMoniker Name="Function" />
        <ElementData>
          <XmlRelationshipData RoleElementName="parameters">
            <DomainRelationshipMoniker Name="FunctionHasParameters" />
          </XmlRelationshipData>
          <XmlRelationshipData RoleElementName="returnValues">
            <DomainRelationshipMoniker Name="FunctionHasReturnValues" />
          </XmlRelationshipData>
          <XmlPropertyData XmlName="internalRecordIdForReturn">
            <DomainPropertyMoniker Name="Function/InternalRecordIdForReturn" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="OptionalField" MonikerAttributeName="" MonikerElementName="optionalFieldMoniker" ElementName="optionalField" MonikerTypeName="OptionalFieldMoniker">
        <DomainClassMoniker Name="OptionalField" />
        <ElementData>
          <XmlPropertyData XmlName="optional">
            <DomainPropertyMoniker Name="OptionalField/Optional" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="defaultValue">
            <DomainPropertyMoniker Name="OptionalField/DefaultValue" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="Parameter" MonikerAttributeName="" MonikerElementName="parameterMoniker" ElementName="parameter" MonikerTypeName="ParameterMoniker">
        <DomainClassMoniker Name="Parameter" />
      </XmlClassData>
      <XmlClassData TypeName="ReturnValue" MonikerAttributeName="" MonikerElementName="returnValueMoniker" ElementName="returnValue" MonikerTypeName="ReturnValueMoniker">
        <DomainClassMoniker Name="ReturnValue" />
      </XmlClassData>
      <XmlClassData TypeName="FieldBase" MonikerAttributeName="" MonikerElementName="fieldBaseMoniker" ElementName="fieldBase" MonikerTypeName="FieldBaseMoniker">
        <DomainClassMoniker Name="FieldBase" />
        <ElementData>
          <XmlPropertyData XmlName="type">
            <DomainPropertyMoniker Name="FieldBase/Type" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="stringLength">
            <DomainPropertyMoniker Name="FieldBase/StringLength" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="FunctionHasParameters" MonikerAttributeName="" MonikerElementName="functionHasParametersMoniker" ElementName="functionHasParameters" MonikerTypeName="FunctionHasParametersMoniker">
        <DomainRelationshipMoniker Name="FunctionHasParameters" />
      </XmlClassData>
      <XmlClassData TypeName="FunctionHasReturnValues" MonikerAttributeName="" MonikerElementName="functionHasReturnValuesMoniker" ElementName="functionHasReturnValues" MonikerTypeName="FunctionHasReturnValuesMoniker">
        <DomainRelationshipMoniker Name="FunctionHasReturnValues" />
      </XmlClassData>
      <XmlClassData TypeName="DatastructureModelHasVariables" MonikerAttributeName="" MonikerElementName="datastructureModelHasVariablesMoniker" ElementName="datastructureModelHasVariables" MonikerTypeName="DatastructureModelHasVariablesMoniker">
        <DomainRelationshipMoniker Name="DatastructureModelHasVariables" />
      </XmlClassData>
      <XmlClassData TypeName="DatastructureModelHasOutputEvents" MonikerAttributeName="" MonikerElementName="datastructureModelHasOutputEventsMoniker" ElementName="datastructureModelHasOutputEvents" MonikerTypeName="DatastructureModelHasOutputEventsMoniker">
        <DomainRelationshipMoniker Name="DatastructureModelHasOutputEvents" />
      </XmlClassData>
      <XmlClassData TypeName="DatastructureModelHasFunctions" MonikerAttributeName="" MonikerElementName="datastructureModelHasFunctionsMoniker" ElementName="datastructureModelHasFunctions" MonikerTypeName="DatastructureModelHasFunctionsMoniker">
        <DomainRelationshipMoniker Name="DatastructureModelHasFunctions" />
      </XmlClassData>
      <XmlClassData TypeName="DatastructureModelHasRecords" MonikerAttributeName="" MonikerElementName="datastructureModelHasRecordsMoniker" ElementName="datastructureModelHasRecords" MonikerTypeName="DatastructureModelHasRecordsMoniker">
        <DomainRelationshipMoniker Name="DatastructureModelHasRecords" />
      </XmlClassData>
      <XmlClassData TypeName="VariableShape" MonikerAttributeName="" MonikerElementName="variableShapeMoniker" ElementName="variableShape" MonikerTypeName="VariableShapeMoniker">
        <GeometryShapeMoniker Name="VariableShape" />
      </XmlClassData>
      <XmlClassData TypeName="PortShape" MonikerAttributeName="" MonikerElementName="portShapeMoniker" ElementName="portShape" MonikerTypeName="PortShapeMoniker">
        <CompartmentShapeMoniker Name="PortShape" />
      </XmlClassData>
      <XmlClassData TypeName="RecordShape" MonikerAttributeName="" MonikerElementName="recordShapeMoniker" ElementName="recordShape" MonikerTypeName="RecordShapeMoniker">
        <CompartmentShapeMoniker Name="RecordShape" />
      </XmlClassData>
      <XmlClassData TypeName="OutputEventShape" MonikerAttributeName="" MonikerElementName="outputEventShapeMoniker" ElementName="outputEventShape" MonikerTypeName="OutputEventShapeMoniker">
        <CompartmentShapeMoniker Name="OutputEventShape" />
      </XmlClassData>
      <XmlClassData TypeName="FunctionShape" MonikerAttributeName="" MonikerElementName="functionShapeMoniker" ElementName="functionShape" MonikerTypeName="FunctionShapeMoniker">
        <CompartmentShapeMoniker Name="FunctionShape" />
      </XmlClassData>
      <XmlClassData TypeName="Comment" MonikerAttributeName="text" MonikerElementName="commentMoniker" ElementName="comment" MonikerTypeName="CommentMoniker">
        <DomainClassMoniker Name="Comment" />
        <ElementData>
          <XmlPropertyData XmlName="text" IsMonikerKey="true">
            <DomainPropertyMoniker Name="Comment/Text" />
          </XmlPropertyData>
          <XmlRelationshipData RoleElementName="baseDomainClasses">
            <DomainRelationshipMoniker Name="CommentReferencesBaseDomainClasses" />
          </XmlRelationshipData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="DatastructureModelHasComments" MonikerAttributeName="" MonikerElementName="datastructureModelHasCommentsMoniker" ElementName="datastructureModelHasComments" MonikerTypeName="DatastructureModelHasCommentsMoniker">
        <DomainRelationshipMoniker Name="DatastructureModelHasComments" />
      </XmlClassData>
      <XmlClassData TypeName="CommentReferencesBaseDomainClasses" MonikerAttributeName="" MonikerElementName="commentReferencesBaseDomainClassesMoniker" ElementName="commentReferencesBaseDomainClasses" MonikerTypeName="CommentReferencesBaseDomainClassesMoniker">
        <DomainRelationshipMoniker Name="CommentReferencesBaseDomainClasses" />
      </XmlClassData>
      <XmlClassData TypeName="CommentShape" MonikerAttributeName="" MonikerElementName="commentShapeMoniker" ElementName="commentShape" MonikerTypeName="CommentShapeMoniker">
        <GeometryShapeMoniker Name="CommentShape" />
      </XmlClassData>
      <XmlClassData TypeName="CommentConnector" MonikerAttributeName="" MonikerElementName="commentConnectorMoniker" ElementName="commentConnector" MonikerTypeName="CommentConnectorMoniker">
        <ConnectorMoniker Name="CommentConnector" />
      </XmlClassData>
      <XmlClassData TypeName="RecordField" MonikerAttributeName="" MonikerElementName="recordFieldMoniker" ElementName="recordField" MonikerTypeName="RecordFieldMoniker">
        <DomainClassMoniker Name="RecordField" />
      </XmlClassData>
      <XmlClassData TypeName="RecordHasFields" MonikerAttributeName="" MonikerElementName="recordHasFieldsMoniker" ElementName="recordHasFields" MonikerTypeName="RecordHasFieldsMoniker">
        <DomainRelationshipMoniker Name="RecordHasFields" />
      </XmlClassData>
      <XmlClassData TypeName="OutputEventField" MonikerAttributeName="" MonikerElementName="outputEventFieldMoniker" ElementName="outputEventField" MonikerTypeName="OutputEventFieldMoniker">
        <DomainClassMoniker Name="OutputEventField" />
      </XmlClassData>
      <XmlClassData TypeName="OutputEventHasFields" MonikerAttributeName="" MonikerElementName="outputEventHasFieldsMoniker" ElementName="outputEventHasFields" MonikerTypeName="OutputEventHasFieldsMoniker">
        <DomainRelationshipMoniker Name="OutputEventHasFields" />
      </XmlClassData>
    </ClassData>
  </XmlSerializationBehavior>
  <ExplorerBehavior Name="DatastructuresExplorer">
    <CustomNodeSettings>
      <ExplorerNodeSettings IconToDisplay="..\..\Misc\Images\VariableSmall.bmp">
        <Class>
          <DomainClassMoniker Name="Variable" />
        </Class>
      </ExplorerNodeSettings>
      <ExplorerNodeSettings IconToDisplay="..\..\Misc\Images\FunctionSmall.bmp">
        <Class>
          <DomainClassMoniker Name="Function" />
        </Class>
      </ExplorerNodeSettings>
      <ExplorerNodeSettings IconToDisplay="..\..\Misc\Images\RecordSmall.bmp">
        <Class>
          <DomainClassMoniker Name="Record" />
        </Class>
      </ExplorerNodeSettings>
      <ExplorerNodeSettings IconToDisplay="..\..\Misc\Images\EventSmall.bmp">
        <Class>
          <DomainClassMoniker Name="OutputEvent" />
        </Class>
      </ExplorerNodeSettings>
      <ExplorerNodeSettings IconToDisplay="..\..\Misc\Images\CommentToolBitmap.bmp">
        <Class>
          <DomainClassMoniker Name="Comment" />
        </Class>
      </ExplorerNodeSettings>
      <ExplorerNodeSettings IconToDisplay="..\..\Misc\Images\Field.png">
        <Class>
          <DomainClassMoniker Name="FieldBase" />
        </Class>
      </ExplorerNodeSettings>
      <ExplorerNodeSettings IconToDisplay="..\..\Misc\Images\Datastructures.png">
        <Class>
          <DomainClassMoniker Name="DatastructureModel" />
        </Class>
      </ExplorerNodeSettings>
    </CustomNodeSettings>
  </ExplorerBehavior>
  <ConnectionBuilders>
    <ConnectionBuilder Name="CommentReferencesBaseDomainClassesBuilder">
      <LinkConnectDirective>
        <DomainRelationshipMoniker Name="CommentReferencesBaseDomainClasses" />
        <SourceDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="Comment" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </SourceDirectives>
        <TargetDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="OutputEvent" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="Variable" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="Record" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="Function" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </TargetDirectives>
      </LinkConnectDirective>
    </ConnectionBuilder>
  </ConnectionBuilders>
  <Diagram Id="a3a9f4a6-7423-4d1f-9323-d33c461ff15f" Description="" Name="DatastructuresDiagram" DisplayName="Minimal Language Diagram" Namespace="BenjaminSchroeter.Flow.Datastructures">
    <Class>
      <DomainClassMoniker Name="DatastructureModel" />
    </Class>
    <ShapeMaps>
      <CompartmentShapeMap>
        <DomainClassMoniker Name="Function" />
        <ParentElementPath>
          <DomainPath>DatastructureModelHasFunctions.DatastructureModel/!DatastructureModel</DomainPath>
        </ParentElementPath>
        <DecoratorMap>
          <TextDecoratorMoniker Name="PortShape/DescriptionDecorator" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="BaseDomainClass/Description" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <DecoratorMap>
          <TextDecoratorMoniker Name="PortShape/NameDecorator" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="BaseDomainClass/Name" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <CompartmentShapeMoniker Name="FunctionShape" />
        <CompartmentMap>
          <CompartmentMoniker Name="FunctionShape/ParameterCompartment" />
          <ElementsDisplayed>
            <DomainPath>FunctionHasParameters.Parameters/!Parameter</DomainPath>
          </ElementsDisplayed>
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="BaseDomainClass/Name" />
            </PropertyPath>
          </PropertyDisplayed>
        </CompartmentMap>
        <CompartmentMap>
          <CompartmentMoniker Name="FunctionShape/ReturnValueCompartment" />
          <ElementsDisplayed>
            <DomainPath>FunctionHasReturnValues.ReturnValues/!ReturnValue</DomainPath>
          </ElementsDisplayed>
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="BaseDomainClass/Name" />
            </PropertyPath>
          </PropertyDisplayed>
        </CompartmentMap>
      </CompartmentShapeMap>
      <CompartmentShapeMap>
        <DomainClassMoniker Name="OutputEvent" />
        <ParentElementPath>
          <DomainPath>DatastructureModelHasOutputEvents.DatastructureModel/!DatastructureModel</DomainPath>
        </ParentElementPath>
        <DecoratorMap>
          <TextDecoratorMoniker Name="PortShape/DescriptionDecorator" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="BaseDomainClass/Description" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <DecoratorMap>
          <TextDecoratorMoniker Name="PortShape/NameDecorator" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="BaseDomainClass/Name" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <CompartmentShapeMoniker Name="OutputEventShape" />
        <CompartmentMap>
          <CompartmentMoniker Name="OutputEventShape/FieldCompartment" />
          <ElementsDisplayed>
            <DomainPath>OutputEventHasFields.Fields/!OutputEventField</DomainPath>
          </ElementsDisplayed>
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="BaseDomainClass/Name" />
            </PropertyPath>
          </PropertyDisplayed>
        </CompartmentMap>
      </CompartmentShapeMap>
      <CompartmentShapeMap>
        <DomainClassMoniker Name="Record" />
        <ParentElementPath>
          <DomainPath>DatastructureModelHasRecords.DatastructureModel/!DatastructureModel</DomainPath>
        </ParentElementPath>
        <DecoratorMap>
          <TextDecoratorMoniker Name="PortShape/DescriptionDecorator" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="BaseDomainClass/Description" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <DecoratorMap>
          <TextDecoratorMoniker Name="PortShape/NameDecorator" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="BaseDomainClass/Name" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <CompartmentShapeMoniker Name="RecordShape" />
        <CompartmentMap>
          <CompartmentMoniker Name="RecordShape/FieldCompartment" />
          <ElementsDisplayed>
            <DomainPath>RecordHasFields.Fields/!RecordField</DomainPath>
          </ElementsDisplayed>
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="BaseDomainClass/Name" />
            </PropertyPath>
          </PropertyDisplayed>
        </CompartmentMap>
      </CompartmentShapeMap>
      <ShapeMap>
        <DomainClassMoniker Name="Variable" />
        <ParentElementPath>
          <DomainPath>DatastructureModelHasVariables.DatastructureModel/!DatastructureModel</DomainPath>
        </ParentElementPath>
        <DecoratorMap>
          <TextDecoratorMoniker Name="VariableShape/NameDecorator" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="BaseDomainClass/Name" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <GeometryShapeMoniker Name="VariableShape" />
      </ShapeMap>
      <ShapeMap>
        <DomainClassMoniker Name="Comment" />
        <ParentElementPath>
          <DomainPath>DatastructureModelHasComments.DatastructureModel/!DatastructureModel</DomainPath>
        </ParentElementPath>
        <DecoratorMap>
          <TextDecoratorMoniker Name="CommentShape/TextDecorator" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="Comment/Text" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <GeometryShapeMoniker Name="CommentShape" />
      </ShapeMap>
    </ShapeMaps>
    <ConnectorMaps>
      <ConnectorMap ConnectsCustomTarget="true">
        <ConnectorMoniker Name="CommentConnector" />
        <DomainRelationshipMoniker Name="CommentReferencesBaseDomainClasses" />
      </ConnectorMap>
    </ConnectorMaps>
  </Diagram>
  <Designer FileExtension="datastruct" EditorGuid="914e7427-f8c6-4815-a0ce-00e1176d798f">
    <RootClass>
      <DomainClassMoniker Name="DatastructureModel" />
    </RootClass>
    <XmlSerializationDefinition CustomPostLoad="false">
      <XmlSerializationBehaviorMoniker Name="DatastructuresSerializationBehavior" />
    </XmlSerializationDefinition>
    <ToolboxTab TabText="Datastructures">
      <ElementTool Name="Variable" ToolboxIcon="..\..\Misc\Images\VariableSmall.bmp" Caption="Variable" Tooltip="Variable" HelpKeyword="Variable">
        <DomainClassMoniker Name="Variable" />
      </ElementTool>
      <ElementTool Name="Record" ToolboxIcon="..\..\Misc\Images\RecordSmall.bmp" Caption="Record" Tooltip="Record" HelpKeyword="Record">
        <DomainClassMoniker Name="Record" />
      </ElementTool>
      <ElementTool Name="OutputEvent" ToolboxIcon="..\..\Misc\Images\EventSmall.bmp" Caption="OutputEvent" Tooltip="Output Event" HelpKeyword="OutputEvent">
        <DomainClassMoniker Name="OutputEvent" />
      </ElementTool>
      <ElementTool Name="Function" ToolboxIcon="..\..\Misc\Images\FunctionSmall.bmp" Caption="Function" Tooltip="Function" HelpKeyword="Function">
        <DomainClassMoniker Name="Function" />
      </ElementTool>
      <ElementTool Name="Comment" ToolboxIcon="..\..\Misc\Images\CommentToolBitmap.bmp" Caption="Comment" Tooltip="Comment" HelpKeyword="Comment">
        <DomainClassMoniker Name="Comment" />
      </ElementTool>
      <ConnectionTool Name="CommentConnection" ToolboxIcon="..\..\Misc\Images\CommentConnectorToolBitmap.bmp" Caption="Comment Connection" Tooltip="Comment Connection" HelpKeyword="CommentConnection">
        <ConnectionBuilderMoniker Name="Datastructures/CommentReferencesBaseDomainClassesBuilder" />
      </ConnectionTool>
    </ToolboxTab>
    <Validation UsesMenu="true" UsesOpen="true" UsesSave="true" UsesLoad="false" />
    <DiagramMoniker Name="DatastructuresDiagram" />
  </Designer>
  <Explorer ExplorerGuid="6787138f-ae20-43ca-9d89-16b84d132423" Title="Datastructures Explorer">
    <ExplorerBehaviorMoniker Name="Datastructures/DatastructuresExplorer" />
  </Explorer>
</Dsl>