using System.Linq;

namespace BenjaminSchroeter.Flow.Datastructures
{
    partial class Record
    {
        protected override void MergeConfigure(Microsoft.VisualStudio.Modeling.ElementGroup elementGroup)
        {
            base.MergeConfigure(elementGroup);

            // find the highest RecordId in the current model
            byte max = this.Partition.ElementDirectory.FindElements(Record.DomainClassId).Max(r => (r as Record).RecordId);

            // and give this new Record a higher one
            this.RecordId = ++max;
        }
    }
}
