using System;
using BenjaminSchroeter.Flow.DataTypes;

namespace BenjaminSchroeter.Flow.HardwareDescription.Data
{
    /// <summary>
    /// This Interface is used to have a common basis for FieldBaseData and EnablableFieldBaseData
    /// </summary>
    public interface IFieldBase
    {
        DataTypeString Type { get; set; }
        String Name { get; set; }
        String Description { get; set; }
        Guid Guid { get; set; }

        bool Enabled { get; set; }
    }
}