namespace BenjaminSchroeter.Flow.Firmwareparser
{
    public enum ParsingMessagePriority
    {
        Information,
        Warning,
        Error
    }

    /// <summary>
    /// Error Message used by the Firmwareparser
    /// </summary>
    public class ParsingMessage
    {
        public string File { get; set; }
        public int Line { get; set; }
        public string Text { get; set; }
        public ParsingMessagePriority Priority { get; set; }
        public string ErrorKey { get; set; }
    }
}