/** \file
	@version{1.0}
	@productname{MSB}
	@vendorname{Benjamin Schroeter}
	@producturl{http://www.irgendwie.net}
	@vendorurl{http://www.irgendwie.net/msb}
	@firmwarename{msb360 v2}
	@drivername{some gps driver}
	@description{my great firmware for the msb360 ;) ...}*/

// ------------------------------------------------------------------------------------

/// @output{Serial Output}
/// @description{Output to serial 1}
/// @param Text @field{Text} @description{This text will bis send}
void SetSerial(string Text) {}

/// @outputInit{Serial Output}
/// @description{Output to serial 1}
/// @param speed @parameter{Speed (baud)} @default{9600} @description{some more bla bla}
/// @param DataBits @parameter{Data bits} @default{8}
/// @param StopBits @parameter{Stop bits} @default{1}
void InitSerial(int speed, byte DataBits, byte StopBits) {}

// ------------------------------------------------------------------------------------

/// @output{Serial Output 2nd version}
/// @description{Output to serial 1 with other parameter documentation}
/// @param Text @field{Text} @description{This text will bis send} @optional
void SetSerial2(string Text) {}

/// @outputInit{Serial Output 2nd version}
void InitSerial2(int speed /** @parameter{Speed (baud)} @default{9600} */,
                byte DataBits /** @parameter{Data bits} @default{8} */,
                byte StopBits /** @parameter{Stop bits} @default{1}*/) {}

// ------------------------------------------------------------------------------------

/// @getVariable{$NODE_ID}
/// @description{The ID of the current Node}
bool GetNodeId(int* x) {}

/// @setVariable{$NODE_ID}
bool SetNodeId(int id) {}

// ------------------------------------------------------------------------------------

/// @input{Analog Input}
/// @description{the build in a/d converter}
/// @param ad1 @field{A/D Port 1}
/// @param ad2 @field{A/D Port 2}
void GetADInput(int* ad1, int* ad2) {}

/// @inputInit{Analog Input}
/// @param umax @parameter{U max} @default{5}
/// @param fastMode @parameter{fast measuring mode} @default{true}
/// @param adEnabled @enabled
/// @param ad1enabled @fieldenabled{A/D Port 1}
/// @param ad2enabled @fieldenabled{A/D Port 2}
void InitADInput(int umax, bool fastMode, bool adEnabled, bool ad1enabled, bool ad2enabled) {}

// ------------------------------------------------------------------------------------

/// @event{Sound detected}
/// @description{using the microphone}
/// @multiplicity{1}
/// @param minFreq @parameter{min frequency}
/// @param maxFreq @parameter{max frequency}
/// @param threshold @parameter{threshold}
void RegisterSoundDetectedCallback(int minFreq, int maxFreq, int threshold, void* callback) {}

/// @eventCallback{Sound detected}
/// @param volume @field{Volume}
/// @param duration @field{Duration} @description{im ms}
void EventHandler(int volume, int duration) {}

// ------------------------------------------------------------------------------------

/// @output{Digital I/O}
/// @field{Port 1}
/// @description{Pin 12 of MSB}
void SetDigital1(bool value) {}

/// @output{Digital I/O}
/// @field{Port 2}
/// @optional
void SetDigital2(bool value) {}

/// @output{Digital I/O}
/// @field{Port 3}
/// @optional
void SetDigital3(bool value) {}

/// @output{Digital I/O}
/// @field{Port 4}
void SetDigital4(bool value) {}

/// @outputInit{Digital I/O}
/// @description{descrition for the whole Output Port}
/// @param p1Enabled @fieldenabled{Port 1}
/// @param p2Enabled @fieldenabled{Port 2}
/// @param p3Enabled @fieldenabled{Port 3}
/// @param p4Enabled @fieldenabled{Port 4}
void InitDigitalIO(bool p1Enabled, bool p2Enabled, bool p3Enabled, bool p4Enabled) {}

////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////////////////////

/// @description{descrition for the whole Output Port}
void Err001a() {}

void NoErr001a() {}
void NoErr001b(int y) {}

/// @event{ }
void Err001b(void* fkt) {}

////////////////////////////////////////////////////////////////////////////////////////////////////

/// @input{a}
/// @param value @field{x}
void Err002a(bool value) {}
/// @output{a}
/// @param value @field{x}
void Err002b(bool value) {}

/// @event{b}
void Err002c(void* fkt) {}

/// @eventCallback{c}
void Err002d() {}

/// @event{d}
void Err002e(void* fkt) {}
/// @event{d}
void Err002f(void* fkt) {}
/// @eventCallback{d}
void Err002g() {}

/// @getVariable{e}
bool Err002h(int* x) {}
/// @getVariable{e}
bool Err002i(int* x) {}
/// @setVariable{e}
bool Err002j(int id) {}

/// @outputInit{f}
void Err002k() {}

/// @outputInit{g}
void Err002l() {}
/// @outputInit{g}
void Err002m() {}
/// @outputInit{g}
void Err002n() {}

/// @getVariable{g2}
bool Err002o(char *c) {}

/// @setVariable{g2}
bool Err002p(int x) {}

////////////////////////////////////////////////////////////////////////////////////////////////////
/// @inputInit{h}
/// @field{x}
void Err005() {}

////////////////////////////////////////////////////////////////////////////////////////////////////
/// @inputInit{i}
/// @multiplicity{1}
void Err006() {}

////////////////////////////////////////////////////////////////////////////////////////////////////
/// @input{j}
/// @optional
void Err007a() {}

/// @output{k}
/// @optional
void Err007b() {}

/// @output{l}
/// @field{x}
/// @optional
void NoErr007() {}

////////////////////////////////////////////////////////////////////////////////////////////////////
/// @getVariable{m}
/// @optional
bool Err008a(char *c) {}

/// @setVariable{m}
/// @field{x}
bool Err008b(char x) {}

////////////////////////////////////////////////////////////////////////////////////////////////////
/// @getVariable{n}
bool Err020a(char c) {}

/// @setVariable{n}
bool Err020b(char *x) {}

/// @setVariable{o}
bool Err020c(int x, bool y) {}

/// @setVariable{p}
void Err020d(int *x) {}

////////////////////////////////////////////////////////////////////////////////////////////////////
/// @input{q}
/// @param x @field{a} @default{x}
void Error051a(int x) {}


////////////////////////////////////////////////////////////////////////////////////////////////////
/// @event{r}
void Err021(int fkt) {}