using System;

namespace BenjaminSchroeter.Flow.HardwareDescription.Data
{
    partial class DataTypeData
    {
        public override string ToString()
        {
            return Name;
        }

        public override bool Equals(object obj)
        {
            DataTypeData x = obj as DataTypeData;
            if ( x != null )
            {
                return this.Name.Equals(x.Name, StringComparison.InvariantCulture);
            }

            return base.Equals(obj);
        }

        public override int GetHashCode()
        {
            return (Name != null ? Name.GetHashCode() : 0);
        }

        public static bool operator ==(DataTypeData left, DataTypeData right)
        {
            return Equals(left, right);
        }

        public static bool operator !=(DataTypeData left, DataTypeData right)
        {
            return !Equals(left, right);
        }
    }
}
