using System;

namespace BenjaminSchroeter.Flow.HardwareDescription.DataService
{
    public class WrongNumberOfHardwareDescriptionException : ApplicationException
    {
        public WrongNumberOfHardwareDescriptionException(int numberOfHardwareDescriptions) 
            : base( numberOfHardwareDescriptions == 0 ?
                        "The project contains no hardware description." 
                        : "The project contains more than one hardware descroption.")
        {
           
        }
    }
}
