<?xml version="1.0" encoding="utf-8"?>
<Dsl dslVersion="1.0.0.0" Id="504f3a0b-90fb-4e0c-a8f5-68f5c55fb0ef" Description="" Name="HardwareDescription" DisplayName="HardwareDescription" Namespace="BenjaminSchroeter.Flow.HardwareDescription" ProductName="HardwareDescription" CompanyName="BenjaminSchroeter" PackageGuid="fc53bd06-58f0-4588-bf83-632db6d04bba" PackageNamespace="BenjaminSchroeter.Flow.HardwareDescription" xmlns="http://schemas.microsoft.com/VisualStudio/2005/DslTools/DslDefinitionModel">
  <Classes>
    <DomainClass Id="d301bfae-0226-4dfa-98ef-3f555a3b9bc7" Description="The root in which all other elements are embedded. Appears as a diagram." Name="Platform" DisplayName="Platform" InheritanceModifier="Abstract" Namespace="BenjaminSchroeter.Flow.HardwareDescription" HasCustomConstructor="true">
      <Properties>
        <DomainProperty Id="4ec0e7f0-e6bf-42cb-9d94-34bc24e81c74" Description="" Name="Name" DisplayName="Name" Category="Definition" IsElementName="true">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="80a44000-09da-4e8e-aea2-3a7caf28612c" Description="" Name="VendorName" DisplayName="Vendor Name" Category="Information">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="33b16d60-74e0-40b3-b74a-1199fa293c4d" Description="" Name="ProductName" DisplayName="Product Name" Category="Information">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="19b7c8bf-c7df-46b5-9b80-cefea92cd234" Description="" Name="Description" DisplayName="Description" Category="Definition">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="2b938508-624e-46a7-a7f0-c25bc03f8635" Description="" Name="Version" DisplayName="Version" Category="Definition">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="233f0f45-c673-4be8-ba02-114ba4104c51" Description="" Name="VendorUrl" DisplayName="Vendor Url" Category="Information">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="353c4961-272b-454d-bc34-c00a2fbb47e5" Description="" Name="ProductUrl" DisplayName="Product Url" Category="Information">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="81d9f631-59c8-43ea-86e8-6ba5a7e36e74" Description="" Name="Guid" DisplayName="Guid" Category="Definition" IsUIReadOnly="true">
          <Type>
            <ExternalTypeMoniker Name="/System/Guid" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="0d53579a-96d4-4f00-8e16-f2a604e216d7" Description="" Name="UserDescription" DisplayName="User Description" Category="User">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="d81a9a35-9714-4a4f-b059-46a1801d2a7d" Description="" Name="HeaderFile" DisplayName="Header File" Category="Code">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
      <ElementMergeDirectives>
        <ElementMergeDirective UsesCustomAccept="true">
          <Index>
            <DomainClassMoniker Name="Variable" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>PlatformHasVariables.Variables</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
        <ElementMergeDirective UsesCustomAccept="true">
          <Index>
            <DomainClassMoniker Name="Input" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>PlatformHasInputs.Inputs</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
        <ElementMergeDirective UsesCustomAccept="true">
          <Index>
            <DomainClassMoniker Name="Output" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>PlatformHasOutputs.Outputs</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
        <ElementMergeDirective UsesCustomAccept="true">
          <Index>
            <DomainClassMoniker Name="Event" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>PlatformHasEvents.Events</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="Comment" />
          </Index>
          <ForwardingPath>
            <DomainPath>HardwareDescriptionModelHasPlatforms.HardwareDescriptionModel/!HardwareDescriptionModel</DomainPath>
          </ForwardingPath>
        </ElementMergeDirective>
      </ElementMergeDirectives>
    </DomainClass>
    <DomainClass Id="2d8b8e5d-0c87-43e1-99d2-bd53b3948ffb" Description="" Name="Port" DisplayName="Port" InheritanceModifier="Abstract" Namespace="BenjaminSchroeter.Flow.HardwareDescription">
      <BaseClass>
        <DomainClassMoniker Name="EnableableShapeMappedDomainClass" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="2975daa2-d8ea-44db-b3ad-9ba65a6cb07e" Description="" Name="InitCall" DisplayName="Init Call" Category="Code">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
      <ElementMergeDirectives>
        <ElementMergeDirective UsesCustomAccept="true">
          <Index>
            <DomainClassMoniker Name="Parameter" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>PortHasParameters.Parameters</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
      </ElementMergeDirectives>
    </DomainClass>
    <DomainClass Id="46528921-da86-4fa3-8b27-289d8acbf06b" Description="" Name="Input" DisplayName="Input" Namespace="BenjaminSchroeter.Flow.HardwareDescription">
      <BaseClass>
        <DomainClassMoniker Name="Port" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="c862cee2-d8f8-4124-9a94-0eb63364221c" Description="" Name="Call" DisplayName="Call" Category="Code">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
      <ElementMergeDirectives>
        <ElementMergeDirective UsesCustomAccept="true">
          <Index>
            <DomainClassMoniker Name="InputField" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>InputHasFields.Fields</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
      </ElementMergeDirectives>
    </DomainClass>
    <DomainClass Id="33cc0b9c-f3d6-4b0d-9793-4155c99b6f01" Description="" Name="Output" DisplayName="Output" Namespace="BenjaminSchroeter.Flow.HardwareDescription">
      <BaseClass>
        <DomainClassMoniker Name="Port" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="a0cddb63-17fe-4146-a21a-00c4acf22797" Description="" Name="Call" DisplayName="Call" Category="Code">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
      <ElementMergeDirectives>
        <ElementMergeDirective UsesCustomAccept="true">
          <Index>
            <DomainClassMoniker Name="OutputField" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>OutputHasFields.Fields</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
      </ElementMergeDirectives>
    </DomainClass>
    <DomainClass Id="78ece34f-6d27-4eea-a6bc-034b373a82de" Description="" Name="Event" DisplayName="Event" Namespace="BenjaminSchroeter.Flow.HardwareDescription">
      <BaseClass>
        <DomainClassMoniker Name="Port" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="78279cb9-e3ad-40ee-b1f3-54b2b95eeb61" Description="" Name="Multiplicity" DisplayName="Multiplicity" DefaultValue="1" Category="Behavior">
          <Type>
            <ExternalTypeMoniker Name="/System/Int32" />
          </Type>
        </DomainProperty>
      </Properties>
      <ElementMergeDirectives>
        <ElementMergeDirective UsesCustomAccept="true">
          <Index>
            <DomainClassMoniker Name="EventField" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>EventHasFields.Fields</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
      </ElementMergeDirectives>
    </DomainClass>
    <DomainClass Id="5b64705a-2c88-48b4-ba13-89aa5409da0f" Description="" Name="Variable" DisplayName="Variable" Namespace="BenjaminSchroeter.Flow.HardwareDescription">
      <BaseClass>
        <DomainClassMoniker Name="EnableableShapeMappedDomainClass" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="75db55fd-3a16-4d2f-9ee2-255e9588abdd" Description="" Name="CallGetter" DisplayName="Call Getter" Category="Code">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="e16e2648-fafb-469b-b738-9597db104b5b" Description="" Name="CallSetter" DisplayName="Call Setter" Category="Code">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="883f7947-45e4-44fd-bfa7-c462475412ec" Description="" Name="Type" DisplayName="Type" DefaultValue="" Category="Definition">
          <Type>
            <ExternalTypeMoniker Name="/BenjaminSchroeter.Flow.DataTypes/DataTypeString" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="17eb2ce0-b2f5-465b-b8ab-2bb3c316784b" Description="" Name="FieldBase" DisplayName="Field Base" InheritanceModifier="Abstract" Namespace="BenjaminSchroeter.Flow.HardwareDescription" HasCustomConstructor="true">
      <Properties>
        <DomainProperty Id="5e5f8de7-d0fd-4013-8c56-9921a3b58e6d" Description="" Name="Name" DisplayName="Name" Category="Definition" IsElementName="true">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="2fdab7b4-c920-4e32-9ea5-71558d2e450b" Description="" Name="Guid" DisplayName="Guid" Category="Definition" IsUIReadOnly="true">
          <Type>
            <ExternalTypeMoniker Name="/System/Guid" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="8202d3db-681a-4801-94f1-109210ddf436" Description="" Name="Description" DisplayName="Description" Category="Definition">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="3d672e68-20a7-4feb-af45-bb6f1e5ec1d6" Description="" Name="Type" DisplayName="Type" DefaultValue=" " Category="Definition">
          <Type>
            <ExternalTypeMoniker Name="/BenjaminSchroeter.Flow.DataTypes/DataTypeString" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="15d89b25-a76a-4f7b-be3c-c4f7a6355cbb" Description="" Name="Call" DisplayName="Call" Category="Code">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="8acbda5a-7b5c-48cb-a208-c1f1f7f4b638" Description="" Name="InputField" DisplayName="Field" Namespace="BenjaminSchroeter.Flow.HardwareDescription">
      <BaseClass>
        <DomainClassMoniker Name="EnableableFieldBase" />
      </BaseClass>
    </DomainClass>
    <DomainClass Id="1a7cc9c4-3895-4e68-9046-0063b611148a" Description="" Name="OutputField" DisplayName="Field" Namespace="BenjaminSchroeter.Flow.HardwareDescription">
      <BaseClass>
        <DomainClassMoniker Name="EnableableFieldBase" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="73d1c95b-a9cc-4829-9451-4edce2653ec1" Description="" Name="Optional" DisplayName="Optional" Category="Definition">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="9cc33043-65c5-4291-90dd-5c40f42728be" Description="" Name="Parameter" DisplayName="Parameter" Namespace="BenjaminSchroeter.Flow.HardwareDescription">
      <BaseClass>
        <DomainClassMoniker Name="FieldBase" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="04641094-e87c-4a36-b7b0-2c3d884d89bf" Description="" Name="Value" DisplayName="Value" Category="Data">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="46edafd7-9ffb-4458-a479-0c27fbc28535" Description="" Name="EventField" DisplayName="Field" Namespace="BenjaminSchroeter.Flow.HardwareDescription">
      <BaseClass>
        <DomainClassMoniker Name="FieldBase" />
      </BaseClass>
    </DomainClass>
    <DomainClass Id="3d1ad6b5-0ac8-4b27-8b3d-fdf60fb40c91" Description="" Name="EnableableDomainClass" DisplayName="Enableable Domain Class" InheritanceModifier="Abstract" Namespace="BenjaminSchroeter.Flow.HardwareDescription" HasCustomConstructor="true">
      <Properties>
        <DomainProperty Id="f53b7244-945d-4e31-af0e-8dceddb46a6d" Description="" Name="Enabled" DisplayName="Enabled" DefaultValue="true" Category="Behavior">
          <Type>
            <ExternalTypeMoniker Name="/System/Boolean" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="5093df38-e225-488c-be19-bfdac25f8960" Description="" Name="Name" DisplayName="Name" Category="Definition" IsElementName="true">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="7c3881d2-c142-4905-81ce-46c56970fdd6" Description="" Name="Description" DisplayName="Description" Category="Definition">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="d1a66bd0-2987-4ea2-9ce6-3f4a91820f59" Description="" Name="Guid" DisplayName="Guid" Category="Definition" IsUIReadOnly="true">
          <Type>
            <ExternalTypeMoniker Name="/System/Guid" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="2b91efcd-1234-4512-828a-ffc723f99b35" Description="" Name="EnableableFieldBase" DisplayName="Enableable Field Base" InheritanceModifier="Abstract" Namespace="BenjaminSchroeter.Flow.HardwareDescription">
      <BaseClass>
        <DomainClassMoniker Name="EnableableDomainClass" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="5a1751d7-d5b1-441c-8eb3-aa1b457a08cb" Description="" Name="Type" DisplayName="Type" DefaultValue=" " Category="Definition">
          <Type>
            <ExternalTypeMoniker Name="/BenjaminSchroeter.Flow.DataTypes/DataTypeString" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="a5977a13-9bdb-48d0-9fc1-e958673bdf21" Description="" Name="Call" DisplayName="Call" Category="Code">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="e08554d6-8641-4398-b22e-4727ba5d1f6e" Description="" Name="HardwareDescriptionModel" DisplayName="Hardware Description Model" Namespace="BenjaminSchroeter.Flow.HardwareDescription">
      <Properties>
        <DomainProperty Id="c97ab4d7-34ad-4bb4-99d4-198d7262214b" Description="" Name="Version" DisplayName="Version" DefaultValue="1" IsBrowsable="false" IsUIReadOnly="true">
          <Type>
            <ExternalTypeMoniker Name="/System/Int32" />
          </Type>
        </DomainProperty>
      </Properties>
      <ElementMergeDirectives>
        <ElementMergeDirective UsesCustomAccept="true">
          <Index>
            <DomainClassMoniker Name="Platform" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>HardwareDescriptionModelHasPlatforms.Platforms</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
        <ElementMergeDirective UsesCustomAccept="true">
          <Index>
            <DomainClassMoniker Name="DataType" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>HardwareDescriptionModelHasDataTypes.DataTypes</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="Comment" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>HardwareDescriptionModelHasComments.Comments</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
      </ElementMergeDirectives>
    </DomainClass>
    <DomainClass Id="b73c552f-745a-439b-a8c1-008d14e26b87" Description="" Name="HardwarePlatform" DisplayName="Hardware Platform" Namespace="BenjaminSchroeter.Flow.HardwareDescription">
      <BaseClass>
        <DomainClassMoniker Name="Platform" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="04d3da0b-17ac-45d9-9c49-a3d67be3a81f" Description="Name of the Sensor Node Application" Name="AppName" DisplayName="Application Name" Category="User">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="51dee27d-0654-4c26-a291-03ca25043384" Description="" Name="DriverPlatform" DisplayName="Driver Platform" Namespace="BenjaminSchroeter.Flow.HardwareDescription" HasCustomConstructor="true">
      <BaseClass>
        <DomainClassMoniker Name="Platform" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="b95dc7bf-ec79-4e13-8d8c-6a8df35f3d9e" Description="" Name="CompatibilityInfo" DisplayName="Compatibility Information" Category="Code">
          <Type>
            <ExternalTypeMoniker Name="DriverCompatibility" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="23dc3d6c-4e79-4e60-b3da-594e4bf826ba" Description="" Name="DataType" DisplayName="Data Type" Namespace="BenjaminSchroeter.Flow.HardwareDescription">
      <Properties>
        <DomainProperty Id="91e4f582-0d6b-4005-bb76-dc7419e406ed" Description="" Name="Name" DisplayName="Name" IsElementName="true">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="2203922b-82bf-440b-bd84-a79f30ca2d23" Description="" Name="CType" DisplayName="C Type">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="4879a542-6b9b-4207-bc36-c4ecbdf9007e" Description="" Name="DslType" DisplayName="Dsl Type">
          <Type>
            <ExternalTypeMoniker Name="/BenjaminSchroeter.Flow.HardwareDescription.Data/DslDataType" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="a581e1f3-0319-4574-9108-9c2c7e3a8cac" Description="" Name="EnableableShapeMappedDomainClass" DisplayName="Enableable Shape Mapped Domain Class" InheritanceModifier="Abstract" Namespace="BenjaminSchroeter.Flow.HardwareDescription">
      <BaseClass>
        <DomainClassMoniker Name="EnableableDomainClass" />
      </BaseClass>
    </DomainClass>
    <DomainClass Id="f2ded8d6-ea33-464c-9830-e16deded03d9" Description="" Name="Comment" DisplayName="Comment" Namespace="BenjaminSchroeter.Flow.HardwareDescription">
      <Properties>
        <DomainProperty Id="4bc786b9-8980-4f0e-828d-b364008b6c19" Description="" Name="Text" DisplayName="Text" IsElementName="true">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
  </Classes>
  <Relationships>
    <DomainRelationship Id="eb5be92f-bf39-43dd-86e8-d9523e303750" Description="" Name="PlatformHasVariables" DisplayName="Platform Has Variables" Namespace="BenjaminSchroeter.Flow.HardwareDescription" IsEmbedding="true">
      <Source>
        <DomainRole Id="808f4c83-4513-4140-8f93-2e03315a6946" Description="" Name="Platform" DisplayName="Platform" PropertyName="Variables" PropertyDisplayName="Variables">
          <RolePlayer>
            <DomainClassMoniker Name="Platform" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="a0b18994-6454-4d6e-b232-81b358633f5f" Description="" Name="Variable" DisplayName="Variable" PropertyName="Platform" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Platform">
          <RolePlayer>
            <DomainClassMoniker Name="Variable" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="e40f2ad2-6f55-4734-ae79-d190764a58a0" Description="" Name="PlatformHasInputs" DisplayName="Platform Has Inputs" Namespace="BenjaminSchroeter.Flow.HardwareDescription" IsEmbedding="true">
      <Source>
        <DomainRole Id="1cae8b8d-0d70-49b8-a2cf-ee318416c9e1" Description="" Name="Platform" DisplayName="Platform" PropertyName="Inputs" PropertyDisplayName="Inputs">
          <RolePlayer>
            <DomainClassMoniker Name="Platform" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="395b1f41-c972-4093-935a-dc9b31efdb90" Description="" Name="Input" DisplayName="Input" PropertyName="Platform" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Platform">
          <RolePlayer>
            <DomainClassMoniker Name="Input" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="2705a06d-444c-4ed8-a92d-fafd4fabdb0d" Description="" Name="PlatformHasOutputs" DisplayName="Platform Has Outputs" Namespace="BenjaminSchroeter.Flow.HardwareDescription" IsEmbedding="true">
      <Source>
        <DomainRole Id="f0dd0591-3eb3-4d0a-a472-a3adf335f97e" Description="" Name="Platform" DisplayName="Platform" PropertyName="Outputs" PropertyDisplayName="Outputs">
          <RolePlayer>
            <DomainClassMoniker Name="Platform" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="92867b1a-2325-4fad-a857-bcb17226474d" Description="" Name="Output" DisplayName="Output" PropertyName="Platform" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Platform">
          <RolePlayer>
            <DomainClassMoniker Name="Output" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="6d71361d-74bb-458f-8887-839c15940f24" Description="" Name="PlatformHasEvents" DisplayName="Platform Has Events" Namespace="BenjaminSchroeter.Flow.HardwareDescription" IsEmbedding="true">
      <Source>
        <DomainRole Id="e056afb0-640b-46a8-a162-dd83ed4075fa" Description="" Name="Platform" DisplayName="Platform" PropertyName="Events" PropertyDisplayName="Events">
          <RolePlayer>
            <DomainClassMoniker Name="Platform" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="7b19f8fd-a926-4ad5-9d13-e87b54a64f24" Description="" Name="Event" DisplayName="Event" PropertyName="Platform" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Platform">
          <RolePlayer>
            <DomainClassMoniker Name="Event" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="f5a2bd35-fb93-4157-80a9-1dbd7c8f84aa" Description="" Name="PortHasParameters" DisplayName="Port Has Parameters" Namespace="BenjaminSchroeter.Flow.HardwareDescription" IsEmbedding="true">
      <Source>
        <DomainRole Id="10baa36e-a899-493b-a753-04bf0e310ede" Description="" Name="Port" DisplayName="Port" PropertyName="Parameters" PropertyDisplayName="Parameters">
          <RolePlayer>
            <DomainClassMoniker Name="Port" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="6f791569-fae0-4d18-a887-d92bb5ed0207" Description="" Name="Parameter" DisplayName="Parameter" PropertyName="Port" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Port">
          <RolePlayer>
            <DomainClassMoniker Name="Parameter" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="9d1f77c0-780c-434a-9a88-f02360c416ed" Description="" Name="InputHasFields" DisplayName="Input Has Fields" Namespace="BenjaminSchroeter.Flow.HardwareDescription" IsEmbedding="true">
      <Source>
        <DomainRole Id="5997e56a-eaf0-45a7-b363-ff5819fff6ea" Description="" Name="Input" DisplayName="Input" PropertyName="Fields" PropertyDisplayName="Fields">
          <RolePlayer>
            <DomainClassMoniker Name="Input" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="06656030-3b67-44da-8079-04cc19c7e986" Description="" Name="InputField" DisplayName="Input Field" PropertyName="Input" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Input">
          <RolePlayer>
            <DomainClassMoniker Name="InputField" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="84f5f58c-6138-4f6f-9f1a-2ce471bfe146" Description="" Name="OutputHasFields" DisplayName="Output Has Fields" Namespace="BenjaminSchroeter.Flow.HardwareDescription" IsEmbedding="true">
      <Source>
        <DomainRole Id="e91d467d-5882-49dc-b682-cce7c8603f54" Description="" Name="Output" DisplayName="Output" PropertyName="Fields" PropertyDisplayName="Fields">
          <RolePlayer>
            <DomainClassMoniker Name="Output" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="c3a7952b-7db0-4403-92a5-d11b96f66132" Description="" Name="OutputField" DisplayName="Output Field" PropertyName="Output" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Output">
          <RolePlayer>
            <DomainClassMoniker Name="OutputField" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="7a343f8f-d796-41da-bbf9-3baf652db1cc" Description="" Name="EventHasFields" DisplayName="Event Has Fields" Namespace="BenjaminSchroeter.Flow.HardwareDescription" IsEmbedding="true">
      <Source>
        <DomainRole Id="314d5520-c41a-4b6b-bbd6-ac3eaa044bd4" Description="" Name="Event" DisplayName="Event" PropertyName="Fields" PropertyDisplayName="Fields">
          <RolePlayer>
            <DomainClassMoniker Name="Event" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="16d2f3be-3924-41a4-a82c-f01d4ca07a40" Description="" Name="EventField" DisplayName="Event Field" PropertyName="Event" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Event">
          <RolePlayer>
            <DomainClassMoniker Name="EventField" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="870940d3-f46b-4c7f-97ce-fb0db04bd402" Description="" Name="HardwareDescriptionModelHasPlatforms" DisplayName="Hardware Description Model Has Platforms" Namespace="BenjaminSchroeter.Flow.HardwareDescription" IsEmbedding="true">
      <Source>
        <DomainRole Id="e07dfb0a-ba1f-4cb4-8cfa-d2fb4b88ea34" Description="" Name="HardwareDescriptionModel" DisplayName="Hardware Description Model" PropertyName="Platforms" PropertyDisplayName="Platforms">
          <RolePlayer>
            <DomainClassMoniker Name="HardwareDescriptionModel" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="60081020-94c0-4877-ac46-2c6a95d6109f" Description="" Name="Platform" DisplayName="Platform" PropertyName="HardwareDescriptionModel" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Hardware Description Model">
          <RolePlayer>
            <DomainClassMoniker Name="Platform" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="34c5e3c9-1786-4f03-a194-daf72b5f2e80" Description="" Name="HardwareDescriptionModelHasDataTypes" DisplayName="Hardware Description Model Has Data Types" Namespace="BenjaminSchroeter.Flow.HardwareDescription" IsEmbedding="true">
      <Source>
        <DomainRole Id="d77c265c-847c-4d08-b1d7-4aa77d6ab33a" Description="" Name="HardwareDescriptionModel" DisplayName="Hardware Description Model" PropertyName="DataTypes" PropertyDisplayName="Data Types">
          <RolePlayer>
            <DomainClassMoniker Name="HardwareDescriptionModel" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="4b597b6b-4a34-4c82-80f1-3dc598cf8ddc" Description="" Name="DataType" DisplayName="Data Type" PropertyName="HardwareDescriptionModel" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Hardware Description Model">
          <RolePlayer>
            <DomainClassMoniker Name="DataType" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="dc6fa10a-c6ca-4287-9919-7caf6c8d01a0" Description="" Name="EnableableRelationship" DisplayName="Enableable Relationship" Namespace="BenjaminSchroeter.Flow.HardwareDescription" AllowsDuplicates="true">
      <Properties>
        <DomainProperty Id="2bb4d886-c126-45ea-b6cf-40dd2e56fcc9" Description="" Name="SourceEntry" DisplayName="Source Entry" IsBrowsable="false">
          <Type>
            <ExternalTypeMoniker Name="/System/Guid" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="a54af7a2-6c7d-42f6-b7ac-a0571a7570e1" Description="" Name="TargetEntry" DisplayName="Target Entry" IsBrowsable="false">
          <Type>
            <ExternalTypeMoniker Name="/System/Guid" />
          </Type>
        </DomainProperty>
      </Properties>
      <Source>
        <DomainRole Id="b59714f2-12b4-401a-b31d-c449245b3bb8" Description="" Name="Source" DisplayName="Source" PropertyName="Targets" PropertyDisplayName="Targets">
          <RolePlayer>
            <DomainClassMoniker Name="EnableableShapeMappedDomainClass" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="338401ea-62b8-41ed-9964-55c2263aa426" Description="" Name="Target" DisplayName="Target" PropertyName="Sources" PropertyDisplayName="Sources">
          <RolePlayer>
            <DomainClassMoniker Name="EnableableShapeMappedDomainClass" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="ee53089a-7f7b-4935-a4da-97b71b4636d1" Description="" Name="HardwareDescriptionModelHasComments" DisplayName="Hardware Description Model Has Comments" Namespace="BenjaminSchroeter.Flow.HardwareDescription" IsEmbedding="true">
      <Source>
        <DomainRole Id="684bbe81-c418-41ad-adeb-09f6fe6835e2" Description="" Name="HardwareDescriptionModel" DisplayName="Hardware Description Model" PropertyName="Comments" PropertyDisplayName="Comments">
          <RolePlayer>
            <DomainClassMoniker Name="HardwareDescriptionModel" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="b6a243f7-c006-4a77-b6d9-dc84de390724" Description="" Name="Comment" DisplayName="Comment" PropertyName="HardwareDescriptionModel" Multiplicity="One" PropagatesDelete="true" PropagatesCopy="true" PropertyDisplayName="Hardware Description Model">
          <RolePlayer>
            <DomainClassMoniker Name="Comment" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="e7172b55-91b3-4324-9777-67a19d4e9157" Description="" Name="CommentReferencesEnableableDomainClasses" DisplayName="Comment References Enableable Domain Classes" Namespace="BenjaminSchroeter.Flow.HardwareDescription">
      <Source>
        <DomainRole Id="b3ee3e68-09f8-4cf6-ac69-6dbccb7a674d" Description="" Name="Comment" DisplayName="Comment" PropertyName="EnableableDomainClasses" PropertyDisplayName="Enableable Domain Classes">
          <RolePlayer>
            <DomainClassMoniker Name="Comment" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="61a133c7-dc90-4080-8009-d6d8fea1b474" Description="" Name="EnableableDomainClass" DisplayName="Enableable Domain Class" PropertyName="Comments" PropertyDisplayName="Comments">
          <RolePlayer>
            <DomainClassMoniker Name="EnableableDomainClass" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
  </Relationships>
  <Types>
    <ExternalType Name="DateTime" Namespace="System" />
    <ExternalType Name="String" Namespace="System" />
    <ExternalType Name="Int16" Namespace="System" />
    <ExternalType Name="Int32" Namespace="System" />
    <ExternalType Name="Int64" Namespace="System" />
    <ExternalType Name="UInt16" Namespace="System" />
    <ExternalType Name="UInt32" Namespace="System" />
    <ExternalType Name="UInt64" Namespace="System" />
    <ExternalType Name="SByte" Namespace="System" />
    <ExternalType Name="Byte" Namespace="System" />
    <ExternalType Name="Double" Namespace="System" />
    <ExternalType Name="Single" Namespace="System" />
    <ExternalType Name="Guid" Namespace="System" />
    <ExternalType Name="Boolean" Namespace="System" />
    <ExternalType Name="Char" Namespace="System" />
    <ExternalType Name="DslDataType" Namespace="BenjaminSchroeter.Flow.HardwareDescription.Data" />
    <ExternalType Name="DriverCompatibility" Namespace="BenjaminSchroeter.Flow.HardwareDescription" />
    <ExternalType Name="DataTypeString" Namespace="BenjaminSchroeter.Flow.DataTypes" />
  </Types>
  <Shapes>
    <GeometryShape Id="467981be-4b28-4878-8604-9a07a1d63e94" Description="" Name="VariableShape" DisplayName="Variable Shape" Namespace="BenjaminSchroeter.Flow.HardwareDescription" FixedTooltipText="Variable Shape" FillColor="192, 255, 192" InitialWidth="0.8" InitialHeight="0.5" FillGradientMode="ForwardDiagonal" Geometry="Ellipse">
      <ShapeHasDecorators Position="Center" HorizontalOffset="0" VerticalOffset="0">
        <TextDecorator Name="NameDecorator" DisplayName="Name Decorator" DefaultText="NameDecorator" FontStyle="Bold" />
      </ShapeHasDecorators>
    </GeometryShape>
    <CompartmentShape Id="b9da8db9-2da7-4e95-8d30-527797aa42e6" Description="" Name="PortShape" DisplayName="Port Shape" InheritanceModifier="Abstract" Namespace="BenjaminSchroeter.Flow.HardwareDescription" GeneratesDoubleDerived="true" FixedTooltipText="Port Shape" InitialHeight="0.4" Geometry="RoundedRectangle">
      <ShapeHasDecorators Position="InnerTopLeft" HorizontalOffset="0.2" VerticalOffset="0">
        <TextDecorator Name="NameDecorator" DisplayName="Name Decorator" DefaultText="NameDecorator" FontStyle="Bold" />
      </ShapeHasDecorators>
      <ShapeHasDecorators Position="InnerTopLeft" HorizontalOffset="0.2" VerticalOffset="0.15">
        <TextDecorator Name="DescriptionDecorator" DisplayName="Description Decorator" DefaultText="DescriptionDecorator" />
      </ShapeHasDecorators>
      <ShapeHasDecorators Position="InnerTopRight" HorizontalOffset="0" VerticalOffset="0">
        <ExpandCollapseDecorator Name="ExpandCollapseDecorator" DisplayName="Expand Collapse Decorator" />
      </ShapeHasDecorators>
    </CompartmentShape>
    <CompartmentShape Id="32c70874-71cd-48ae-a82d-7482ee0ae1cc" Description="" Name="InputShape" DisplayName="Input Shape" Namespace="BenjaminSchroeter.Flow.HardwareDescription" GeneratesDoubleDerived="true" FixedTooltipText="Input Shape" FillColor="255, 255, 192" InitialHeight="1" Geometry="Rectangle">
      <BaseCompartmentShape>
        <CompartmentShapeMoniker Name="PortShape" />
      </BaseCompartmentShape>
      <ShapeHasDecorators Position="InnerTopLeft" HorizontalOffset="0" VerticalOffset="0">
        <IconDecorator Name="IconDecorator1" DisplayName="Icon Decorator1" DefaultIcon="..\..\Misc\Images\InputSmall.bmp" />
      </ShapeHasDecorators>
      <Compartment Name="FieldCompartment" Title="Fields" />
      <Compartment Name="ParametersCompartment" Title="Parameters" />
    </CompartmentShape>
    <CompartmentShape Id="92f5983a-6f65-4c06-bd30-251fbdb730a9" Description="" Name="OutputShape" DisplayName="Output Shape" Namespace="BenjaminSchroeter.Flow.HardwareDescription" GeneratesDoubleDerived="true" FixedTooltipText="Output Shape" FillColor="255, 224, 192" InitialHeight="1" Geometry="Rectangle">
      <BaseCompartmentShape>
        <CompartmentShapeMoniker Name="PortShape" />
      </BaseCompartmentShape>
      <ShapeHasDecorators Position="InnerTopLeft" HorizontalOffset="0" VerticalOffset="0">
        <IconDecorator Name="IconDecorator1" DisplayName="Icon Decorator1" DefaultIcon="..\..\Misc\Images\OutputSmall.bmp" />
      </ShapeHasDecorators>
      <Compartment Name="FieldCompartment" Title="Fields" />
      <Compartment Name="ParametersCompartment" Title="Parameters" />
    </CompartmentShape>
    <CompartmentShape Id="a8762ba2-250a-40d3-a939-97b2e0df99b9" Description="" Name="EventShape" DisplayName="Event Shape" Namespace="BenjaminSchroeter.Flow.HardwareDescription" GeneratesDoubleDerived="true" FixedTooltipText="Event Shape" FillColor="153, 180, 209" InitialHeight="1" Geometry="Rectangle">
      <BaseCompartmentShape>
        <CompartmentShapeMoniker Name="PortShape" />
      </BaseCompartmentShape>
      <ShapeHasDecorators Position="InnerTopLeft" HorizontalOffset="0" VerticalOffset="0">
        <IconDecorator Name="IconDecorator1" DisplayName="Icon Decorator1" DefaultIcon="..\..\Misc\Images\EventSmall.bmp" />
      </ShapeHasDecorators>
      <Compartment Name="FieldCompartment" Title="Fields" />
      <Compartment Name="ParametersCompartment" Title="Parameters" />
    </CompartmentShape>
    <SwimLane Id="afebfaf5-b0c4-44fd-859e-e34dab09fdb5" Description="" Name="HardwareSwimLane" DisplayName="Hardware Swim Lane" Namespace="BenjaminSchroeter.Flow.HardwareDescription" FixedTooltipText="Hardware Swim Lane" SeparatorLineStyle="Dot" InitialWidth="0" InitialHeight="0" Alignment="Horizontal" SeparatorThickness="0.01125">
      <Decorators>
        <SwimLaneHasDecorators Position="InnerTopLeft" HorizontalOffset="0" VerticalOffset="0">
          <TextDecorator Name="NameDecorator" DisplayName="Name Decorator" DefaultText="NameDecorator" FontStyle="Bold" FontSize="10" />
        </SwimLaneHasDecorators>
      </Decorators>
    </SwimLane>
    <SwimLane Id="a624ed86-3fef-4a3e-af4c-2263f4c25f12" Description="" Name="DriverSwimLane" DisplayName="Driver Swim Lane" Namespace="BenjaminSchroeter.Flow.HardwareDescription" FixedTooltipText="Driver Swim Lane" SeparatorLineStyle="Dot" BodyFillColor="Gainsboro" InitialWidth="0" InitialHeight="0" Alignment="Horizontal" SeparatorThickness="0.01125">
      <Decorators>
        <SwimLaneHasDecorators Position="InnerTopLeft" HorizontalOffset="0" VerticalOffset="0">
          <TextDecorator Name="NameDecorator" DisplayName="Name Decorator" DefaultText="NameDecorator" FontStyle="Bold" FontSize="10" />
        </SwimLaneHasDecorators>
      </Decorators>
    </SwimLane>
    <GeometryShape Id="ecc707e1-ff84-4ec5-8fac-abc201cfa877" Description="" Name="CommentShape" DisplayName="Comment Shape" Namespace="BenjaminSchroeter.Flow.HardwareDescription" GeneratesDoubleDerived="true" FixedTooltipText="Comment Shape" FillColor="255, 255, 222" InitialHeight="1" FillGradientMode="None" Geometry="Rectangle">
      <ShapeHasDecorators Position="Center" HorizontalOffset="0" VerticalOffset="0">
        <TextDecorator Name="TextDecorator" DisplayName="Text Decorator" DefaultText="TextDecorator" />
      </ShapeHasDecorators>
    </GeometryShape>
  </Shapes>
  <Connectors>
    <Connector Id="9bc66843-ee4e-43ee-af5f-5633aa8c7c29" Description="" Name="EnableableRelationshipConnector" DisplayName="Enableable Relationship Connector" Namespace="BenjaminSchroeter.Flow.HardwareDescription" FixedTooltipText="Enableable Relationship Connector" TextColor="Brown" Color="Brown" Thickness="0.02" RoutingStyle="Straight" />
    <Connector Id="991ea746-2cf3-4ec0-9e53-3d7049c8ed04" Description="" Name="CommentConnector" DisplayName="Comment Connector" Namespace="BenjaminSchroeter.Flow.HardwareDescription" FixedTooltipText="Comment Connector" Color="255, 224, 192" Thickness="0.025" RoutingStyle="Straight" />
  </Connectors>
  <XmlSerializationBehavior Name="HardwareDescriptionSerializationBehavior" Namespace="BenjaminSchroeter.Flow.HardwareDescription">
    <ClassData>
      <XmlClassData TypeName="Platform" MonikerAttributeName="Guid" MonikerElementName="platformMoniker" ElementName="platform" MonikerTypeName="PlatformMoniker">
        <DomainClassMoniker Name="Platform" />
        <ElementData>
          <XmlRelationshipData RoleElementName="variables">
            <DomainRelationshipMoniker Name="PlatformHasVariables" />
          </XmlRelationshipData>
          <XmlRelationshipData RoleElementName="inputs">
            <DomainRelationshipMoniker Name="PlatformHasInputs" />
          </XmlRelationshipData>
          <XmlRelationshipData RoleElementName="outputs">
            <DomainRelationshipMoniker Name="PlatformHasOutputs" />
          </XmlRelationshipData>
          <XmlRelationshipData RoleElementName="events">
            <DomainRelationshipMoniker Name="PlatformHasEvents" />
          </XmlRelationshipData>
          <XmlPropertyData XmlName="name">
            <DomainPropertyMoniker Name="Platform/Name" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="vendorName">
            <DomainPropertyMoniker Name="Platform/VendorName" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="productName">
            <DomainPropertyMoniker Name="Platform/ProductName" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="description">
            <DomainPropertyMoniker Name="Platform/Description" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="version">
            <DomainPropertyMoniker Name="Platform/Version" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="vendorUrl">
            <DomainPropertyMoniker Name="Platform/VendorUrl" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="productUrl">
            <DomainPropertyMoniker Name="Platform/ProductUrl" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="guid" IsMonikerKey="true">
            <DomainPropertyMoniker Name="Platform/Guid" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="userDescription">
            <DomainPropertyMoniker Name="Platform/UserDescription" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="headerFile">
            <DomainPropertyMoniker Name="Platform/HeaderFile" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="HardwareDescriptionDiagram" MonikerAttributeName="" MonikerElementName="minimalLanguageDiagramMoniker" ElementName="minimalLanguageDiagram" MonikerTypeName="HardwareDescriptionDiagramMoniker">
        <DiagramMoniker Name="HardwareDescriptionDiagram" />
      </XmlClassData>
      <XmlClassData TypeName="Port" MonikerAttributeName="Guid" MonikerElementName="portMoniker" ElementName="port" MonikerTypeName="PortMoniker">
        <DomainClassMoniker Name="Port" />
        <ElementData>
          <XmlPropertyData XmlName="initCall">
            <DomainPropertyMoniker Name="Port/InitCall" />
          </XmlPropertyData>
          <XmlRelationshipData RoleElementName="parameters">
            <DomainRelationshipMoniker Name="PortHasParameters" />
          </XmlRelationshipData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="Input" MonikerAttributeName="Guid" MonikerElementName="inputMoniker" ElementName="input" MonikerTypeName="InputMoniker">
        <DomainClassMoniker Name="Input" />
        <ElementData>
          <XmlPropertyData XmlName="call">
            <DomainPropertyMoniker Name="Input/Call" />
          </XmlPropertyData>
          <XmlRelationshipData RoleElementName="fields">
            <DomainRelationshipMoniker Name="InputHasFields" />
          </XmlRelationshipData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="Output" MonikerAttributeName="Guid" MonikerElementName="outputMoniker" ElementName="output" MonikerTypeName="OutputMoniker">
        <DomainClassMoniker Name="Output" />
        <ElementData>
          <XmlPropertyData XmlName="call">
            <DomainPropertyMoniker Name="Output/Call" />
          </XmlPropertyData>
          <XmlRelationshipData RoleElementName="fields">
            <DomainRelationshipMoniker Name="OutputHasFields" />
          </XmlRelationshipData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="Event" MonikerAttributeName="Guid" MonikerElementName="eventMoniker" ElementName="event" MonikerTypeName="EventMoniker">
        <DomainClassMoniker Name="Event" />
        <ElementData>
          <XmlRelationshipData RoleElementName="fields">
            <DomainRelationshipMoniker Name="EventHasFields" />
          </XmlRelationshipData>
          <XmlPropertyData XmlName="multiplicity">
            <DomainPropertyMoniker Name="Event/Multiplicity" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="Variable" MonikerAttributeName="Guid" MonikerElementName="variableMoniker" ElementName="variable" MonikerTypeName="VariableMoniker">
        <DomainClassMoniker Name="Variable" />
        <ElementData>
          <XmlPropertyData XmlName="callGetter">
            <DomainPropertyMoniker Name="Variable/CallGetter" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="callSetter">
            <DomainPropertyMoniker Name="Variable/CallSetter" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="type">
            <DomainPropertyMoniker Name="Variable/Type" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="FieldBase" MonikerAttributeName="Guid" MonikerElementName="fieldBaseMoniker" ElementName="fieldBase" MonikerTypeName="FieldBaseMoniker">
        <DomainClassMoniker Name="FieldBase" />
        <ElementData>
          <XmlPropertyData XmlName="name">
            <DomainPropertyMoniker Name="FieldBase/Name" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="guid" IsMonikerKey="true">
            <DomainPropertyMoniker Name="FieldBase/Guid" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="description">
            <DomainPropertyMoniker Name="FieldBase/Description" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="type">
            <DomainPropertyMoniker Name="FieldBase/Type" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="call">
            <DomainPropertyMoniker Name="FieldBase/Call" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="InputField" MonikerAttributeName="Guid" MonikerElementName="inputFieldMoniker" ElementName="inputField" MonikerTypeName="InputFieldMoniker">
        <DomainClassMoniker Name="InputField" />
      </XmlClassData>
      <XmlClassData TypeName="OutputField" MonikerAttributeName="Guid" MonikerElementName="outputFieldMoniker" ElementName="outputField" MonikerTypeName="OutputFieldMoniker">
        <DomainClassMoniker Name="OutputField" />
        <ElementData>
          <XmlPropertyData XmlName="optional">
            <DomainPropertyMoniker Name="OutputField/Optional" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="Parameter" MonikerAttributeName="Guid" MonikerElementName="parameterMoniker" ElementName="parameter" MonikerTypeName="ParameterMoniker">
        <DomainClassMoniker Name="Parameter" />
        <ElementData>
          <XmlPropertyData XmlName="value">
            <DomainPropertyMoniker Name="Parameter/Value" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="PlatformHasVariables" MonikerAttributeName="" MonikerElementName="platformHasVariablesMoniker" ElementName="platformHasVariables" MonikerTypeName="PlatformHasVariablesMoniker">
        <DomainRelationshipMoniker Name="PlatformHasVariables" />
      </XmlClassData>
      <XmlClassData TypeName="PlatformHasInputs" MonikerAttributeName="" MonikerElementName="platformHasInputsMoniker" ElementName="platformHasInputs" MonikerTypeName="PlatformHasInputsMoniker">
        <DomainRelationshipMoniker Name="PlatformHasInputs" />
      </XmlClassData>
      <XmlClassData TypeName="PlatformHasOutputs" MonikerAttributeName="" MonikerElementName="platformHasOutputsMoniker" ElementName="platformHasOutputs" MonikerTypeName="PlatformHasOutputsMoniker">
        <DomainRelationshipMoniker Name="PlatformHasOutputs" />
      </XmlClassData>
      <XmlClassData TypeName="PlatformHasEvents" MonikerAttributeName="" MonikerElementName="platformHasEventsMoniker" ElementName="platformHasEvents" MonikerTypeName="PlatformHasEventsMoniker">
        <DomainRelationshipMoniker Name="PlatformHasEvents" />
      </XmlClassData>
      <XmlClassData TypeName="PortHasParameters" MonikerAttributeName="" MonikerElementName="portHasParametersMoniker" ElementName="portHasParameters" MonikerTypeName="PortHasParametersMoniker">
        <DomainRelationshipMoniker Name="PortHasParameters" />
      </XmlClassData>
      <XmlClassData TypeName="VariableShape" MonikerAttributeName="" MonikerElementName="variableShapeMoniker" ElementName="variableShape" MonikerTypeName="VariableShapeMoniker">
        <GeometryShapeMoniker Name="VariableShape" />
      </XmlClassData>
      <XmlClassData TypeName="PortShape" MonikerAttributeName="" MonikerElementName="portShapeMoniker" ElementName="portShape" MonikerTypeName="PortShapeMoniker">
        <CompartmentShapeMoniker Name="PortShape" />
      </XmlClassData>
      <XmlClassData TypeName="InputShape" MonikerAttributeName="" MonikerElementName="inputShapeMoniker" ElementName="inputShape" MonikerTypeName="InputShapeMoniker">
        <CompartmentShapeMoniker Name="InputShape" />
      </XmlClassData>
      <XmlClassData TypeName="OutputShape" MonikerAttributeName="" MonikerElementName="outputShapeMoniker" ElementName="outputShape" MonikerTypeName="OutputShapeMoniker">
        <CompartmentShapeMoniker Name="OutputShape" />
      </XmlClassData>
      <XmlClassData TypeName="EventShape" MonikerAttributeName="Guid" MonikerElementName="eventShapeMoniker" ElementName="eventShape" MonikerTypeName="EventShapeMoniker">
        <CompartmentShapeMoniker Name="EventShape" />
      </XmlClassData>
      <XmlClassData TypeName="EventField" MonikerAttributeName="Guid" MonikerElementName="eventFieldMoniker" ElementName="eventField" MonikerTypeName="EventFieldMoniker">
        <DomainClassMoniker Name="EventField" />
      </XmlClassData>
      <XmlClassData TypeName="InputHasFields" MonikerAttributeName="" MonikerElementName="inputHasFieldsMoniker" ElementName="inputHasFields" MonikerTypeName="InputHasFieldsMoniker">
        <DomainRelationshipMoniker Name="InputHasFields" />
      </XmlClassData>
      <XmlClassData TypeName="OutputHasFields" MonikerAttributeName="" MonikerElementName="outputHasFieldsMoniker" ElementName="outputHasFields" MonikerTypeName="OutputHasFieldsMoniker">
        <DomainRelationshipMoniker Name="OutputHasFields" />
      </XmlClassData>
      <XmlClassData TypeName="EventHasFields" MonikerAttributeName="" MonikerElementName="eventHasFieldsMoniker" ElementName="eventHasFields" MonikerTypeName="EventHasFieldsMoniker">
        <DomainRelationshipMoniker Name="EventHasFields" />
      </XmlClassData>
      <XmlClassData TypeName="EnableableDomainClass" MonikerAttributeName="Guid" MonikerElementName="enableableDomainClassMoniker" ElementName="enableableDomainClass" MonikerTypeName="EnableableDomainClassMoniker">
        <DomainClassMoniker Name="EnableableDomainClass" />
        <ElementData>
          <XmlPropertyData XmlName="enabled">
            <DomainPropertyMoniker Name="EnableableDomainClass/Enabled" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="name">
            <DomainPropertyMoniker Name="EnableableDomainClass/Name" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="description">
            <DomainPropertyMoniker Name="EnableableDomainClass/Description" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="guid" IsMonikerKey="true">
            <DomainPropertyMoniker Name="EnableableDomainClass/Guid" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="EnableableFieldBase" MonikerAttributeName="Guid" MonikerElementName="enableableFieldBaseMoniker" ElementName="enableableFieldBase" MonikerTypeName="EnableableFieldBaseMoniker">
        <DomainClassMoniker Name="EnableableFieldBase" />
        <ElementData>
          <XmlPropertyData XmlName="type">
            <DomainPropertyMoniker Name="EnableableFieldBase/Type" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="call">
            <DomainPropertyMoniker Name="EnableableFieldBase/Call" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="HardwareDescriptionModel" MonikerAttributeName="" SerializeId="true" MonikerElementName="hardwareDescriptionModelMoniker" ElementName="hardwareDescriptionModel" MonikerTypeName="HardwareDescriptionModelMoniker">
        <DomainClassMoniker Name="HardwareDescriptionModel" />
        <ElementData>
          <XmlRelationshipData RoleElementName="platforms">
            <DomainRelationshipMoniker Name="HardwareDescriptionModelHasPlatforms" />
          </XmlRelationshipData>
          <XmlPropertyData XmlName="version">
            <DomainPropertyMoniker Name="HardwareDescriptionModel/Version" />
          </XmlPropertyData>
          <XmlRelationshipData RoleElementName="dataTypes">
            <DomainRelationshipMoniker Name="HardwareDescriptionModelHasDataTypes" />
          </XmlRelationshipData>
          <XmlRelationshipData RoleElementName="comments">
            <DomainRelationshipMoniker Name="HardwareDescriptionModelHasComments" />
          </XmlRelationshipData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="HardwareDescriptionModelHasPlatforms" MonikerAttributeName="" MonikerElementName="hardwareDescriptionModelHasPlatformsMoniker" ElementName="hardwareDescriptionModelHasPlatforms" MonikerTypeName="HardwareDescriptionModelHasPlatformsMoniker">
        <DomainRelationshipMoniker Name="HardwareDescriptionModelHasPlatforms" />
      </XmlClassData>
      <XmlClassData TypeName="HardwarePlatform" MonikerAttributeName="" MonikerElementName="hardwarePlatformMoniker" ElementName="hardwarePlatform" MonikerTypeName="HardwarePlatformMoniker">
        <DomainClassMoniker Name="HardwarePlatform" />
        <ElementData>
          <XmlPropertyData XmlName="appName">
            <DomainPropertyMoniker Name="HardwarePlatform/AppName" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="DriverPlatform" MonikerAttributeName="" MonikerElementName="driverPlatformMoniker" ElementName="driverPlatform" MonikerTypeName="DriverPlatformMoniker">
        <DomainClassMoniker Name="DriverPlatform" />
        <ElementData>
          <XmlPropertyData XmlName="compatibilityInfo" Representation="Element">
            <DomainPropertyMoniker Name="DriverPlatform/CompatibilityInfo" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="HardwareSwimLane" MonikerAttributeName="" MonikerElementName="hardwareSwimLaneMoniker" ElementName="hardwareSwimLane" MonikerTypeName="HardwareSwimLaneMoniker">
        <SwimLaneMoniker Name="HardwareSwimLane" />
      </XmlClassData>
      <XmlClassData TypeName="DriverSwimLane" MonikerAttributeName="" MonikerElementName="driverSwimLaneMoniker" ElementName="driverSwimLane" MonikerTypeName="DriverSwimLaneMoniker">
        <SwimLaneMoniker Name="DriverSwimLane" />
      </XmlClassData>
      <XmlClassData TypeName="DataType" MonikerAttributeName="name" MonikerElementName="dataTypeMoniker" ElementName="dataType" MonikerTypeName="DataTypeMoniker">
        <DomainClassMoniker Name="DataType" />
        <ElementData>
          <XmlPropertyData XmlName="name" IsMonikerKey="true">
            <DomainPropertyMoniker Name="DataType/Name" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="cType">
            <DomainPropertyMoniker Name="DataType/CType" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="dslType">
            <DomainPropertyMoniker Name="DataType/DslType" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="HardwareDescriptionModelHasDataTypes" MonikerAttributeName="" MonikerElementName="hardwareDescriptionModelHasDataTypesMoniker" ElementName="hardwareDescriptionModelHasDataTypes" MonikerTypeName="HardwareDescriptionModelHasDataTypesMoniker">
        <DomainRelationshipMoniker Name="HardwareDescriptionModelHasDataTypes" />
      </XmlClassData>
      <XmlClassData TypeName="EnableableRelationshipConnector" MonikerAttributeName="" MonikerElementName="enableableRelationshipConnectorMoniker" ElementName="enableableRelationshipConnector" MonikerTypeName="EnableableRelationshipConnectorMoniker">
        <ConnectorMoniker Name="EnableableRelationshipConnector" />
      </XmlClassData>
      <XmlClassData TypeName="EnableableShapeMappedDomainClass" MonikerAttributeName="" MonikerElementName="enableableShapeMappedDomainClassMoniker" ElementName="enableableShapeMappedDomainClass" MonikerTypeName="EnableableShapeMappedDomainClassMoniker">
        <DomainClassMoniker Name="EnableableShapeMappedDomainClass" />
        <ElementData>
          <XmlRelationshipData UseFullForm="true" RoleElementName="targets">
            <DomainRelationshipMoniker Name="EnableableRelationship" />
          </XmlRelationshipData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="EnableableRelationship" MonikerAttributeName="" SerializeId="true" MonikerElementName="enableableRelationshipMoniker" ElementName="enableableRelationship" MonikerTypeName="EnableableRelationshipMoniker">
        <DomainRelationshipMoniker Name="EnableableRelationship" />
        <ElementData>
          <XmlPropertyData XmlName="sourceEntry">
            <DomainPropertyMoniker Name="EnableableRelationship/SourceEntry" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="targetEntry">
            <DomainPropertyMoniker Name="EnableableRelationship/TargetEntry" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="Comment" MonikerAttributeName="text" MonikerElementName="commentMoniker" ElementName="comment" MonikerTypeName="CommentMoniker">
        <DomainClassMoniker Name="Comment" />
        <ElementData>
          <XmlPropertyData XmlName="text" IsMonikerKey="true">
            <DomainPropertyMoniker Name="Comment/Text" />
          </XmlPropertyData>
          <XmlRelationshipData RoleElementName="enableableDomainClasses">
            <DomainRelationshipMoniker Name="CommentReferencesEnableableDomainClasses" />
          </XmlRelationshipData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="CommentShape" MonikerAttributeName="" MonikerElementName="commentShapeMoniker" ElementName="commentShape" MonikerTypeName="CommentShapeMoniker">
        <GeometryShapeMoniker Name="CommentShape" />
      </XmlClassData>
      <XmlClassData TypeName="HardwareDescriptionModelHasComments" MonikerAttributeName="" MonikerElementName="hardwareDescriptionModelHasCommentsMoniker" ElementName="hardwareDescriptionModelHasComments" MonikerTypeName="HardwareDescriptionModelHasCommentsMoniker">
        <DomainRelationshipMoniker Name="HardwareDescriptionModelHasComments" />
      </XmlClassData>
      <XmlClassData TypeName="CommentReferencesEnableableDomainClasses" MonikerAttributeName="" MonikerElementName="commentReferencesEnableableDomainClassesMoniker" ElementName="commentReferencesEnableableDomainClasses" MonikerTypeName="CommentReferencesEnableableDomainClassesMoniker">
        <DomainRelationshipMoniker Name="CommentReferencesEnableableDomainClasses" />
      </XmlClassData>
      <XmlClassData TypeName="CommentConnector" MonikerAttributeName="" MonikerElementName="commentConnectorMoniker" ElementName="commentConnector" MonikerTypeName="CommentConnectorMoniker">
        <ConnectorMoniker Name="CommentConnector" />
      </XmlClassData>
    </ClassData>
  </XmlSerializationBehavior>
  <ExplorerBehavior Name="HardwareDescriptionExplorer">
    <CustomNodeSettings>
      <ExplorerNodeSettings IconToDisplay="..\..\Misc\Images\EventSmall.bmp">
        <Class>
          <DomainClassMoniker Name="Event" />
        </Class>
      </ExplorerNodeSettings>
      <ExplorerNodeSettings IconToDisplay="..\..\Misc\Images\VariableSmall.bmp">
        <Class>
          <DomainClassMoniker Name="Variable" />
        </Class>
      </ExplorerNodeSettings>
      <ExplorerNodeSettings IconToDisplay="..\..\Misc\Images\OutputSmall.bmp">
        <Class>
          <DomainClassMoniker Name="Output" />
        </Class>
      </ExplorerNodeSettings>
      <ExplorerNodeSettings IconToDisplay="..\..\Misc\Images\InputSmall.bmp">
        <Class>
          <DomainClassMoniker Name="Input" />
        </Class>
      </ExplorerNodeSettings>
      <ExplorerNodeSettings IconToDisplay="..\..\Misc\Images\DataType.png">
        <Class>
          <DomainClassMoniker Name="DataType" />
        </Class>
      </ExplorerNodeSettings>
      <ExplorerNodeSettings IconToDisplay="..\..\Misc\Images\CommentToolBitmap.bmp">
        <Class>
          <DomainClassMoniker Name="Comment" />
        </Class>
      </ExplorerNodeSettings>
      <ExplorerNodeSettings IconToDisplay="..\..\Misc\Images\Field.png">
        <Class>
          <DomainClassMoniker Name="EnableableFieldBase" />
        </Class>
      </ExplorerNodeSettings>
      <ExplorerNodeSettings IconToDisplay="..\..\Misc\Images\Field.png">
        <Class>
          <DomainClassMoniker Name="EventField" />
        </Class>
      </ExplorerNodeSettings>
      <ExplorerNodeSettings IconToDisplay="..\..\Misc\Images\Parameter.png">
        <Class>
          <DomainClassMoniker Name="Parameter" />
        </Class>
      </ExplorerNodeSettings>
      <ExplorerNodeSettings IconToDisplay="..\..\Misc\Images\Hardwaredescription.png">
        <Class>
          <DomainClassMoniker Name="HardwareDescriptionModel" />
        </Class>
      </ExplorerNodeSettings>
      <ExplorerNodeSettings IconToDisplay="..\..\Misc\Images\Hardwaredescription.png">
        <Class>
          <DomainClassMoniker Name="HardwarePlatform" />
        </Class>
      </ExplorerNodeSettings>
      <ExplorerNodeSettings IconToDisplay="..\..\Misc\Images\Driverdescription.png">
        <Class>
          <DomainClassMoniker Name="DriverPlatform" />
        </Class>
      </ExplorerNodeSettings>
    </CustomNodeSettings>
  </ExplorerBehavior>
  <ConnectionBuilders>
    <ConnectionBuilder Name="EnableableRelationshipBuilder" IsCustom="true">
      <LinkConnectDirective>
        <DomainRelationshipMoniker Name="EnableableRelationship" />
        <SourceDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="EnableableShapeMappedDomainClass" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </SourceDirectives>
        <TargetDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="EnableableShapeMappedDomainClass" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </TargetDirectives>
      </LinkConnectDirective>
    </ConnectionBuilder>
    <ConnectionBuilder Name="CommentReferencesEnableableDomainClassesBuilder">
      <LinkConnectDirective>
        <DomainRelationshipMoniker Name="CommentReferencesEnableableDomainClasses" />
        <SourceDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="Comment" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </SourceDirectives>
        <TargetDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="EnableableDomainClass" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </TargetDirectives>
      </LinkConnectDirective>
    </ConnectionBuilder>
  </ConnectionBuilders>
  <Diagram Id="c247f120-5a73-45bd-85f5-e7e32080dd4f" Description="" Name="HardwareDescriptionDiagram" DisplayName="Minimal Language Diagram" Namespace="BenjaminSchroeter.Flow.HardwareDescription" FillColor="DimGray">
    <Class>
      <DomainClassMoniker Name="HardwareDescriptionModel" />
    </Class>
    <ShapeMaps>
      <ShapeMap>
        <DomainClassMoniker Name="Variable" />
        <ParentElementPath>
          <DomainPath>PlatformHasVariables.Platform/!Platform</DomainPath>
        </ParentElementPath>
        <DecoratorMap>
          <TextDecoratorMoniker Name="VariableShape/NameDecorator" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="EnableableDomainClass/Name" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <GeometryShapeMoniker Name="VariableShape" />
      </ShapeMap>
      <CompartmentShapeMap>
        <DomainClassMoniker Name="Input" />
        <ParentElementPath>
          <DomainPath>PlatformHasInputs.Platform/!Platform</DomainPath>
        </ParentElementPath>
        <DecoratorMap>
          <TextDecoratorMoniker Name="PortShape/DescriptionDecorator" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="EnableableDomainClass/Description" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <DecoratorMap>
          <TextDecoratorMoniker Name="PortShape/NameDecorator" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="EnableableDomainClass/Name" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <CompartmentShapeMoniker Name="InputShape" />
        <CompartmentMap>
          <CompartmentMoniker Name="InputShape/FieldCompartment" />
          <ElementsDisplayed>
            <DomainPath>InputHasFields.Fields/!InputField</DomainPath>
          </ElementsDisplayed>
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="EnableableDomainClass/Name" />
            </PropertyPath>
          </PropertyDisplayed>
        </CompartmentMap>
        <CompartmentMap>
          <CompartmentMoniker Name="InputShape/ParametersCompartment" />
          <ElementsDisplayed>
            <DomainPath>PortHasParameters.Parameters/!Parameter</DomainPath>
          </ElementsDisplayed>
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="FieldBase/Name" />
            </PropertyPath>
          </PropertyDisplayed>
        </CompartmentMap>
      </CompartmentShapeMap>
      <CompartmentShapeMap>
        <DomainClassMoniker Name="Output" />
        <ParentElementPath>
          <DomainPath>PlatformHasOutputs.Platform/!Platform</DomainPath>
        </ParentElementPath>
        <DecoratorMap>
          <TextDecoratorMoniker Name="PortShape/DescriptionDecorator" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="EnableableDomainClass/Description" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <DecoratorMap>
          <TextDecoratorMoniker Name="PortShape/NameDecorator" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="EnableableDomainClass/Name" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <CompartmentShapeMoniker Name="OutputShape" />
        <CompartmentMap>
          <CompartmentMoniker Name="OutputShape/FieldCompartment" />
          <ElementsDisplayed>
            <DomainPath>OutputHasFields.Fields/!OutputField</DomainPath>
          </ElementsDisplayed>
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="EnableableDomainClass/Name" />
            </PropertyPath>
          </PropertyDisplayed>
        </CompartmentMap>
        <CompartmentMap>
          <CompartmentMoniker Name="OutputShape/ParametersCompartment" />
          <ElementsDisplayed>
            <DomainPath>PortHasParameters.Parameters/!Parameter</DomainPath>
          </ElementsDisplayed>
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="FieldBase/Name" />
            </PropertyPath>
          </PropertyDisplayed>
        </CompartmentMap>
      </CompartmentShapeMap>
      <CompartmentShapeMap>
        <DomainClassMoniker Name="Event" />
        <ParentElementPath>
          <DomainPath>PlatformHasEvents.Platform/!Platform</DomainPath>
        </ParentElementPath>
        <DecoratorMap>
          <TextDecoratorMoniker Name="PortShape/DescriptionDecorator" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="EnableableDomainClass/Description" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <DecoratorMap>
          <TextDecoratorMoniker Name="PortShape/NameDecorator" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="EnableableDomainClass/Name" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <CompartmentShapeMoniker Name="EventShape" />
        <CompartmentMap>
          <CompartmentMoniker Name="EventShape/FieldCompartment" />
          <ElementsDisplayed>
            <DomainPath>EventHasFields.Fields/!EventField</DomainPath>
          </ElementsDisplayed>
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="FieldBase/Name" />
            </PropertyPath>
          </PropertyDisplayed>
        </CompartmentMap>
        <CompartmentMap>
          <CompartmentMoniker Name="EventShape/ParametersCompartment" />
          <ElementsDisplayed>
            <DomainPath>PortHasParameters.Parameters/!Parameter</DomainPath>
          </ElementsDisplayed>
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="FieldBase/Name" />
            </PropertyPath>
          </PropertyDisplayed>
        </CompartmentMap>
      </CompartmentShapeMap>
      <SwimLaneMap>
        <DomainClassMoniker Name="HardwarePlatform" />
        <ParentElementPath>
          <DomainPath>HardwareDescriptionModelHasPlatforms.HardwareDescriptionModel/!HardwareDescriptionModel</DomainPath>
        </ParentElementPath>
        <DecoratorMap>
          <TextDecoratorMoniker Name="HardwareSwimLane/NameDecorator" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="Platform/Name" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <DecoratorMap>
          <TextDecoratorMoniker Name="DriverSwimLane/NameDecorator" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="Platform/Name" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <SwimLane>
          <SwimLaneMoniker Name="HardwareSwimLane" />
        </SwimLane>
      </SwimLaneMap>
      <SwimLaneMap>
        <DomainClassMoniker Name="DriverPlatform" />
        <ParentElementPath>
          <DomainPath>HardwareDescriptionModelHasPlatforms.HardwareDescriptionModel/!HardwareDescriptionModel</DomainPath>
        </ParentElementPath>
        <DecoratorMap>
          <TextDecoratorMoniker Name="HardwareSwimLane/NameDecorator" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="Platform/Name" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <DecoratorMap>
          <TextDecoratorMoniker Name="DriverSwimLane/NameDecorator" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="Platform/Name" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <SwimLane>
          <SwimLaneMoniker Name="DriverSwimLane" />
        </SwimLane>
      </SwimLaneMap>
      <ShapeMap>
        <DomainClassMoniker Name="Comment" />
        <ParentElementPath>
          <DomainPath>HardwareDescriptionModelHasComments.HardwareDescriptionModel/!HardwareDescriptionModel</DomainPath>
        </ParentElementPath>
        <DecoratorMap>
          <TextDecoratorMoniker Name="CommentShape/TextDecorator" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="Comment/Text" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <GeometryShapeMoniker Name="CommentShape" />
      </ShapeMap>
    </ShapeMaps>
    <ConnectorMaps>
      <ConnectorMap>
        <ConnectorMoniker Name="EnableableRelationshipConnector" />
        <DomainRelationshipMoniker Name="EnableableRelationship" />
      </ConnectorMap>
      <ConnectorMap ConnectsCustomTarget="true">
        <ConnectorMoniker Name="CommentConnector" />
        <DomainRelationshipMoniker Name="CommentReferencesEnableableDomainClasses" />
      </ConnectorMap>
    </ConnectorMaps>
  </Diagram>
  <Designer FileExtension="hardware" EditorGuid="640e3c2c-eeb4-429b-9b91-1b3578206b46">
    <RootClass>
      <DomainClassMoniker Name="HardwareDescriptionModel" />
    </RootClass>
    <XmlSerializationDefinition CustomPostLoad="false">
      <XmlSerializationBehaviorMoniker Name="HardwareDescriptionSerializationBehavior" />
    </XmlSerializationDefinition>
    <ToolboxTab TabText="HardwareDescription">
      <ElementTool Name="Variable" ToolboxIcon="..\..\Misc\Images\VariableSmall.bmp" Caption="Variable" Tooltip="Variable" HelpKeyword="Variable">
        <DomainClassMoniker Name="Variable" />
      </ElementTool>
      <ElementTool Name="Input" ToolboxIcon="..\..\Misc\Images\InputSmall.bmp" Caption="Input" Tooltip="Input" HelpKeyword="Input">
        <DomainClassMoniker Name="Input" />
      </ElementTool>
      <ElementTool Name="Output" ToolboxIcon="..\..\Misc\Images\OutputSmall.bmp" Caption="Output" Tooltip="Output" HelpKeyword="Output">
        <DomainClassMoniker Name="Output" />
      </ElementTool>
      <ElementTool Name="Event" ToolboxIcon="..\..\Misc\Images\EventSmall.bmp" Caption="Event" Tooltip="Event" HelpKeyword="Event">
        <DomainClassMoniker Name="Event" />
      </ElementTool>
      <ConnectionTool Name="EnableableRelationship" ToolboxIcon="..\..\Misc\Images\ConnectorToolBitmap.bmp" Caption="Enableable lock" Tooltip="Enableable Relationship" HelpKeyword="EnableableRelationship">
        <ConnectionBuilderMoniker Name="HardwareDescription/EnableableRelationshipBuilder" />
      </ConnectionTool>
      <ElementTool Name="Comment" ToolboxIcon="..\..\Misc\Images\CommentToolBitmap.bmp" Caption="Comment" Tooltip="Comment" HelpKeyword="Comment">
        <DomainClassMoniker Name="Comment" />
      </ElementTool>
      <ConnectionTool Name="CommentConnector" ToolboxIcon="..\..\Misc\Images\CommentConnectorToolBitmap.bmp" Caption="Comment Connector" Tooltip="Comment Connector" HelpKeyword="CommentConnector">
        <ConnectionBuilderMoniker Name="HardwareDescription/CommentReferencesEnableableDomainClassesBuilder" />
      </ConnectionTool>
    </ToolboxTab>
    <Validation UsesMenu="true" UsesOpen="true" UsesSave="true" UsesLoad="false" />
    <DiagramMoniker Name="HardwareDescriptionDiagram" />
  </Designer>
  <Explorer ExplorerGuid="6c276297-6acd-4e9a-8740-b61ba834004b" Title="HardwareDescription Explorer">
    <ExplorerBehaviorMoniker Name="HardwareDescription/HardwareDescriptionExplorer" />
  </Explorer>
</Dsl>