namespace BenjaminSchroeter.Flow.HardwareDescription
{
    partial class Variable
    {
        /// <summary>
        /// Provides access to the string property <see cref="CallSetter"/> via a <see cref="CallParameter"/> instance.
        /// </summary>
        public CallParameter CallParameterSetter
        {
            get { return new CallParameter(this.CallSetter); }
        }

        /// <summary>
        /// Provides access to the string property <see cref="CallGetter"/> via a <see cref="CallParameter"/> instance.
        /// </summary>
        public CallParameter CallParameterGetter
        {
            get {return new CallParameter(this.CallGetter);}
        }
    }
}
