using Microsoft.VisualStudio.Modeling;

namespace BenjaminSchroeter.Flow.HardwareDescription
{
    partial class HardwareDescriptionModel
    {
        /// <summary>
        /// Platform addition only allowed on empty HardwareDescriptionModels.
        /// 
        /// When creating a new file the Platform will be created. But after that the user
        /// never sees an "Add Platform" menu on the diagram oder model explorer context menu.
        /// </summary>
        private bool CanMergePlatform(ProtoElementBase element, ElementGroupPrototype prototype)
        {
            return this.Platforms.Count == 0;
        }
    }
}
