namespace BenjaminSchroeter.Flow.HardwareDescription.Data
{
    partial class VariableLoader
    {
        static partial void AdditionalToDataClass(Variable domainclass, VariableData dataclass)
        {
            // stores the Version of the model in every Variable Domain class of the DataService
            dataclass.ModelVersion = domainclass.Platform.HardwareDescriptionModel.Version;

            // and stores the readable and writable flags
            dataclass.IsReadable = (new CallParameter(dataclass.CallGetter)).HasFunction;
            dataclass.IsWritable = (new CallParameter(dataclass.CallSetter)).HasFunction;
        }
    }
}
