using BenjaminSchroeter.Flow.DataTypes;

namespace BenjaminSchroeter.Flow.HardwareDescription
{
    partial class Variable
    {
        protected override void MergeConfigure(Microsoft.VisualStudio.Modeling.ElementGroup elementGroup)
        {
            base.MergeConfigure(elementGroup);

            // The Variable must not define a default value for this property in the DSL model.
            // (a default value will cause problems with the toolbox)
            // So create the empty default value when the Variable is added to the model.
            if (this.Type == null)
                this.Type = new DataTypeString();
        }
    }
}
