using System.Windows.Forms.Design;

namespace BenjaminSchroeter.Flow.HardwareDescription
{
    /// <summary>
    /// A FileNameEditor for .exe files.
    /// </summary>
    public class ExeFileNameEditor : FileNameEditor
    {
        protected override void InitializeDialog(System.Windows.Forms.OpenFileDialog openFileDialog)
        {
            base.InitializeDialog(openFileDialog);
            openFileDialog.Filter = "*.exe|*.exe|*.*|*.*"; 
        }
    }
}