using System.ComponentModel.Design;
using BenjaminSchroeter.DslTools;

namespace BenjaminSchroeter.Flow.HardwareDescription
{
    partial class HardwareDescriptionCommandSet
    {
        protected override void ProcessOnStatusDeleteCommand(MenuCommand command)
        {
            // the delete commands logic is redirected 
            // to allow the user restrictions via attributes in the model element classes
            OnStatusDeleteCommandLogic.ForEditor(command,
                    this.CurrentDocumentSelection,
                    base.ProcessOnStatusDeleteCommand);
        }
    }
}
