using System.Runtime.InteropServices;
using EnvDTE;

namespace BenjaminSchroeter.Flow.HardwareDescription
{
    /// <summary>
    /// Service to handle the Parse Firmware context menu entry
    /// </summary>
    [Guid("5A4EC550-38D4-4A43-A57F-E48B43BA872F")]
    [ComVisible(true)]
    public interface IFirmwareParser
    {
        /// <summary>
        /// The "Parse Firmware" command was invoked on the given project item.
        /// </summary>
        /// <param name="projectItem">The project item.</param>
        void ParseFirmwareCommandInvoke(ProjectItem projectItem);
    }
}
