/*  (c) 2008 Benjamin Schroeter
 *  This file is part of JaDAL - Just another DSL-Tools Addon Library
 *  and licensed under the New BSD License
 *  For more information please visit http://www.codeplex.com/JaDAL */
using System;

namespace BenjaminSchroeter.Dsl.DynamicProperties
{
    [Serializable]
    public class DynamicProperty
    {
        public string Name { get; set; }
        public Type Type { get; set; }
        public object Value { get; set; }

        public override string ToString()
        {
            return String.Format("{0} ({1})", Name, Type);
        }
    }
}