using System.Windows.Forms;

namespace BenjaminSchroeter
{
    /// <summary>
    /// A Dialogbox with a text input box.
    /// </summary>
    public partial class InputBox : Form
    {
        public InputBox(string title, string text, string defaultinput)
        {
            InitializeComponent();

            this.Text = title;
            this.label1.Text = text;
            this.textBox1.Text = defaultinput;
        }

        public string Input
        {
            get
            {
                return this.textBox1.Text;
            }
        }
    }
}