using System.Collections.Generic;
using BenjaminSchroeter.Dsl;
using Microsoft.VisualStudio.Modeling.Diagrams;

namespace BenjaminSchroeter.Flow.DataFlow 
{
    partial class CommentShape
    {
        protected override void InitializeDecorators(IList<ShapeField> shapeFields, IList<Decorator> decorators)
        {
            base.InitializeDecorators(shapeFields, decorators);

            // enable multi line text on the comment
            DecoratorUtils.MakeDecoratorMultiLine(shapeFields, "TextDecorator");
        }
    }
}
