using System;
using BenjaminSchroeter.Dsl.CompartmentMapping;

namespace BenjaminSchroeter.Flow.DataFlow
{
    partial class DataFlowDomainModel
    {
        protected override Type[] GetCustomDomainModelTypes()
        {
            Type[] rules = new[] { typeof(InvalidateFormulaTypeOnPropertyChangeRule) ,    // see DataTypes folder
                                    typeof(InvalidateFormulaTypeOnLinkDeleteRule)};   

            // the rules used by the compartment mapping
            return CompartmentMappingUtil.AllCompartmentMappingRules(this, rules);
        }
    }
}
