using BenjaminSchroeter.Flow.DataTypes;

namespace BenjaminSchroeter.Flow.DataFlow
{
    partial class FlowElementReferencesTargetFlowElements
    {
        /// <summary>
        /// Evaluates the (Source) Type of this Connection.
        /// The Type of a Connection is always the same Type as the source of the connection.
        /// </summary>
        /// <returns></returns>
        public DataTypeString GetTypeValue()
        {
            return  new DataTypeString(DataTypeHelper.GetDataType(this.SourceFlowElement, this.SourceField));
        }

        /// <summary>
        /// Evaluates the Target Type of this Connection.
        /// </summary>
        /// <returns></returns>
        public DataTypeString GetTargetTypeValue()
        {
            return new DataTypeString(DataTypeHelper.GetDataType(this.TargetFlowElement, this.TargetField));
        }
    }
}
