using System;
using Microsoft.VisualStudio.Modeling.Validation;

namespace BenjaminSchroeter.Flow.DataFlow
{
    [ValidationState( ValidationState.Enabled )]
    partial class Formula
    {
        [ValidationMethod( ValidationCategories.Menu | ValidationCategories.Save | ValidationCategories.Open)]
        private void ValidateFormula(ValidationContext context)
        {
            // try to parse the formula
            try
            {
                this.ParseFormula();
            }
            catch (Exception ex)
            {
                // display parsing errors
                context.LogError(ex.Message, "Formula.ValidateFormula", this);
            }
        }
    }
}
