using Microsoft.VisualStudio.Modeling.Validation;

namespace BenjaminSchroeter.Flow.DataFlow
{
    [ValidationState(ValidationState.Enabled)]
    partial class MasterTrigger
    {
        [ValidationMethod(ValidationCategories.Menu | ValidationCategories.Save | ValidationCategories.Open)]
        private void ValidateInputs(ValidationContext context)
        {
            if ( this.SourceFlowElements.Count == 0 )
            {
                string msg = "At least one Input Connection is needed for the Master Trigger in the Trigger Flow.";
                context.LogError(msg, "TriggerFlow.ValidateEventGraphComponents", this);
            }
        }
    }
}
