using System.Collections;
using System.Drawing;
using Microsoft.VisualStudio.Modeling;
using Microsoft.VisualStudio.Modeling.Design;

namespace BenjaminSchroeter.Flow.DataFlow
{
    class VersionedModelingToolboxItem : ModelingToolboxItem
    {
        public int ModelVersion { get; set; }
        public string Project { get; set; }

        public VersionedModelingToolboxItem(string id, int position, string displayName, Bitmap bitmap, string tabNameId,
                                            string tabName, string f1Keyword, string tooltip,
                                            ElementGroupPrototype prototype, ICollection toolboxFilters)
            : base(id, position, displayName, bitmap, tabNameId, tabName, f1Keyword, tooltip, prototype, toolboxFilters)
        {
        }
    }
}
