using System.Runtime.InteropServices;
using BenjaminSchroeter.Flow.Datastructures.Data;
using Microsoft.VisualStudio.Shell.Interop;

namespace BenjaminSchroeter.Flow.Datastructures.DataService
{
    /// <summary>
    /// DataService to receive the Datastructures defined in a given project.
    /// </summary>    
    [Guid("F238F619-393F-4b2b-8126-521A29755414")]
    [ComVisible(true)]
    public interface IDatastructureDataService
    {
        /// <summary>
        /// Gets all datastructures of all Datastructure models in the project of the hierarchy item.
        /// </summary>
        /// <param name="projectHierarchy">The project hierarchy item.</param>
        /// <returns></returns>
        DatastructureModelData GetAllDatastructures(IVsHierarchy projectHierarchy);
    }
}
