using BenjaminSchroeter.Dsl;
using Microsoft.VisualStudio.Modeling.Validation;

namespace BenjaminSchroeter.Flow.Datastructures
{
    [ValidationState(ValidationState.Enabled)]
    partial class OutputEvent
    {
        [ValidationMethod(ValidationCategories.Menu | ValidationCategories.Save | ValidationCategories.Open)]
        private void ValidateFields(ValidationContext context)
        {
            ValidationHelper.CheckNameUniqueness(context,
                            this.Fields,
                            "OutputEvent.ValidateFields",
                            x => x.Name);
        }
    }
}
