using System;

namespace BenjaminSchroeter.Flow.Firmwareparser
{
    /// <summary>
    /// Exception used when Doxygen reports an error.
    /// </summary>
    public class DoxygenException : Exception
    {
        public string ConsoleErrorText { get; set;}

        internal DoxygenException() : base("Doxygen.exe reported an error.")
        {
        }

        internal DoxygenException(string consoleErrorText)
            : this()
        {
            ConsoleErrorText = consoleErrorText;
        }
    }
}