using System;
using Microsoft.VisualStudio.Modeling.Diagrams;

namespace BenjaminSchroeter.Flow.HardwareDescription
{
    partial class EventShape
    {
        /// <summary>
        /// show icon on disabled fields
        /// </summary>
        /// <remarks>this cannot be in the PortShape class, because the compartments are defined in this class!</remarks>
        /// <param name="melType"></param>
        /// <returns></returns>
        protected override CompartmentMapping[] GetCompartmentMappings(Type melType)
        {
            return this.ShowIconsForEnableableFileds(base.GetCompartmentMappings(melType));
        }
    }
}