using System;
using BenjaminSchroeter.Dsl.CompartmentMapping;

namespace BenjaminSchroeter.Flow.HardwareDescription
{
    partial class HardwareDescriptionDomainModel
    {
        protected override Type[] GetCustomDomainModelTypes()
        {
            // Adds all rules defined somewhere in this assembly

            Type[] rules = new[] {typeof(DataTypeAddRule),      // see DataTypes folder
                                  typeof(DataTypeDeleteRule),
                                  typeof(DataTypeChangeRule),

                                  typeof(OutputFieldOptionalChanged),   // see Optional folder

                                  typeof(EnabledChangeColorChangeRule)};   // see DisabledShapeColor folder 

            Type[] rules1 = CompartmentMappingUtil.AllCompartmentMappingRules(this, rules); // and the rules for the compartment mapping
            return rules1;
        }
    }
}
