using BenjaminSchroeter.Dsl;
using Microsoft.VisualStudio.Modeling.Validation;

namespace BenjaminSchroeter.Flow.HardwareDescription
{
    [ValidationState(ValidationState.Enabled)]
    partial class Platform
    {
        [ValidationMethod(ValidationCategories.Menu | ValidationCategories.Save | ValidationCategories.Open)]
        private void ValidateNames(ValidationContext context)
        {
            ValidationHelper.CheckNameUniqueness(context,
                                                 this.Variables,
                                                 "Platform.ValidateNames",
                                                 r => r.Name);

            ValidationHelper.CheckNameUniqueness(context,
                                                 this.Inputs,
                                                 "Platform.ValidateNames",
                                                 r => r.Name);

            ValidationHelper.CheckNameUniqueness(context,
                                                 this.Outputs,
                                                 "Platform.ValidateNames",
                                                 r => r.Name);

            ValidationHelper.CheckNameUniqueness(context,
                                                 this.Events,
                                                 "Platform.ValidateNames",
                                                 r => r.Name);
        }
    }
}
